commit 1bf144013cffdeb41a5df3a11a8eb2596c5ea2b5
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.1.2

commit ef43a007eccfe8ff6f39ddd031a5e5e370a96c9c
Author: Jaroslav Kysela <perex@perex.cz>

    Makefile: fix sklrt286 dist files

commit 98a0a2a98ffca4ed929c34d322c8389816a5e8a8
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Fix the missing referenced elem ptr when merging private data

commit 776eb7fa5e705d46ac2cac517cdb69dc6c7d8f56
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Fix inaccurate message on failure to find a widgets's reference

commit df43c2d38047a6dd625e20b97ca6efb4fb0120a3
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: use condition statements instead of assert() for new APIs to add an element set

commit 9797e9893093dbbde9745faad5163c93be3ca3a6
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Check address and length before string copy

commit 1a0d49be70d716de4f40f50d6393aead56b748de
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Add ATTRIBUTE_UNUSED for unused parameters to fix compiler warning

commit 8e3e194a5d7c01ee310ff3fb771ce9ec4e6d8fb1
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Remove support for control flag SNDRV_CTL_ELEM_ACCESS_USER

commit 7bebd4c980bb11cc31f8be73511baa544d4cb658
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: rename APIs to add an element set so that their names are appropriate

commit 962d006c28273ceb16ef915ce077a3163d299f7f
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Tuple type can have an extenstion

commit a3683a2ba04154ed5b06fdb9536f6c97b64ff71a
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Parse vendor private data for manifest

commit 62c180981b0dea10f4481b30e55ddedc12267cf8
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Change uuid value to 16 separate characters in text conf file

commit 2481ef315f03fe438898bcee7f06374c0d101ee1
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Merge lookup for data reference into tplg_copy_data()

commit bb03d929e85f82a82c91da68dd14c952b80b051d
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: An element can refer to multipe data sections in text conf file

commit fce5b6dcd1ad506768bd2d44890bb234d3ac0301
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: remove alloca() from simple_event_add()

commit b8e17cd852bd7fe071d0e29f0b1cdb9755731488
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: change code formatting for simple_event_add()

commit c2a59624f124eafee1e441af248165b32fe515e3
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: remove alloca() from simple_add1()

commit 98194d5f98d5332f7eba2e969501601b1a0c961a
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: change code formatting for simple_add1()

commit 43ac77e900b2b89547cb83825d48686b43787329
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: remove alloca() from set_enum_item_ops()

commit 3fa73d75584a0a266e2dba2d4601832e62728817
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: remove alloca() from get_enum_item_ops()

commit ed49382fdaf6157fc59763d358868ce3a82c6adf
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: remove alloca() from enum_item_name_ops()

commit 6ed747157395b83e4bf1a93088e73f06479beb5c
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: remove alloca() from init_db_range()

commit 1ad6d7b8523c0cf308503a8896258c1e47308e48
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: change code formatting for init_db_range()

commit 60920eb7f37b1bca4a9c96247796da108ab275b5
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: remove alloca() from selem_write_main()

commit 116dafcadc79744645622ac365ff46f3db29a718
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: change code formatting for selem_write_main()

commit 2a6af83d73802692d0a8f160efd46a524efd08e8
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: remove alloca() from elem_write_route()

commit 5268e90dbd6ff39dde150c1c339e8cdfd2a2fff2
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: change code formatting for elem_write_route()

commit bd09e4790cfeee07d1932e40981bce0bc944fbee
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: remove alloca() from elem_write_enum()

commit 5ca104cf15cf9be0c68e130a2efccc68339da563
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: change code formatting for elem_write_enum()

commit 60875a1ca6a2b4eafda4a82afcdd724953545d92
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: remove alloca() from elem_write_switch_constant()

commit 748912f350f659361cadd9f02c5663f7f8945710
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: remove alloca() from elem_write_switch()

commit 2011f04e090abd552c6a1e6e909c80f770be59bc
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: change code formatting for elem_write_switch()

commit 1c11f334e7707f2d8e1dc95c0549c3c21282911d
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: remove alloca() from elem_write_volume()

commit 32393c67ab73fc2f039427cb029823a41e7cedec
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: change code formatting for elem_write_volume()

commit 7ada2d6f41155f542438f78903ee62b0a76cc931
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: remove alloca() from selem_read()

commit 8d45e412b5ba34b90106f060258027f48dcff155
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: change code formatting for selem_read()

commit df868c77f35816176a207d10472ebc04336cc0a4
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: remove alloca() from elem_read_enum()

commit ed6acca1320888421df6ecaf1627d4be5fa528ab
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: change code formatting for elem_read_enum()

commit bf059f00be46fa44c0afc309f9deae774bdabc2d
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: remove alloca() from elem_read_route()

commit b67b9e42cafecbfacffaee76ba060055f4099b27
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: change code formatting for elem_read_route()

commit 15ff48e7210c4c592781bd5277b9b3dbb718b060
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: remove alloca() from elem_read_volume()

commit bc08a11edafc6e261452d53110c9d7036991bde1
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: change code formatting for elem_read_volume()

commit 9e1c73cdd471987220e2e731517222292f4c3fac
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: include library local header to find layout of structures

commit 33e946fdd32da2b918e88750fcfd78014ae3e079
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    alisp: remove alloca() from FA_pcm_info()

commit e1d6a2b02fa7d3fec0001a8a50bce0f7fcb0249d
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    alisp: remove alloca() from FA_hctl_elem_write()

commit 499b0c04017d400654ec637dcf86c9092d7f3908
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    alisp: remove alloca() from FA_hctl_elem_read()

commit f3562bea35dcd87d28d3f2609d6e2fab809d09ed
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    alisp: remove alloca() from FA_hctl_elem_info()

commit 1ef2d66ab4e71eff70b12128660df576564b07b2
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    alisp: remove alloca() from FA_hctl_find_elem()

commit 0198c850abe66d605a8e78cb3ed05dc485fdf009
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    alisp: remove alloca() from FA_card_info()

commit 68e659bb232dc5ad71432175735a44d3d4765176
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    conf: remove alloca() from snd_func_private_pcm_subdevice()

commit e26ee8dff6b0ecefc17d12ee1899abecc0097429
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    conf: remove alloca() from snd_func_pcm_args_by_class()

commit c0cc9a01950e9059514c1787ce247b111baa0bd0
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    conf: remove alloca() from snd_func_pcm_id()

commit e1f4b9a7ca4569919566021ca067ebef041f0672
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    conf: remove alloca() from snd_func_card_name()

commit d270bd9558528ef05b3d20c5fda2fc0d08ff3206
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    conf: remove alloca() from snd_func_card_id()

commit b500e16ce4ce0071139d5520bc5cc9a87fccf8a1
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    conf: remove alloca() from snd_determine_driver()

commit d745fcd5f7811d8e13d53dda73b74c4ce1e29b94
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: remove alloca() from _snd_pcm_softvol_open()

commit df00246841948ca3b2773ca3484446f852097e60
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: change code formatting for _snd_pcm_softvol_open()

commit 349920f93dc6e8be54e0fa21a0b2a31a412ccc1e
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: remove alloca() from softvol_load_control()

commit 8306bb2b6a68c2fdfa406ac07091309e8e65041c
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: change code formatting for softvol_load_control()

commit 709aa36bc24aad567cab799fcce11af2f93d2360
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: remove alloca() from snd_spcm_init_duplex()

commit 2edffe37576e8968b8cfff2de26d8a6c756aed57
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: remove alloca() from snd_spcm_init()

commit 6a0c93a03dafaab66a6b2747d8b7142e69266027
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: remove alloca() from snd_pcm_hw_set_chmap()

commit 34d2b6e96c0b90ef69a09ba51d9365b48b937feb
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: remove alloca() from snd_pcm_hw_get_chmap()

commit 6fdaad70afb6c04a03ba48c111304467daa330b1
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: remove alloca() from snd_pcm_query_chmaps_from_hw()

commit 757c45b2ae3dddc23566f2dc511bf606607da000
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: remove alloca() from snd_pcm_hw_change_timer()

commit 44d803df90c97fc9167d729d7a7175275df46a76
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: change code formatting for snd_pcm_hw_change_timer()

commit 955d989e81b400fe985928e9dfdd8d9be785ab32
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: remove alloca() from _snd_pcm_hook_ctl_elems_install()

commit f7c60897d9437c72682d448322711b661a86d2e0
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: remove alloca() from snd_pcm_direct_set_timer_params

commit 8bb090be0520c83aaca3aba9e53ed6304eb62826
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: change code formatting for snd_pcm_direct_set_timer_params()

commit 3219c8d474febda859513fe7c3625265786c3002
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: remove alloca() from snd_pcm_direct_initialize_poll_fd()

commit 37e0e89d33303de64e44b330c235417956db0257
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: change code formatting for snd_pcm_direct_initialize_poll_fd()

commit 65fd1de250d10edb00ef38a4ea3ce8ab255bd7c9
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: remove alloca() from snd_pcm_direct_initialize_slave

commit 7c27eda9fd45051e335c8ca2de1ade80cc3260cb
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: change code formatting for snd_pcm_direct_initialize_slave()

commit f889a8d5decc24c84edccea6a49df014d38a683d
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: remove alloca() from snd_pcm_get_params

commit 8c3ffab39e290bcf22426eca75a65c88a1b487d1
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: change code formatting for snd_pcm_get_params()

commit a5f54c1aeb0851d75cdfb66df6a5f6982bc8cac1
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: remove alloca() from snd_pcm_set_params()

commit 804312cf3ed55c578f9dc373f93b59b7c2ffe802
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: change code formatting for snd_pcm_set_params()

commit 941bd150bef2560f3e38a3bf74d546447e3126d1
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: fix return value of snd_pcm_ioplug_sw_params()

commit 4c124b07599b9b6538955c50e3b96bf4e3465bb9
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: fix missing return value of snd_pcm_status()

commit 9ea5748c6630c52a52d5d9bf9454d910964fb274
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: add compatibility information for snd_ctl_elem_info_set_dimension()

commit c4b690278eeaf9a6805f67f6709e4aa33e58773a
Author: Takashi Iwai <tiwai@suse.de>

    pcm: Add LIBASOUND_THREAD_SAFE env variable check

commit 7a8a1d155267fb6e21ddaa0787d121ec47a15bf2
Author: Takashi Iwai <tiwai@suse.de>

    pcm: Remove home brew atomic operations

commit 54931e5a5455ac681a32a673d4b360d43f34b6b5
Author: Takashi Iwai <tiwai@suse.de>

    pcm: Add thread-safety to PCM API

commit 16eb412043fd0979c51a511a084a4058d44207a1
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: add 'default' case for switch statement

commit 8870c11894dcbe2b3a01d539158bb211de5cd4b5
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    mixer: remove assignment to unused variable

commit 773eeda110bcc91b1f0c7796810162c0b278edcf
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: set error code at failure path

commit 671dc9048672de684f93c00746750287808fdd99
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    topology: initialize variable for error output

commit d7436eba8d43d78e97ceceaf41887cd1569d006d
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    topology: apply the same type to compared two variables

commit 5235105ca3829eb344a158d577e24e92cd2f1961
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    topology: remove unused variable in get_tokens()

commit 87afc50e8116f0f41025f7d41dc4d1405885d704
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    topology: remove unused variable in tplg_parse_fe_dai()

commit 5d079c7608ea64fa1092fa8fce6e27d17d1a9e0f
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    hctl: remove assertion from element event handler because removal event overwrites all of queued events

commit 08224d2368fa413e173abb622cff4508cc41a1fe
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: improve documentation of APIs to add an element set

commit b6c69d7067a1818e53da774bdbdc3023f299d579
Author: Stephen Just <stephenjust@gmail.com>

    conf/ucm: chtrt5645: Add UCM config for chtrt5645

commit 42ff384a98ccac94e7b5ffdb54c478608ed6ee51
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    test: add linker flag with pthread for pcm-multi-thread stress test

commit 025e451b833efeb0b930f9041c827ea244ea4586
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: add dimension validator

commit 3ef712844f3a93f34f269114e341915ae7efece2
Author: Takashi Iwai <tiwai@suse.de>

    Add pcm-multi-thread to .gitignore

commit 147093ac5b8dd1ea81af0f8d9c13278fa2e709e5
Author: Takashi Iwai <tiwai@suse.de>

    test: Add pcm-multi-thread program

commit 97fce6607778844fed04caaeced68b7e18b8d91c
Author: Takashi Iwai <tiwai@suse.de>

    pcm: Remove superfluous rmb() from PCM meter plugin

commit d61d71a9bbbd7398d152bce6a65c2e460e8759f6
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: fix a test for user-defined element set in a point of dimension

commit ea7bc7f91a4053b11a3c266a3c547b9fb3de3266
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: support dimension test for user-defined element set

commit 18a46abf34f24e591cc46fcd83bbe2e2e9e1d921
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: optimize a test for user-defined element set to changes of APIs

commit 1edc5f5259f36a17487f0955401049369d71dc7d
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: optimize a test for user-defined element set to older kernels

commit 16812b70daeb1c31f4681d22474b21f986ff6619
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: add an API to set dimension levels to element information

commit f9e6011255b338c2aa04360c0e71923763871bc8
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: support extra information to user-defined element set

commit 7117d22cf256e92e061b433cf47f431b250b1212
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: use consistent name for second argument of snd_ctl_elem_read/write

commit 06a51e29f46acd2d1b03befa2a5765cedca9051b
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: use automatic variable instead of call of alloca(3)

commit 7bc886584f30e94c817cdfa0857168e50b189f45
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: fix returning zero for dimension level 4

commit 5eb8ae1bb0b646ff10a1521e2525133e6909c34c
Author: Takashi Iwai <tiwai@suse.de>

    doxygen: Suppress timestamp

commit e63ec948901125f26c625b0977173da0ed9b4da2
Author: Henrik Austad <henrik@austad.us>

    INSTALL: update text and drop reference to Hg

commit 5ba71a7b8144dc29c29ea36d5d2d221ebf8848da
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: add test program for control element set

commit fe1b08803db61ebd27719cb0c5909219a9d3c7d4
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: improve API documentation for threshold level operations

commit 677160d2269f0db2d05ccabe999240d063990eb9
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: add explanation about threshold level feature

commit d932e0184c59698e11cae7baace70a92b42c73ef
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    pcm: use new APIs to add a control element set for softvol plugin

commit 1680ea4768a76f93521d59eeaae2b0ec7d7920b2
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: change former APIs as wrapper functions of element set APIs

commit de23b0e6e6c9c68b132ffed4210de5f478569486
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: improve comments for API to add an element of IEC958 type

commit 07861888e429c0cb158b12ee68083c49165da844
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: add functions to add an element set

commit 90020c05f886b9b98c1c337acfc0bfb191e5c93c
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: improve comments for handling element data

commit f3c24de8c0df2cadb8bce86113f9b9f64dc3348e
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    ctl: add an overview for design of ALSA control interface

commit f449a299431a30d7d2588199f4cbd16e329db8a5
Author: Heiko Stübner <heiko@sntech.de>

    conf/ucm: ROCKCHIP-I2S: rename to VEYRON-I2S

commit d39e1879b9c72d51fe1ca4aeb5ba742e97b2175a
Author: Eliot Miranda <eliot.miranda@gmail.com>

    async: Handle previously installed signal handler

commit 614ce73d3d6eba13946f863bec24981d355902e1
Author: Takashi Iwai <tiwai@suse.de>

    pcm: dmix: Return error when slave is in OPEN or DISCONNECTED

commit 8feb96ed9b457c2aa62ddea2c48651475b7c3411
Author: Takashi Iwai <tiwai@suse.de>

    pcm: dmix: Prepare slave when it's in SETUP, too

commit 6d1d620eadf32c6d963468ce56ff52cc3a2f32e2
Author: Takashi Iwai <tiwai@suse.de>

    pcm: dmix: resume workaround for buggy driver

commit 2fa36eb03c000560128f7abce701536546b4a618
Author: Takashi Iwai <tiwai@suse.de>

    pcm: Fix secondary retry in dsnoop and dshare

commit d942498bfbd315c4c4559ccd573685e09aa03383
Author: Takashi Iwai <tiwai@suse.de>

    pcm: Remove resume support from dmix & co

commit c9a0d7d601e8ab069f8745968c03c8470b24d20d
Author: Takashi Iwai <tiwai@suse.de>

    conf: Add thread-safe global tree reference

commit 5fb3fe17249c3fffb8b8e15108ff72f27ba5e81c
Author: Takashi Iwai <tiwai@suse.de>

    pcm: Define namehint for single directional PCM types

commit 8cdbdae73109c901aec4984f6ba65e5b25722f13
Author: Takashi Iwai <tiwai@suse.de>

    namehint: Don't enumerate as duplex if only a single direction is defined

commit 5610b356b5f110f7f8e586f56e5b74e0f0c2db38
Author: Takashi Iwai <tiwai@suse.de>

    pcm: dmix: Fix doubly resume of slave PCM

commit c14b0a08f0bf58e4f62307c68f8ff0137b4dec19
Author: Takashi Iwai <tiwai@suse.de>

    pcm: Fix suspend/resume regression with dmix & co

commit a192f52fc63a86e1fbb9a09adb0bc2a6bbc8dab1
Author: Enric Balletbo i Serra <enric.balletbo@collabora.com>

    conf/ucm: ROCKCHIP-I2S: add Rockchip I2S UCM config.

commit 85bf9915989e0a338632739684c75192c1753239
Author: Jörg Krause <joerg.krause@embedded.rocks>

    pcm: softvol: fix conversion of TLVs min_db and max_dB value

commit 76af5bf833323d8ae1caa23d592a959e74990932
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Update PCM configurations in Broadwell text conf file

commit 25d6f8e6a8e162259dcf84600496dc8ebd8196e7
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Parse front-end DAI name and ID for the PCM

commit 5d23c406d1757d1b65e1d17a71c69620d9af71d7
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Fix pcm ID & name parsing

commit 0935e32d40e065e61255550ac4c5b7c6710dd028
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Use generic pointer to realloc buffer for private data

commit 86ec8b49008fbcfa45756f7ab1803392c3bb464e
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Refactor functions to parse and build streams

commit e64334df2b2fe6756539178d89133a0b56e83c9d
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Set manifest size for ABI

commit a0acd51d8c6e9846b75524431bc8c9e82f5cc503
Author: Takashi Iwai <tiwai@suse.de>

    Add src/conf/topology/sklrt286/data/pvt_data to .gitignore

commit 65b271034a36580badc980b3ff0bd77e7b9837ce
Author: Shreyas NC <shreyas.nc@intel.com>

    conf: topology: Generate Private data binary blobs

commit a8ca6d1c4b942616dad43d51d954c31894e3c608
Author: Shreyas NC <shreyas.nc@intel.com>

    Add u8 in type_compat.h

commit f5c313eae5c26d6843a4f860743151f53b2f4041
Author: Shreyas NC <shreyas.nc@intel.com>

    conf: topology: Add Skylake i2s conf

commit fdba9e1bad8f769a6137e565471f0227f23a3132
Author: Takashi Iwai <tiwai@suse.de>

    pcm: Fallback open as the first instance for dmix & co

commit e57b521c61f0df14b660ce6ba8c5009a63f5b115
Author: Hsin-Yu Chao <hychao@chromium.org>

    ucm: add cset-tlv

commit 0c5e5c1801e5b1b55e46144ee29ca7a71f2812b0
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Build data objects with tuples

commit fdb9a6d19f8b7cc8252d27e83907d8d1c5e4b53d
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Add support for parsing vendor tuples

commit 9b751b38cbb60bfb08ee796a59d72f40e3cd196d
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Add support for vendor tokens

commit 768a006089fab94d5aeffd9115da3fbe951a94f8
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: ABI - Define types for vendor tuples

commit 2fd8d388f530b03872d8afb51b0f98c6474646c7
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Add doc for vendor tuples

commit 6b31bf8edb407f4c184576909f40c41bdc8439e4
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Define a free handler for the element

commit 374c5fa9c5cb80efa41ef8a3afd215aa48b48436
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Use the generic pointer to free an element's object

commit 503a285ed60164d8c65c6ee9ba6f23631da753df
Author: Takashi Iwai <tiwai@suse.de>

    pcm: Clean up error paths in snd_pcm_plugin_*() helpers

commit 7c424edd116e76eee6218a1e9a6ff6c4daaf2a4d
Author: Shengjiu Wang <shengjiu.wang@freescale.com>

    pcm_plugin: fix appl pointer not correct when mmap_commit() return error

commit 6a610e56aeef5048136336f7f54db05f061ee4d4
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.1.1

commit 8372062357ae1ab5e43f7a9b52a89344f01b0c48
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: Add support for widget byte controls

commit f5e0062258a84997aab3725c1fd6761fd51320c8
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: add support for CTL access flags to config file

commit d1784ad8045062aaa9631abab41e795908b672fc
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: add support for pasring external ops in conf files

commit 65cb4ffe3c759c8089979a6d84da984a0c266c16
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: Add ops to bytes control.

commit dec428c352217010e4b8bd750d302b8062339d32
Author: Qing Cai <bsiice@msn.com>

    pcm: fix 'unable to create IPC shm instance' caused by fork from a thread

commit e0e3ce5f714b47ef2666a5fe1489c17b1f416ec6
Author: Martin Koegler <martin.koegler@chello.at>

    seq: Provide sequencer sound card number / PID via alsa-lib

commit 3adfa1b3eba939fd004de28ddc7cec03bce6eb92
Author: Takashi Iwai <tiwai@suse.de>

    Update include/sound/asequencer.h from 4.6-pre kernel uapi

commit 2c68581c505f8582870b626f97f3ab9411b699c6
Author: Takashi Iwai <tiwai@suse.de>

    Update include/sound/asound.h from 4.6-pre kernel uapi

commit 19fbcb7ce4f869c8888482a50b62da4cf9a2bab0
Author: Thomas Klausner <wiz@NetBSD.org>

    topology: Remove unnecessary includes

commit 52a964943708c133a6b3d966995c87c616bfe508
Author: Thomas Klausner <wiz@NetBSD.org>

    Use alphasort where versionsort is not available.

commit 0e3e574012b042145b97a68f026f005248641fbb
Author: Thomas Klausner <wiz@NetBSD.org>

    Only use F_SETSIG fcntl where it exists.

commit 31230b242723295b251602d0430f8a5065f88987
Author: Thomas Klausner <wiz@NetBSD.org>

    Add more compatibility defines.

commit e0d52fdd8a727ed6271826ebd8f7dbab9a3e83ae
Author: Thomas Klausner <wiz@NetBSD.org>

    Introduce bswap.h for portable definitions of byte swap macros.

commit 25e6b5b4734695dad404fcb1207d5e687a397245
Author: Thomas Klausner <wiz@NetBSD.org>

    Define some types if missing

commit 623d3be080736272e85be5ad8adb2ba3da5536ed
Author: Thomas Klausner <wiz@NetBSD.org>

    Define EBADFD in terms of EBADF if it doesn't exist.

commit 6d4736197ed6cd961717154d1f42d59092ff6764
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    control: keep consistent usage of assertion

commit 2b0ea7eefb7f23a8d29fcba55ab7f67d6929e181
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    control: initialize element channel values according to identification number at adding a new element

commit c2518902c5bc34f3320a8deb96c9a804b5a00176
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    control: fulfill a description about element type with integer64

commit c3c9206d12c553c0f0fac45a1aac16c7edc152b2
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: fix debug output to print correct "max" value.

commit df20aa2a1ea9cbcb3eb96c5684c1a00de29e2730
Author: Jaroslav Kysela <perex@perex.cz>

    coverity fixes

commit 0f4f48d37716be0e6ddccb2124c5e09d5bd1cab3
Author: Jaroslav Kysela <perex@perex.cz>

    pcm_hw: fix possible memory leak (coverity)

commit 822e781a47267b6efe70260486927f895b83ed84
Author: Jaroslav Kysela <perex@perex.cz>

    control: add missing asserts to ctl_elem_set functions

commit c7e87084412b26ea36cc62ac557bcde18f56bf22
Author: Jaroslav Kysela <perex@perex.cz>

    config files - do not include ucm/topology configuration when not requested

commit b917a0c0a87a07e2397a3468adf44f33fa329dde
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Quit and show error message on big-endian machines

commit cde9a37c06a09e890d2c4b175bd548ed6f247f93
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Not compare a for loop iterator with ABI __le32 variables

commit 8504a41d9424456f2cdca058d036eb42c195ee52
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Fix comparison of unsigned expression < 0

commit 605551aec6b4a1b5ca1d1fc519d0f4ce2488e786
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Remove unused variables

commit a661f144d9a5a73ae1e1972a5b9b00ff5ed50ee2
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Remove unused function write_data_block()

commit 9b09a3d500ff4d29f39d09ec2ba82b0ee561b217
Author: Vinod Koul <vinod.koul@intel.com>

    topology: open topology files with O_TRUNC

commit 57ae61ce274964c100f8df372f2d3b4c68ac17b8
Author: Peter Rosin <peda@axentia.se>

    pcm: simple: Fix asserts

commit 3f1dba9a821b53b42001605f9a126a958804884f
Author: Takashi Iwai <tiwai@suse.de>

    topology: Add missing include sys/stat.h

commit fe6b51c77a008f5e3e3841cead41219c3c22ccc7
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.1.0

commit 0b48b61798373e5ce8abf001bcce530d82c662d2
Author: Takashi Iwai <tiwai@suse.de>

    topology: Add missing prototypes for new functions

commit 7eb683ee39173b724054b28dcf7d6ae76e150539
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: remove little endian type from userspace header

commit 93b420b9e2f124feca8926a8506216f579c61a9f
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: Add C API support for PCM

commit 2286a6fd4de6e2eb4e16b50ceb253a9f934ae4b1
Author: Vedang Patel <vedang.patel@intel.com>

    topology: Add C API support for BE and CC Links.

commit ed5ee7ec2e00d8c2fe4d55a1c84946859b652f68
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: ABI - Rename dai_elems to pcm_elems in manifest

commit 9977accde22c86e783830efd932112dcc9ceb475
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: ABI - Change stream formats to a bitwise flag

commit f934c3de4b2299770276fabe06fb2df2d9f79e5e
Author: Vedang Patel <vedang.patel@intel.com>

    topology: ABI - Use __le32 instead of __u32 in snd_soc_tplg_dapm_widget

commit c5f53c1b13508ed93f4c0ba63f60ca5156243de4
Author: Vedang Patel <vedang.patel@intel.com>

    topology: ABI - Remove unused struct snd_soc_tplg_stream_config

commit 79ef136f0210f2432b631c6b8cff32ac4e7476b3
Author: Mengdong Lin <mengdong.lin@linux.intel.com>

    topology: ABI - Remove tdm_slot & dai_fmt from snd_soc_tplg_stream

commit 368e4f2a897b5500573a2ee525f5504c135cfca2
Author: Vedang Patel <vedang.patel@intel.com>

    topology: ABI - Separate PCM & BE/CC link support and bump ABI version to 4

commit b73d50fc2b48a07d404c02539fa2f4ad47f7e80b
Author: Vedang Patel <vedang.patel@intel.com>

    topology: ABI - Add name element to snd_soc_tplg_stream

commit 561df6fda04c6de6d856d32d65a1cfdf1f5870ca
Author: Mike Frysinger <vapier@chromium.org>

    support building w/out System V shared memory

commit 7e9086748789e31ee73a01d9b44318345b8e27c1
Author: Mike Frysinger <vapier@chromium.org>

    pcm: drop unused sys/shm.h inclusion

commit 5a24987575af563b605008b67c26fd86942cacfd
Author: Mike Frysinger <vapier@chromium.org>

    move page helpers to common code

commit 8985742d91dbdd74b2f605374207473393454fff
Author: Takashi Iwai <tiwai@suse.de>

    pcm: dmix: Handle slave PCM xrun and unexpected states properly

commit 99dc70f023cf118f1e23125301d9fd38fb805f6d
Author: Mike Frysinger <vapier@chromium.org>

    fix _GNU_SOURCE handling & header inclusion

commit 08c4b3b0adf1ab0c920dde5ffe5f914785686e54
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    hwdep: add FireWire digi00x/tascam driver support

commit f07e9af7eeebc950fd7bf4101a6af7f53ac741b6
Author: Takashi Iwai <tiwai@suse.de>

    pcm: ladspa: Fix segfault due to a wrong channel reference

commit 8b0a5310bf3cb6ca1f7d70e3f4149b25b17b453a
Author: Mengdong Lin <mengdong.lin@intel.com>

    topology: Add API to set a vendor specific version number

commit c82417650a1ea4446c19dd82bfab9d8e6cd5a969
Author: Khem Raj <raj.khem@gmail.com>

    build: Do not try to detect cross-compiler

commit 9a2fe5399c6ff987fe4e23907c6467c3d2baa307
Author: Takashi Iwai <tiwai@suse.de>

    topology: pcm: Remove unused variables

commit e38b13f128c743fe1f664e4491fdd0c880265da1
Author: Takashi Iwai <tiwai@suse.de>

    topology: parser: Add missing return value to snd_tplg_set_manifest_data()

commit 5b21400c42877ff6c2a386c7c5ed5c6c6c9bf664
Author: Takashi Iwai <tiwai@suse.de>

    topology: data: Fix wrong size check in tplg_parse_data_hex()

commit f41fe763e9bc80783bf1471141ac06d514ffaef3
Author: Takashi Iwai <tiwai@suse.de>

    topology: ctl: Fix access type checks

commit 76b9cae026bf73a00ccf3ec8833ec56f0e64f451
Author: Takashi Iwai <tiwai@suse.de>

    topology: builder: Fix possibly uninitialized variable in write_elem_block()

commit 03d6b15291e3534afb72c5aa36495a932ef0cc6a
Author: Takashi Iwai <tiwai@suse.de>

    pcm: route: Remove bogus ! in snd_config_get_id() checks

commit fe8bb1fe02f9c7b7cb6048a17a8ff1ea30f97fc8
Author: Takashi Iwai <tiwai@suse.de>

    pcm: ioplug,extplug: Fix logic errors in type checks

commit 3313f8740d936b1dbc6391ce3227ba467c6f603d
Author: David Henningsson <david.henningsson@canonical.com>

    pcm: Fix doxygen for two enums

commit 5b518c91594d3b0c8847a87d9b65877f74c7a87b
Author: Mengdong Lin <mengdong.lin@intel.com>

    topology: A API calls to directly build topology data from templates

commit 1b148ef590f94fc30b4c814c1ce2bc31621af840
Author: Mengdong Lin <mengdong.lin@intel.com>

    topology: Add C templates structure for building topology from C programs

commit ab9633d581110a5da08bd2d2c7c070f3862fe9af
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    core: add convenience macros to local.h

commit 634712d21c07a229a6b37658e900f0fd4c304a59
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: rename OBJECT_TYPE_ to SND_TPLG_TYPE_

commit b47cf00197420d7dc9dc01dce75b41aaad49278e
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: print error prefix on error message.

commit ecf7fdaeef57d300b94a1cd00db8a8b04a2edceb
Author: Mengdong Lin <mengdong.lin@intel.com>

    topology: treat all DAPM controls types the same when copying

commit 80a8283d179739f73ad007b5d60dbf28b80fddb9
Author: Mengdong Lin <mengdong.lin@intel.com>

    topology: Add ops support to byte control objects.

commit 8c8372cc060ec16776db28f927c9402dcc09b001
Author: Mengdong Lin <mengdong.lin@intel.com>

    topology: update ABI to improve support for different TLV object types.

commit d5e7e8bb38681c2cbf3777314c422130a740810e
Author: Mengdong Lin <mengdong.lin@intel.com>

    topology: Add support for writing manifest private data.

commit 120b3b8eadd9a2a4c2ede0a246bffa1cfac562a9
Author: Jin Yao <yao.jin@linux.intel.com>

    topology: Add element ID so we can look up references by name.

commit 1bb4c2fc304515278e6510ba7288b94f99f50bcd
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: fix element object type is switch()

commit 66ce9f9a1177de3b8e8304323b4d3a16d78ead32
Author: Takashi Iwai <tiwai@suse.de>

    topology: Fix typos

commit 907e464593a2acf51c2e2be4c3d4e098efdd95ff
Author: Takashi Iwai <tiwai@suse.de>

    topology: Fix missing inclusion of ctype.h

commit 00a51b5bacb0f966d0e323bd9d3057c0eb0e6f23
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    conf: topology: Add topology file for broadwell audio DSP

commit 22603237b09ed50744030f550248ade135d4f73b
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: doxygen: Add doxygen support for topology core.

commit fec1e8f25374ec8eb4d57ee43e94e9689a748678
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: autotools: Add build support for topology core

commit 1d1dff56767842a99d2e06a6997079c0516dec68
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: Add binary file builder.

commit 9764a4b891737e6b4363c09b5e5ce8384acecc11
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: Add Channel map parser.

commit 694b857ce7b44a333c4f5e8b12f1b6cdf1c12388
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: Add CTL parser

commit 01a0e1a1c2196967d2522092ca993098a7c66613
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: Add DAPM object parser

commit 5b379da2a0a1084349e918a52f471c03e37af703
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: Add private data parser

commit 353f1eddb608a837157342155fc061f85bf0a5f8
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: Add operations parser

commit 4db19506c3e7a68a0d0be40422172f22605c58d8
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: Add PCM parser.

commit 408396a8ca092846c840baa79c04b5f7dbe5da69
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: Add text section parser.

commit 37692bb985bdaa95fbb23e4a12eb61f6a2c63ac0
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: Add topology core parser.

commit 227c790c16db17a986df06c9a3ad79edade78db7
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    topology: uapi: Add UAPI headers for topology ABI

commit d0e13f87742e923edfb638d4b16b69b8dc2136d8
Author: Takashi Iwai <tiwai@suse.de>

    Replace list.h with its own version

commit 77b6be63876ee46a95320e77735d977edeedd44a
Author: Martin Geier <martin.geier@streamunlimited.com>

    pcm: restore hw params on set latency failed

commit 6849d7dc88e0fe22cddb6b2d06ddc967ad4c3a6c
Author: Pierre-Louis Bossart <pierre-louis.bossart@linux.intel.com>

    test: audio_time: show report validity and accuracy

commit 7bb3a74c4dbcfb01b0b91d94452d994b845b4ff3
Author: Pierre-Louis Bossart <pierre-louis.bossart@linux.intel.com>

    test: fix audio_time with new get/set audio_tstamp_config

commit cc8b73436a90c35beda64bfa13b2196df20cfd81
Author: Pierre-Louis Bossart <pierre-louis.bossart@linux.intel.com>

    pcm: add support for new STATUS_EXT ioctl

commit 6ec2464f397ff401c251057499abea77fd80b60b
Author: Pierre-Louis Bossart <pierre-louis.bossart@linux.intel.com>

    pcm: add support for get/set_audio_htstamp_config

commit 6cb31b444442f8ebca939cd78b80993f2ac85350
Author: Pierre-Louis Bossart <pierre-louis.bossart@linux.intel.com>

    pcm: add helper functions to query timestamping capabilities

commit 4dc44bb34aab2b23ab45c8e61e4b17bf2cf58959
Author: Alexander E. Patrakov <patrakov@gmail.com>

    Replace unsafe characters with _ in card name

commit c6df8273746645b2c5109537b07af6ed33d268d1
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    docs: Add UCM link to main doxygen page.

commit bb92545e064c3e2549878a328277eebe343aae61
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    ucm: docs: Fix doxygen formatting for UCM main page.

commit f66c7cc293b13765ffd67f530008e836f8354b13
Author: Liam Girdwood <liam.r.girdwood@linux.intel.com>

    ucm: docs: fix doxygen exclude patch for UCM local header

commit bbe9248e6788e7a852af15f2110dbaeace4d1907
Author: David Henningsson <david.henningsson@canonical.com>

    surround41/50.conf: Use chmap syntax for better flexibility

commit 9ee6ec80b80268932a372522ca192168e7812ccf
Author: Shengjiu Wang <shengjiu.wang@freescale.com>

    PCM: snd_pcm_xxxx_drain() maybe blocked after suspend and resume

commit 2fd098b587e8e5137c05ea6248c2aa87294e13c2
Author: Takashi Iwai <tiwai@suse.de>

    control: Allow cset'ing specific values in the multi-value case

commit 18ce3ec9caa266086c5f364a2bdbab27a8db9d77
Author: Takashi Iwai <tiwai@suse.de>

    pcm: Fix snd_pcm_status() for dmix & co

commit a5e5e3cd3c85eafcced7a93b1cf37201560f2a28
Author: Takashi Iwai <tiwai@suse.de>

    pcm: Don't assert in _snd_pcm_hw_params_internal()

commit 8551fe258791c165892583006b0aa5142f41b621
Author: Christophe Lohr <christophe.lohr@cegetel.net>

    test/pcm_min: Fix error messages

commit 9120f2de8608f49ee1cd4501b9eee39a1c71778f
Author: Christophe Lohr <christophe.lohr@cegetel.net>

    test/pcm: Fix generated values with float PCM format

commit 67f73b0fab466e780dcc0442e19894a1cbedc43b
Author: Takashi Iwai <tiwai@suse.de>

    pcm: Remove assert() from snd_pcm_hw_params_slave()

commit b4222f3fdc13f18fa621d6c6ff2fa6ed52e25de3
Author: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>

    ucm: allow multiple devices in JackHWMute

commit 404951da5ed66c80caf5e3fa3d703f291002cb24
Author: Jie Yang <yang.jie@intel.com>

    conf/ucm: broadwell-rt286: change to set capture volume and capture device

commit 434f2f021f00045abcf79c9048b808c5dccfc930
Author: Takashi Iwai <tiwai@suse.de>

    conf: Add hint descriptions to ctl, hwdep, seq and timer devices

commit 7d9972c6ad154bc55ccecb555ec84c01a694a050
Author: Takashi Iwai <tiwai@suse.de>

    Allow hint for ctl, hwdep, timer and seq

commit 46d98392d0f832e46693c8c06b4927a5eb6f4b28
Author: Takashi Iwai <tiwai@suse.de>

    namehint: Fix bad free with invalid iface name

commit c8667e3db4a47b0379562341317f3e868a7b2d51
Author: Takashi Iwai <tiwai@suse.de>

    namehint: Fix the listing without device number

commit bf98b4e3166c28343429119135644ba70c6e5277
Author: Takashi Iwai <tiwai@suse.de>

    namehint: Fix invalid list access in snd_device_name_hint()

commit ba6fa7b5a6a34da98e05df395f70bba3e2993497
Author: Jie Yang <yang.jie@intel.com>

    conf/ucm: broadwell-rt286: change to use the correct jack kcontrol name

commit b07de7c26b147a19621e35b33fa772de575fa2b8
Author: Takashi Iwai <tiwai@suse.de>

    Sync include/sound/asound.h with 4.1 kernel

commit c39d0834d5ad5ca3f2882457f2d4a14e678bfe76
Author: Richard Körber <dev@shredzone.de>

    USB-audio: Sound Blaster HD iec958 is on device 1

commit ecb38d2bec72a9fbb171e2e89816301d3451c8d3
Author: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>

    ucm: improve jack configuration documentation

commit 72aa0f8332fb945c4179450f65402ce1cb389594
Author: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>

    ucm: reformat snd_use_case_get() doc

commit 9d649add08beb93728ba2943a2c05f8f160f8296
Author: Takashi Iwai <tiwai@suse.de>

    conf/ucm: Add Makefile.am for broadwell-rt286 ucm config

commit 3c263716fd5bd2d9d5308cb13dba667d138c0097
Author: Bard Liao <bardliao@realtek.com>

    conf/ucm: broadwell-rt286: add ucm config

commit c56064e13556322e868c5014a7fb3d0933a97a4f
Author: Lu, Han <han.lu@intel.com>

    ucm: document some standard values

commit 16c956e598a2b22459538ec7eb46b7a8421bb80a
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.29

commit 567c831e6968fcd833eec8458da366dad183fd41
Author: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>

    ucm: fix some variable constness issues

commit a102e66440c7579e9a82ee869b7dc7a53393e3df
Author: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>

    ucm: fix the logic of choosing the default cdev

commit 1dd239b781402d21aa84ff9783926bb972547595
Author: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>

    ucm: fix incorrect error code sign

commit 4f045ac81e9b31a77ba9c939e21be383a7ad9585
Author: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>

    .gitignore: add test-driver

commit a540bb3f8930815e0ce42d6a6d55feccf2e64862
Author: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>

    ucm: fix variable mixup

commit 4e398ddfcf283b706f23d3759f737dc5dd05435f
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    control: complement comment for subscribe API

commit 56499c30b772532e781836a28be8bb099e400ff1
Author: Alexander E. Patrakov <patrakov@gmail.com>

    conf: add support for USB AudioSport Quattro (tm)

commit dbb7eca6559e970bd015eaa95a9e0525660fa09e
Author: Takashi Iwai <tiwai@suse.de>

    Remove unused hostname resolution in shm plugins and aserver

commit 6ea14c3624c0cbcf90e7d5859b4af629523b8d82
Author: Lu, Han <han.lu@intel.com>

    ucm: add binary configure file parse

commit 3b5fac6d10c580aee14642df8f94caad15dd53f0
Author: Tomeu Vizoso <tomeu.vizoso@collabora.com>

    conf/ucm: GoogleNyan: Add configuration

commit 187ba1d8cde0f866d40c1503cb11c3751a8255e2
Author: Matthieu Crapet <Matthieu.Crapet@ingenico.com>

    autotools: fix ucm partial build

commit f47480af37eebe4b89020449077d731ad25abc76
Author: Lu, Han <han.lu@intel.com>

    control: enable octal and hexadecimal parse

commit b2ed0aa9f28979f125a9db0548cfd38ac2334775
Author: Anssi Hannula <anssi.hannula@iki.fi>

    pcm: fix buffer overflow in snd_pcm_chmap_print()

commit 93b0e9ca85762c2b863434b2617147f806c7e3e3
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    hwdep: add OXFW driver support

commit a649c4b1a0c728d5d27c8530ed729a41834d24d2
Author: Tim Cussins <timcussins@eml.cc>

    pcm: Fix assorted tstamp_type bugs/omissions.

commit 72c8b07b2a514261c2cb28558307b5fcb017b05e
Author: Takashi Iwai <tiwai@suse.de>

    ucm: Fix uninitialized err in snd_use_case_set()

commit b779f6f43204c43f231b77858ba023a16de54568
Author: Takashi Iwai <tiwai@suse.de>

    mixer: Fix unused parameter warnings

commit c0a708180fa22133940c4bc50fbc627801f188eb
Author: Takashi Iwai <tiwai@suse.de>

    mixer: Fix inclusion of config.h

commit b14c49ab3d09f0e678209216a5e38934d904da3d
Author: Jussi Laako <jussi@sonarnerd.net>

    pcm: Fix DSD sample format endianess and add big-endian format

commit 984db83aa1ca60f67550d88ae3d0fd33a0c16109
Author: David Henningsson <david.henningsson@canonical.com>

    USB-audio: Add five more cards to IEC958 blacklist

commit 1eecc3a548839a71dfda5c65c9dc9369d868f665
Author: Takashi Iwai <tiwai@suse.de>

    dlmisc: Remove unused label

commit 11fdac949bebbe1cbb7a5faec52c95a416860b50
Author: John Spencer <maillist-alsa@barfooze.de>

    snd_dlsym: only do versioning checks if built --with-versioning

commit 5a066cb884815ab48924da8f70514d587400dd6a
Author: Takashi Iwai <tiwai@suse.de>

    pcm: dmix: Don't ignore SND_TIMER_EVENT_MSTOP

commit c7bfcbb25548db39299488e285b510a174231076
Author: Andreas Schwab <schwab@suse.de>

    snd_user_file: fix memory leak

commit ebd6afc9158c0afd7263a0ffa5474cf9e5f20c66
Author: Panu Matilainen <pmatilai@laiskiainen.org>

    USB-Audio: Add Scarlett 2i4 USB to S/PDIF blacklist

commit 24b4e86ddc512acb6b26f97cb958d59586482fb7
Author: zombah <zombah@gmail.com>

    conf/ucm: PAZ00: add Toshiba AC100/Dynabook AZ new config

commit 7c1f36dbcbe8d60c6f90cbcf7e2e801cacbcd535
Author: Takashi Iwai <tiwai@suse.de>

    mixer: Fix missing hctl handle free in snd_mixer_attach_hctl()

commit f78ba070b38c0711308d14ce642e78bc2a1a8fc6
Author: Renu Tyagi <renu.tyagi@samsung.com>

    pcm: return negative value in case of error

commit 5a0b992548778e063dbafb6737658be9b5e1e2a9
Author: Renu Tyagi <renu.tyagi@samsung.com>

    control: return negative value in case of error

commit b356cd29f975e53ae050a672aff81a71535c412b
Author: Renu Tyagi <renu.tyagi@samsung.com>

    conf: return negative value in case of error

commit 69e0aaa569912c2162908f168291490301b72322
Author: Renu Tyagi <renu.tyagi@samsung.com>

    pcm_hooks: null check for h

commit bd0b008c0d8ff08cd541dc608ce78478de7c9d12
Author: Renu Tyagi <renu.tyagi@samsung.com>

    socket: missing socket close

commit f3f568e3db5fccdf5cfb7053c04fde6272974faa
Author: Renu Tyagi <renu.tyagi@samsung.com>

    simple_abst: null check for lib

commit 30f289a8a38006a937ca9189bc666b0bd90cab3c
Author: Renu Tyagi <renu.tyagi@samsung.com>

    pcm_share: fixing missing mutex unlock

commit 09f5c75e9cd7869353a4f6c8da72df43dc2c8e22
Author: Renu Tyagi <renu.tyagi@samsung.com>

    rawmidi: close handle h

commit 0ee46280f3e3e52ed2c0af45c9a446a5a9dc5f83
Author: Renu Tyagi <renu.tyagi@samsung.com>

    sbase: fixed missing free

commit d37f9187956cc0a58bdd129a807e3fdd1f5286b8
Author: Renu Tyagi <renu.tyagi@samsung.com>

    pcm_file: fixed missing free

commit 020bb3018ad6febbb0ae9650c4a4ca2b016f7d52
Author: Renu Tyagi <renu.tyagi@samsung.com>

    mixer: fixed double free

commit 9ab3c4a66952c3ae4277624152da675050c7d2ad
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    hwdep: add missing declaration for snd_hwdep_poll_descriptors_count()

commit 048568bbea700dfd9921b40321f8d5aa7e5ef417
Author: Alexander E. Patrakov <patrakov@gmail.com>

    pcm, rate: hw_avail must not be negative before starting the stream

commit 650b8c975cd5c3f7dca6e78e74db587b57bcdfd8
Author: Jaroslav Kysela <perex@perex.cz>

    pcm route: Fix the bad condition (always false)

commit 99e57cb41a1af2056478e5d8dd0e575109e58a56
Author: Jaroslav Kysela <perex@perex.cz>

    Revert "pcm: rewindable, forwardable: don't return stale data"

commit f803a3394a7b7390087be3cc192b2895f9e960ea
Author: Alexander E. Patrakov <patrakov@gmail.com>

    pcm, file: don't recurse in the rewindable and forwardable callbacks

commit 6db0fe495ef1db1fd8f0ed791996f834665a926b
Author: Alexander E. Patrakov <patrakov@gmail.com>

    pcm: rewindable, forwardable: don't return stale data

commit e5e1af83881e4dbe20749a314703db7d0fd091c7
Author: Alexander E. Patrakov <patrakov@gmail.com>

    dsnoop: rewindable and forwardable logic was swapped

commit ff9d213ff80f6fe0456565d4f524366443217174
Author: Alexander E. Patrakov <patrakov@gmail.com>

    rate: handle negative values from snd_pcm_mmap_playback_hw_avail

commit 4fafa468d4bb4618cfde7183f820d8fdd373dcb1
Author: Alexander E. Patrakov <patrakov@gmail.com>

    pcm, null: use the snd_pcm_mmap_avail function

commit 0889e9470667dd68d5a0ce47a10a8c6d61b7bc79
Author: Alexander E. Patrakov <patrakov@gmail.com>

    pcm, rate: use the snd_pcm_mmap_hw_avail function

commit 78c804fc9348e4c29f1c77dd4b6ad586393aa628
Author: Alexander E. Patrakov <patrakov@gmail.com>

    pcm: handle negative values from snd_pcm_mmap_hw_avail

commit 9a43dc15b2979ed6d8850b033b594fbef829c991
Author: Alexander E. Patrakov <patrakov@gmail.com>

    pcm: express the rewind size limitation logic better

commit 9a56a673a6cd7343a9345921e2b1cbbb43fb725f
Author: Alexander E. Patrakov <patrakov@gmail.com>

    dmix: actually rewind when running or being drained

commit e59ffbf30ec13f7f1615ba266ec2f3e770801d6f
Author: Jurgen Kramer <gtmkramer@xs4all.nl>

    pcm: add new 32-bit DSD sample format

commit 622b1b6bdbb34baca885b65643d4796057574eb7
Author: Alexander E. Patrakov <patrakov@gmail.com>

    pcm: fix return value of snd_pcm_share_slave_avail

commit 99a2254f5f2a085b81efcc80950033a2b6110ecd
Author: Alexander E. Patrakov <patrakov@gmail.com>

    pcm: fix snd_pcm_mmap_hw_avail() near the boundary

commit 5f1960e3d8d56aa63afe2c37c6a3f4aa03571627
Author: Dmitry Voytik <voytikd@gmail.com>

    doc: fix cross-compiling example

commit b9f58dcc6f91fde42e6dd2bb831d6063855512a7
Author: Jurgen Kramer <gtmkramer@xs4all.nl>

    pcm: 2nd round of pcm_misc DSD fixes

commit dfc3bf97bf45bd78d498d20fcf930541350f836d
Author: Takashi Sakamoto <o-takashi@sakamocchi.jp>

    Sync enum snd_hwdep_iface_t with include/asound/asound.h

commit e8e54811339b13d6df648bb48b35157d9fba352c
Author: Takashi Iwai <tiwai@suse.de>

    pcm: Add missing signed and endianess definitions for DSD formats

commit 717ae3dd90c37f3a5ea9809370bdf56e2590a1c4
Author: Takashi Iwai <tiwai@suse.de>

    Sync include/sound/asound.h with 3.17-rc1 kernel

commit 87df9f3b7a650418b9aef943ac246549c132672a
Author: Jurgen Kramer <gtmkramer@xs4all.nl>

    pcm: Fix DSD formats userland usability

commit f6b879e7cc87d83343f5004369146881d1d1e335
Author: Shengjiu Wang <shengjiu.wang@freescale.com>

    pcm: pcm_local.h: include <time.h> to enable CLOCK_MONOTONIC

commit 7a5646f58ba2e8154a274a5ae0f8ec963f331f97
Author: Takashi Iwai <tiwai@suse.de>

    pcm: Drop snd_pcm_linear_{get|put}32_index()

commit fd84adc63e307572d05274be44c782a787087cda
Author: Takashi Iwai <tiwai@suse.de>

    pcm: route: Use get32 for multi-source route calculation

commit 55c53625212702debf55c719ec62f6c81c780927
Author: Takashi Iwai <tiwai@suse.de>

    pcm: Fill sw_params proto field

commit de63b942acf520a25ff469cf338a99eb3da65570
Author: Takashi Iwai <tiwai@suse.de>

    pcm: route: Use get/put labels for all 3 byte formats

commit 52444bd43afbadb8637f5fac3fe5fd90575ee216
Author: Takashi Iwai <tiwai@suse.de>

    test/audio_time: Set timestamp type explicitly

commit 65ff6fdafb705b5e2e6d4b9a94a80e5de89f5de1
Author: Takashi Iwai <tiwai@suse.de>

    pcm: Implement timestamp type handling in all plugins

commit 9b716075de4f2f7f15e428ee7efaa8960ef45b9c
Author: Takashi Iwai <tiwai@suse.de>

    pcm: Implement timestamp type setup in hw plugin

commit 0d393c29a272b6fc97e9fca3252fb1c58f86e75b
Author: Takashi Iwai <tiwai@suse.de>

    pcm: Add sw_params API functions to get/set timestamp type

commit 5250a8e212fd927735cfc27612b060c31dc3a230
Author: Takashi Iwai <tiwai@suse.de>

    Add timestamp type to sw_params (internal only)

commit 85e4704151677b8fcc5ccfc396071828e9ec1b8e
Author: Mark Brown <broonie@linaro.org>

    pcm: Provide a CLOCK_MONOTONIC_RAW timestamp type

commit 035f196bcdc1e9903ed52ad1859dc23d3aa74e72
Author: Shengjiu Wang <shengjiu.wang@freescale.com>

    pcm: rate: fix hw_ptr exceed the boundary

commit ea865bba4615d906144ae5d4f72a4aad2baffe1f
Author: Anssi Hannula <anssi.hannula@iki.fi>

    USB-Audio: Add second S/PDIF device on Phiree U2

commit 27cc710b5784cb3ab68cff2a9d9daf9fa479149e
Author: Alexander E. Patrakov <patrakov@gmail.com>

    ICE1712: add surround71 pcm definition

commit 7a748af4db17cb0b26d19e5f9939d277128ec94b
Author: Tanu Kaskinen <tanu.kaskinen@linux.intel.com>

    ucm: Document PlaybackPCMIsDummy and CapturePCMIsDummy values

commit c2f8ef7ab0c9c6daaab77191238f57b2ca49341e
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.28

commit 47ee780997ba9b7042840e158f875dc4ab488e0a
Author: Sergey <sergemp@mail.ru>

    alsa-lib: pcm_plug: fix float conversion for user specified ttable

commit 95ab1c1c7c4c2d167dd4ae27663283b490554dc6
Author: Jaroslav Kysela <perex@perex.cz>

    Loopback.conf: fix the comment

commit 8bdec31570f4b6f58d614ab49b9baac8f4ac8c5d
Author: Jordi Mallach <jordi@debian.org>

    Add -lm to test programs to fix build failure.

commit 5256e150eb34cf599e79839feaff7398ed67a499
Author: Jaroslav Kysela <perex@perex.cz>

    pcm: rate plugin - remove the rewind/forward implementation

commit 614a66bb2a94ee64e37935fed7a0adc1e822dc2e
Author: Alexander E. Patrakov <patrakov@gmail.com>

    pcm: rate: add rewindable and forwardable callbacks

commit 9c3086fb749cd5545be3f15cdde1592390006258
Author: Jaroslav Kysela <perex@perex.cz>

    pcm: null plugin - fix the avail count

commit 084e7a91d86db87b8ef438fd15f7823efebc0454
Author: Alexander E. Patrakov <patrakov@gmail.com>

    pcm: null: add rewindable and forwardable callbacks

commit fb73f310f8e62e04c4b420a2316c2dfd30651b62
Author: Alexander E. Patrakov <patrakov@gmail.com>

    pcm: multi: implement rewindable and forwardable callbacks

commit 68ae0c72a53704d416fe77d4c612d1f88d791e02
Author: Alexander E. Patrakov <patrakov@gmail.com>

    pcm:file: add the missing htimestamp callback

commit 042223c4ee9b17ba8a24bcfc4019f24b69b8310b
Author: Anssi Hannula <anssi.hannula@iki.fi>

    pcm: Fix channel map query when there are lots of maps

commit 84f8b976c052254a3e80bcf0eb0f198a480b2988
Author: David Henningsson <david.henningsson@canonical.com>

    pcm: route: Correctly close slave pcm when no matching chmap is found

commit 80a43f23dbca7a440cc95f73feecf20516eb99de
Author: Alexander E. Patrakov <patrakov@gmail.com>

    pcm: Fix forward/rewind support in iec958 plugin

commit 351870fd2d3245c33e9e8bc722f14041172513c2
Author: Andrew Eikum <aeikum@codeweavers.com>

    pcm: rate: Don't return negative frame count on success in rewind

commit 8dcce52ee09b12d977ea23ccd281a17bdcc5414e
Author: Matthias Larisch <mail@matthias-larisch.de>

    pcm: ladspa: Delay LADSPA plugin activate call

commit 015c34bf1540a97f8920bf9e3bdff0e80293a053
Author: Takashi Iwai <tiwai@suse.de>

    Revert "pcm: route: Don't handle no matching chmap as a serious error"

commit dbe6d7f86902dbbe2ff276b7a6524c084893772f
Author: Takashi Iwai <tiwai@suse.de>

    route: Fix invalid pointer access

commit d794af65e97822a29945a21c1cd2a21ea3b8e6b8
Author: David Henningsson <david.henningsson@canonical.com>

    route: Return NULL in case of zero found channels in determine_chmap

commit 5b72e3d5305930bffc300aa4f2545ba95992c144
Author: Takashi Iwai <tiwai@suse.de>

    pcm: route: Don't handle no matching chmap as a serious error

commit cbcc78031b676413265719113c7109481fa0242d
Author: Takashi Iwai <tiwai@suse.de>

    src/conf/cards: Add missing entry for Loopback.conf

commit 688004a6acf7d1d568a660546816a092b6cc32ed
Author: MONTANARO Luciano (MM) <luciano.montanaro@magnetimarelli.com>

    pcm: Wrap hw_ptr to boundary in pcm_ioplug

commit 48f1b308cc66152eb6db66742dd0d08d888cda8d
Author: David Henningsson <david.henningsson@canonical.com>

    conf: Allow 2.1 surround to use different number of channels

commit 5c4cd46810cef8850b037fca9e38ffd43b0bff22
Author: David Henningsson <david.henningsson@canonical.com>

    pcm: route: Select slave chmap based on ttable information

commit 8ad8d22216f818872a764ef5dafcaae1adeee211
Author: David Henningsson <david.henningsson@canonical.com>

    pcm: route: Allow chmap syntax for slave channels in ttable

commit 2da7b0c2c194a457de9d9a1a9b93c47e2dad1507
Author: Maarten Baert <maarten-baert@hotmail.com>

    pcm: Insert linear-to-float conversion when rate or channel count is incorrect

commit b669b50de2c0d0f18db924a4a5b556ffcc094421
Author: Patrick Welche <prlw1@cam.ac.uk>

    autotools: update style

commit 7a6e8ca348c4c2640cbc337914d1376333fdbc17
Author: Patrick Welche <prlw1@cam.ac.uk>

    Portability fix: look for sys/endian.h as well as endian.h

commit 1af088e39b75a0a0897c7036487b143e983cd423
Author: David Henningsson <david.henningsson@canonical.com>

    conf: Add surround 2.1 support to all cards

commit 57b5076c30b3453ee843912c0aeb3df8dbee3f68
Author: David Henningsson <david.henningsson@canonical.com>

    conf: Add basic infrastructure for 2.1 surround sound

commit 326c6802e49e5499e16cf141e1cdb0360fce14aa
Author: Riku Voipio <riku.voipio@linaro.org>

    alsa-lib: heavy pcm atomics cleanup

commit 66f07aa3b77e4013110f7b12640e204d0c15ac8d
Author: Olivier Langlois <olivier@trillion01.com>

    pcm: use CLOCK_REALTIME for non-monotonic ts

commit 507cdc13187f5eeb222eeb43550cf6a67c3b29c9
Author: Takashi Iwai <tiwai@suse.de>

    pcm: initialize monotonic field for dshare and dsnoop, too

commit e51cd448971c472d75dd700b0000988f6197b4da
Author: Olivier Langlois <olivier@trillion01.com>

    pcm: initialize pcm_dmix monotonic field

commit 336dc58beba0ca7cf5650dc12ed3eb72d61ac6d3
Author: Ivan Sorokin <vanyacpp@gmail.com>

    control_hw: fix potential memory leak

commit 3baf1bee843d8f0559f1481f26e9b8235b5e85ee
Author: Olivier Langlois <olivier@trillion01.com>

    alsa-lib: minor typo in pcm doc

commit 670e228c693cbff9714856e5be93a88d137c5c30
Author: Olivier Langlois <olivier@trillion01.com>

    minor malloc changes

commit 49ad6699e68862ef9888bdf10b5bdaa19933f1ea
Author: Takashi Iwai <tiwai@suse.de>

    dmix: Don't use assert() and abort()

commit 29d89ba0452e29830ca6cd34636aecf160a94a9d
Author: Andrey Mazo <mazo@telum.ru>

    pcm_file: document new argument to snd_pcm_file_open().

commit 4081be0b87ab9fa53a8906e66bc240f18a7a9a54
Author: Andrey Mazo <mazo@telum.ru>

    pcm_file: don't touch infile on playback and output file on capture.

commit e017c5f2df386c7c1f221a2f01c80edeec04b253
Author: Andrey Mazo <mazo@telum.ru>

    pcm_file: fixed memory leak.

commit 1919ee473d9bc6983f11327aef3ae76e923f41be
Author: Andrey Mazo <mazo@telum.ru>

    pcm_file: fix SEGFAULT if file option is missing while infile is not.

commit ae035b7fe5620fcaf4f5ea33ecabcf93b8e056cd
Author: Timo Teräs <timo.teras@iki.fi>

    conf.c: use portable way to initialize recursive mutex

commit 7d06b3ed9fda0220c2863ee20acd10c32cf313fd
Author: Jaroslav Kysela <perex@perex.cz>

    include/global.h - don't define timeval and timespec structures for !glibc

commit 2d6eb4e9ba1503e094d8cdc30a5a081fd22c1c84
Author: Takashi Iwai <tiwai@suse.de>

    test/chmap: Add missing usage text for -s option

commit 10ecf963ca9ee7c491affadd4838ef8e35823d2c
Author: John Spencer <maillist-alsa@barfooze.de>

    local.h: include sys/types.h to fix issues with pcm.h

commit c1fbd57c38dd565d3f87219031658f676654484f
Author: Waldemar Brodkorb <wbx@openadk.org>

    remove unnecessary/obsolete compat/hsearch_r.c

commit 529706fc323813cfad7c48d3738ea0bfa5b8305e
Author: Stephen Warren <swarren@nvidia.com>

    snd_tlv_convert_from_dB: fix decreasing gain across entries

commit 383912ef83cb2d5835239a23f6afc6198697a587
Author: Anssi Hannula <anssi.hannula@iki.fi>

    HDA-Intel: present up to 8 HDMI/DP outputs via "hdmi" device

commit 23bf1dce9438c0cf74357928289aa8f06957c283
Author: David Henningsson <david.henningsson@canonical.com>

    Fix access of freed memory in namehints

commit f21f48a70f8437a671b58fcab75e54222a9eea16
Author: Kai Kang <jiashuo.kang at gmail.com>

    Update iatomic.h functions definitions for mips

commit 4b169b05b48f4ea0196879b62b8c3fa5b050e806
Author: Adrian Knoth <adi@drcomp.erfurt.thur.de>

    hdspm.h: Update LTC ioctl to use struct hdspm_ltc

commit 36bc5770409901b0e3a1b1cb5a027cdb71ff47f5
Author: Arun Raghavan <arun.raghavan@collabora.co.uk>

    UCM: Document some standard values

commit d469ebe2efe514ce10511dfdff852063030d658d
Author: Laurentiu Nicola <grayshade@gmail.com>

    pcm: Fix a wrong value shown in the error message in rate plugin

commit 994ab14b401b2873c5f927215bbb86fe6f6335fc
Author: Przemek Rudy <prudy1@o2.pl>

    conf/cards: add Audio Advantage Micro II

commit b3b53a1bec47aaa2baef724cc9e79adadd603caf
Author: Jaroslav Kysela <perex@perex.cz>

    local.h: use __kernel_off_t from <linux/types.h>

commit 12a2928b9dc6facfbc294d09e25e85f808d92be9
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.27.2

commit 9d6736c9a2232ed105ebe38b3a2e21a98f5dd5ba
Author: Krzysztof Hałasa <khalasa@piap.pl>

    pcm_direct: fix SEGFAULT when getgrnam_r() returns 0 and pgrp is NULL

commit c91785e002b96afad344a8ab182e8d33e355b7f7
Author: David Henningsson <david.henningsson@canonical.com>

    pcm_hw: Fix buffer overflow in chmap

commit d20e24e5d1614354e9c8195ed0b11fe089c489e4
Author: David Henningsson <david.henningsson@canonical.com>

    chmap: Always succeed setting the map to what it already is

commit ca487c9511c1500184023dfea803a5e785d725e2
Author: Jaroslav Kysela <perex@perex.cz>

    pcm_direct: fix the memory leak when parsing the slave definitions

commit f2d39afe6139ab16aa2aeea0f51f32db79ab1262
Author: David Henningsson <david.henningsson@canonical.com>

    pcm_plugin: Fix return value of snd_pcm_rewind

commit 7f877543a36efd8fd5d38fae21352fc0567ece21
Author: David Henningsson <david.henningsson@canonical.com>

    pcm_hw: Remove unused fields in struct

commit 2f43b66c06ece64529e482a6dcc95cde37648252
Author: Takashi Iwai <tiwai@suse.de>

    Allow specifying the max number of cards

commit 14d653d7c374f9ba6319a7c5a8ee6f0bc3071304
Author: Juho Hämäläinen <juho.hamalainen@tieto.com>

    ucm: Fix segfault when device argument is missing from _sw{dev, mod}

commit 3d7433a3c87754ff8b51cf06de53a3e6c38c20b0
Author: Jordi Mallach <jordi@debian.org>

    pcm: Fix typo in documentation: PREPARE → PREPARED.

commit 49858e7b2feb8d3fb3d4a7cdd94043445297435f
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.27.1

commit f646b7e8b3c4ade665e66f8e479e17617c18b570
Author: Olivier Langlois <olivier@trillion01.com>

    Remove an obsolete macro in configure.in

commit 39a4dad148f6eb660703636df4a18fc7e69cd072
Author: Jordi Mallach <jordi@debian.org>

    Fix several spelling errors for “writable” and derivatives.

commit b906db19ef9f4fb7886003072e550391cc1ac651
Author: Steve Langasek <steve.langasek@canonical.com>

    Compile in the ALSA search path instead of relying on ld.so.conf.

commit 2b84ab0514cff71cb40ef96253f4624e39e9860b
Author: Jordi Mallach <jordi@debian.org>

    Add AM_MAINTAINER_MODE.

commit 93325038db874a29a464b4af6330361f73d1eb83
Author: Dylan Reid <dgreid@chromium.org>

    conf/ucm: DAISY-I2S: Set default filter mode for HiFi.

commit c6ac8ddde965067c5be4f860d60ad106550f44c4
Author: Takashi Iwai <tiwai@suse.de>

    conf/ucm: Set up for installation

commit 52de910868f56ee7e6b07a1a2ad6a54913f745d0
Author: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>

    conf/ucm: tegraalc5632: add UCM config from Ubuntu

commit 7db247be11381bef6e38a41f1d51fa78a99350b5
Author: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>

    conf/ucm: SDP4430: add UCM config from Ubuntu

commit 9d0f93af0b35bfdcbd3d758d98715508b69d6008
Author: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>

    conf/ucm: PandaBoardES: add UCM config from Ubuntu

commit 5b019ea310e6a5d6ff8933bcbca1f3f3471be33b
Author: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>

    conf/ucm: PandaBoard: add UCM config from Ubuntu

commit f07c14b08280fb461b7f070d55a625e1f5e88a1e
Author: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>

    conf/ucm: DAISY-I2S: add Samsung ARM Chromebook UCM config from ChromeOS

commit e23961df507ad3c981997cbd9e6e03352de79de3
Author: Clemens Ladisch <clemens@ladisch.de>

    seqmid: restore sequencer address prefix match feature

commit 2d5ad69e4e338789cc281276dc9c7efa2726dbde
Author: David Henningsson <david.henningsson@canonical.com>

    conf - Add Scarlett 2i2 USB to S/PDIF blacklist

commit a8f405b8f90d752c3609b9e918dc949c4efadf87
Author: Takashi Iwai <tiwai@suse.de>

    Add definition of __inline__ for non-GCC

commit 30122df4faf7ccc79b9525db95f55c5a8ed6fe4d
Author: Takashi Iwai <tiwai@suse.de>

    Use __inline__ for exported headers

commit 886f0cc3c274643de464e646535afb4ceee1d816
Author: Daniel Mack <zonque@gmail.com>

    bring pcm.h and pcm.c in sync with the kernel list

commit 697f8c296ccb4b38cec930782b5ef1419aaf4245
Author: Daniel Mack <zonque@gmail.com>

    pcm.c: fix indentation

commit e1e40c25535af35fa5cdf7ffc95a01fbff098ddd
Author: Takashi Iwai <tiwai@suse.de>

    Fix doubly call of dlclose() in dlobj caching code

commit 812e4b0c5ba74fecb6e086cadeb10e19df0e1e88
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.27

commit 201f28a008179e774a355f2f9e7cdadfe09fd63f
Author: Jaroslav Kysela <perex@perex.cz>

    control: enhance doc for snd_ctl_ascii_value_parse() function

commit 91de1212d0da0e52c64f7392f35e3c129d6bbce5
Author: Takashi Iwai <tiwai@suse.de>

    Optimize NULL check in snd_dlobj_cache_put()

commit e79990ac5d09001c8c678feaed057e991ee8379e
Author: Takashi Iwai <tiwai@suse.de>

    Clean up dlobj cache only when no user is present

commit a6813c2d0e2fa4586122d23748033a8bab206b8b
Author: Jaroslav Kysela <perex@perex.cz>

    pcm: direct plugins: do more safe IPC semaphore handling

commit b6eb0f9bfddb836fcc366d81f07ba62e46c95ccf
Author: Jaroslav Kysela <perex@perex.cz>

    all places: doxygen cleanups

commit e23fb2c4de29b24c28f0c609521faa28d948a05b
Author: Jaroslav Kysela <perex@perex.cz>

    control, pcm: implement snd_ctl_abort() and snd_pcm_abort() functions

commit 730c833dd8b76cc280246be698980422cb1bce47
Author: Daniel Svensson <dsvensson@gmail.com>

    pcm: fix typo, should be SND_PCM_STATE_PREPARED.

commit 02d9f316a590102aecaaad7055862ffc42258d7a
Author: David Henningsson <david.henningsson@canonical.com>

    USB-audio: Add "HP Digital Stereo Headset" to SPDIF blacklist

commit 009193a34575fe439211b9a711e56322afc7460e
Author: Jaroslav Kysela <perex@perex.cz>

    pcm: fix and optimize snd_pcm_areas_copy function

commit 28493d9d693b1387ed38a849b2d256b34baba2b4
Author: Sander Jansen <s.jansen@gmail.com>

    snd_mixer_poll_descriptors_revents should loop over pollfd

commit f5f45589f81c46d4ca4cbbe089441a0f7ac5e197
Author: Takashi Iwai <tiwai@suse.de>

    Add workaround for conflicting IEC958 controls for HD-audio

commit 8c6da54073b2c966d9a4e137ba4d521eac92816f
Author: Takashi Iwai <tiwai@suse.de>

    control: Simplify using snd_config_get_bool()

commit 3e7dc283ed2d3ed2341f0657811c588f4dbcba6d
Author: David Henningsson <david.henningsson@canonical.com>

    Add sys/types.h to include list

commit 7f2b2c8c1650a1883b48abfcdb455138943854f9
Author: Allan Wirth <allan@allanwirth.com>

    conf: Fix a memory access violation resulting from improper error propogation

commit f49b2dc522a2564315c76d075203b15a39941e8a
Author: Jerome Forissier <jerome@taodyne.com>

    snd_device_name_hint(): do not use global snd_config.

commit 25dbb102810b31c02358904d70d53c960fb0a10e
Author: Jerome Forissier <jerome@taodyne.com>

    snd_device_name_hint(): do not change the global error handler.

commit 44c1a623dd1fc9e831616b663bebc54ca98df994
Author: Jerome Forissier <jerome@taodyne.com>

    Add snd_lib_error_set_local() to install a thread-local error handler.

commit 2cfc8b9b44a8e493c41b3d63d5a00b306a18a5ed
Author: Jerome Forissier <jerome@taodyne.com>

    snd_pcm_direct_parse_open_conf(): use thread-safe getgrnam_r()

commit 1629e2fbf3dc211eceb37f980e11e5babe1cefe4
Author: Tanu Kaskinen <tanuk@iki.fi>

    ucm: Set uc_mgr->ctl to NULL after closing it.

commit b11911dddf2fd58e24c808da26105cb1e1bce722
Author: Olivier Blin <dev@blino.org>

    configure: do not detect incorrect cross-compiler

commit 72bbf96e1fa0be63892343b331fac42414fdc8da
Author: Takashi Iwai <tiwai@suse.de>

    Fix endian check in local.h

commit 1b428e7719fdec1b5e3206b8e55a86c4891d1849
Author: Takashi Iwai <tiwai@suse.de>

    mixer: Don't build simple_abst when no libdl is available

commit 8d14698931d6c319c42c4bc39886e92d13d19f1e
Author: Takashi Iwai <tiwai@suse.de>

    configure: Quite AM_CONDITIONAL() arguments

commit 03c26d0edeeefb7550ba8cca91167343677022ab
Author: Takashi Iwai <tiwai@suse.de>

    PCM: Fix conflict of _snd_pcm_hw_params definitions

commit 22d6b6e643d81467bcd2b0d8934c6b84bed51787
Author: Takashi Iwai <tiwai@suse.de>

    Add workaround for conflicting snd_seq_event_t definitions

commit f47816d6b78003b5161ffb67b3b5c1b62b8a2a00
Author: Takashi Iwai <tiwai@suse.de>

    PCM: shut up a compile "unused parameter" compile warning in pcm_multi.c

commit 67d692af480ed0656fb0fe7fdc6451374447dc7c
Author: Takashi Iwai <tiwai@suse.de>

    PCM: Add more chmap definitions for UAC2

commit 9b5beef1ddb3fa49e2c4b1d0770e70068ae93b1c
Author: Takashi Iwai <tiwai@suse.de>

    Merge kernel uapi/sound/asound.h and asequencer.h

commit 3fd4ab9be0db7c7430ebd258f2717a976381715d
Author: Takashi Iwai <tiwai@suse.de>

    PCM: Avoid busy loop in snd_pcm_write_areas() with rate plugin

commit 49dde08641f8c6b480c0d410d4fdb2160752dd9a
Author: Jaroslav Kysela <perex@perex.cz>

    Reduce compilation warnings

commit edcd677bf2065c560ef578940bab8f0aacddf0e6
Author: Jaroslav Kysela <perex@perex.cz>

    PCM: Fix memory leak for pcm empty and asym plugins

commit 2b49df0c554cb9c7fc717dcf82d1b8f5310eef62
Author: Clemens Ladisch <clemens@ladisch.de>

    pcm: fix 64-bit SNDRV_PCM_IOCTL_STATUS ABI breakage

commit cf40ea169aad366b222283f431addafea6327149
Author: Pierre-Louis Bossart <pierre-louis.bossart@linux.intel.com>

    pcm: support for audio timestamps

commit 4bdb09126a32feb4394eaeb1d400d87e7c968770
Author: Takashi Iwai <tiwai@suse.de>

    PCM: Fix the invalid snd_pcm_close() calls in rate plugin

commit a9f395e97c12cea40ca1cddfbf0d5696651ea698
Author: Takashi Iwai <tiwai@suse.de>

    Update .gitignore

commit 6429a450a315e00d9e00af46eb42784a4cc5dce1
Author: Pierre-Louis Bossart <pierre-louis.bossart@linux.intel.com>

    test: add audio_time

commit 5a6ce315201f9e2abee51f4f890c1f5c6592c998
Author: Takashi Iwai <tiwai@suse.de>

    PCM: Fix infinite loop in htimestamp of dmix, dsnoop and dshare plugins

commit 5a2daef19225478df7e3c1f8c6c9cb847e574b44
Author: Takashi Iwai <tiwai@suse.de>

    PCM: Fill SND_CHMAP_NA to silent channels in route plugin

commit 63f6f4a6103e55d242440488999e648beb5e4e4d
Author: Takashi Iwai <tiwai@suse.de>

    PCM: A few doxygen fixes for chmap stuff

commit c6db60e32758e8f4bb6f066a5c6fc7758a0f4c49
Author: Takashi Iwai <tiwai@suse.de>

    PCM: Fix the conversion from string to chmap position

commit f7300682dc0fe9faec94461af6fdcf098047a0d1
Author: Takashi Iwai <tiwai@suse.de>

    PCM: Define MONO and other channel map positions

commit 58c45b30309a1dd255c8b9e5cb34398658867b81
Author: Takashi Iwai <tiwai@suse.de>

    test/chmap: Fix wrong malloc size

commit 2c61a4173ff2c3d57eb77b3f66e0d0e517c799d6
Author: Takashi Iwai <tiwai@suse.de>

    conf: Add chmap definitions to TRIDENT and SI7018 configurations

commit ec7acfc408856cfe71a122e3b5387463d7b3d919
Author: Takashi Iwai <tiwai@suse.de>

    PCM: Use compounds for overriding / enhancing chmaps

commit 5ba11d69dafbd4502469fd957b4580169779664c
Author: Takashi Iwai <tiwai@suse.de>

    Add chmap override definitions for Emu10k1, Audigy and Audigy2 cards

commit a102028a5a747ecdf1d6fcd16aef0994477a951b
Author: Takashi Iwai <tiwai@suse.de>

    PCM: Add the missing query_chmaps for route plugin

commit e1975d20f5d52b370b5e78f5eb5f80a33f55a656
Author: Takashi Iwai <tiwai@suse.de>

    PCM: Add chmap options to hw and null plugins

commit 81135aac49c8a3b547181d44f78ffe2594db5dbe
Author: Takashi Iwai <tiwai@suse.de>

    PCM: Add query_chmaps support to multi plugin

commit 25f3259b48e921886bda58075936de3d53b84bc1
Author: Takashi Iwai <tiwai@suse.de>

    PCM: Add snd_pcm_chmap_long_name()

commit fe81684745e5c121e2d110bf6955e3f2858d2c7c
Author: Takashi Iwai <tiwai@suse.de>

    PCM: Add SND_CHMAP_API_VERSION definition

commit b4c64e815a051e711798be1d772f123d19c1ff6e
Author: Takashi Iwai <tiwai@suse.de>

    PCM: Add string conversion helper functions for chmap

commit 6950a1030c4f878b51104268e3cd13401d56bf60
Author: Takashi Iwai <tiwai@suse.de>

    PCM: Fix prefix for snd_pcm_chmap_type enum members

commit ec96740d9919b5e0c050a4b91aebee4b1dbb8298
Author: Takashi Iwai <tiwai@suse.de>

    Fix duplicated channel entry in test/chmap.c

commit 01dc0e6825b5620510faaefaef40ff8cfb692b6e
Author: Takashi Iwai <tiwai@suse.de>

    PCM: Implement snd_pcm_query_chmaps_from_hw()

commit 9c1a0ce72d71e4728d45dcd3986dd0ef0201dd67
Author: Takashi Iwai <tiwai@suse.de>

    PCM: Introduce snd_pcm_chmap_t and snd_pcm_chmap_query_t

commit 48c2c90f19f07d02082d9fb84fb36ac1fcfa84e1
Author: Takashi Iwai <tiwai@suse.de>

    Add SND_CHMAP_NA and bit flag definitions

commit 0f36270dd315b9baf3a93f5586776b91c0bcf589
Author: Takashi Iwai <tiwai@suse.de>

    Follow channel position definitions to mixer channel in mixer.h

commit 915b26bfe8af876d467a37c336c6bf22d5e370fe
Author: Takashi Iwai <tiwai@suse.de>

    Define channel map position enum in pcm.h

commit 34f6545520de73be55ee6c29a7ebd3c016fa9f06
Author: Takashi Iwai <tiwai@suse.de>

    Cache the chmap operation errors

commit 3fc13d6f5b08edee49b106cd711d51bf3aef6ab7
Author: Takashi Iwai <tiwai@suse.de>

    Add test/chmap program

commit 662f79d4ec6b52bbaab28d5a9b60cc8bcdf042f9
Author: Takashi Iwai <tiwai@suse.de>

    Implement get_chmap/set_chmap for PCM extplug/ioplug plugins

commit 3fb013065fee01ba7ac7c64fa48149f0e124fe26
Author: Takashi Iwai <tiwai@suse.de>

    Implement get_chmap/set_chmap for PCM plug, route and multi plugins

commit 3c4a22ea49a881cdbfe2d50eef94b17e38104734
Author: Takashi Iwai <tiwai@suse.de>

    Implement the channel mapping API

commit 1ef1c5cdb4301898499c0391cdfac2117c7d4684
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.26

commit a0745888890fb0f5c2cd02cb8e842803a9f9ec01
Author: Jaroslav Kysela <perex@perex.cz>

    doc: Use 'rm -rf' for the html doxygen tree (it contains search/ dir now)

commit f285572102540fde7dcfaa009a34fb0d6822132f
Author: Reilly Grant <reillyeon@qotw.net>

    PCM: plug: Move fast_ops copy after slave configuration.

commit 59de61e5b5b960ec979c0ff4ede72cdc28a2d424
Author: Takashi Iwai <tiwai@suse.de>

    PCM: Allow to run older version of extplug plugin

commit d0ca075621074a9b35eefbe27328245c9ae9eead
Author: Takashi Iwai <tiwai@suse.de>

    Ignore .* files in general

commit 7c5c3ff3dea22c048a872e8c2f34b830159cbf36
Author: Takashi Iwai <tiwai@suse.de>

    ucm: Add const to execute_cset() argument

commit 58d10c09e12fde9c24650dfb798b7700e1431a65
Author: Takashi Iwai <tiwai@suse.de>

    ucm: Improve cset command parsing

commit c34f74c818c6ced0aa8e8b7002ba37b14c5de71b
Author: Mario Domenech Goulart <mario@ossystems.com.br>

    test/latency.c: Fix string argument to getopt_long, so now it handles -E and -B

commit e16a9a04b190c1c7981d9c65c08c504b9a23fe37
Author: Tanu Kaskinen <tanu.kaskinen@digia.com>

    ucm: Return NULL from get_list0() and get_list20() in case of empty lists.

commit 480d3204fea75021d10132fcd2b54b7476d6cb0e
Author: Arun Raghavan <arun.raghavan@collabora.co.uk>

    build: Disable another compile chack with --disable-alsatest

commit 9e795252c637ad746de91578aec137602e7c74f0
Author: Arun Raghavan <arun.raghavan@collabora.co.uk>

    ucm: Add missing pthread.h include

commit 55abbc9fde61fb7b205df8db4a909ad83e2a1590
Author: Arun Raghavan <arun.raghavan@collabora.co.uk>

    build: Fallback to alphasort() if versionsort() isn't available

commit df924cd9c5dd5ab079784faec344cdfd11f3147a
Author: Arun Raghavan <arun.raghavan@collabora.co.uk>

    control: Use strcpy() instead of stpcpy()

commit 86e27cdbf119440101a850e1b44baebfefe863ca
Author: Martin Sandsmark <martin.sandsmark@kde.org>

    hctl: Remove a useless assert

commit 52160de21ee6a710a746b0881d9581994d039123
Author: Takashi Iwai <tiwai@suse.de>

    Fix the binary compatibility of ext-ctl plugin with protocol 1.0.0

commit e8923f2e7569cc390129572bfbd6552cbb407207
Author: Arun Raghavan <arun.raghavan@collabora.co.uk>

    ucm: Handle repeat device and modifier enables/disables

commit e4d9c348304880399e622d99d0177f434a517d88
Author: David Henningsson <david.henningsson@canonical.com>

    conf: Add more USB devices to S/PDIF blacklist

commit 70b958f460a253f2cbdfd9773d54d489d3dcc4ba
Author: Benoît Thébaudeau <benoit.thebaudeau@advansee.com>

    tlv: improve robustness of raw value ranges

commit afaffe80d9f18bd4e85e665bb078be9511855d51
Author: Antonio Borneo <borneo.antonio@gmail.com>

    pcm_dsnoop: comment fall-through in next "case"

commit b7334b1a81994bf3005a8999dd779c85683f86c0
Author: Antonio Borneo <borneo.antonio@gmail.com>

    pcm: add missing "break" in "switch"

commit 1d3f7975f920f47e6a8a324f547da2180e64171a
Author: John Spencer <maillist-alsa@barfooze.de>

    Fix invalid long long format specifier

commit bb5c49fa4160ec1d819fb03fc8dfb5387dad0522
Author: David Henningsson <david.henningsson@canonical.com>

    alsa-lib conf: Add two more USB devices to iec958 blacklist

commit a6c50d64d9d06cece520d0ab9b109990241af47b
Author: Dylan Reid <dgreid@chromium.org>

    control_external: Add ability to specify TLV data.

commit ed0e48583fbd9dc9d86dad25bb26ac089b9e3528
Author: David Henningsson <david.henningsson@canonical.com>

    alsa-lib conf: block S/PDIF access for Sennheiser USB headset

commit e5c4c248a1ad6a84140759bfe6a26348c222a929
Author: Adrian Knoth <adi@drcomp.erfurt.thur.de>

    doc: Fix typo in PCM formats

commit 193724743965d4548d632ebfde15c0c5d3c44e9d
Author: Henning Thielemann <alsa@henning-thielemann.de>

    seqmid - more descriptions on snd_seq_parse_address() behavior

commit 2ab86d96c9c9f63212eee89f92f516d537b086e1
Author: Takashi Iwai <tiwai@suse.de>

    mixer: Remove redundant CHECK_ENUM() from snd_mixer_selem_is_enum*()

commit 947d208076e3e7e7ff167833ec3335804a6b7d2a
Author: David Henningsson <david.henningsson@canonical.com>

    USB-Audio: Fixup card name for Logitech web camera

commit 1a9627dfe74d373010bbd41d738eda25e03f2231
Author: David Henningsson <david.henningsson@canonical.com>

    USB-Audio: Blacklist iec958 for some USB devices

commit 65298d98f3b1222001283a2bfc92eecb12096def
Author: Luke Yelavich <luke.yelavich@canonical.com>

    conf/pcm: Add support for Echo3G devices. Thanks to unimatrix.

commit c3ed2c98509e944772c40d1bdaaf5f22fc392e39
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.25

commit 98d4ed8810da5c203b5b5f211ee290ae38621eeb
Author: Jaroslav Kysela <perex@perex.cz>

    Introduce --with-pkgconfdir, add 64-bit defaults to gitcompile

commit 226a34ac09e5d9c08ab8845e4c2e3fbd7b64010b
Author: Andrew Eikum <aeikum@codeweavers.com>

    Document strdup allocation in snd_card_get_name family

commit ad2a0b3a5608255358eb9e5aba12a4461d889cc3
Author: Andrew Eikum <aeikum@codeweavers.com>

    Improve snd_device_name_hint documentation

commit 43956de710b4ea3187dab52963e69ec7ea97b62d
Author: Andrew Eikum <aeikum@codeweavers.com>

    Improve hw_params documentation

commit 235aec0a757ff78e6d7f41f9bcd62357682f7e6f
Author: Andrew Eikum <aeikum@codeweavers.com>

    Search-and-replace improve documentation language

commit 6eafe5db3d8bef25d1afc353c9942c33491e6e3f
Author: Andrew Eikum <aeikum@codeweavers.com>

    Remove docs for snd_names_list and snd_names_list_free

commit f562b032be770b915166f888543c9f6e06b26544
Author: Takashi Iwai <tiwai@suse.de>

    pcm:mmap_emul: Fix sw_params and others in bypass mode

commit 15c6f832968c1f69a7c744f7051e4fc622acd62f
Author: Clemens Ladisch <clemens@ladisch.de>

    control: add snd_ctl_elem_add_enumerated()

commit 567cc19a883f9799737bc03881589ae3f331273f
Author: Clemens Ladisch <clemens@ladisch.de>

    asound.h: cosmetic changes for consistency with kernel asound.h

commit 9736511b36a1536251589def209ed0381ae1514d
Author: Clemens Ladisch <clemens@ladisch.de>

    asound.h: update for latest kernel

commit fef6e6fd580073e0c0696105f808145561990b75
Author: Julia Lawall <julia@diku.dk>

    src/pcm/pcm_mmap.c: add missing free

commit c36f8c87ffb978d8cabbc4e5c489f14b6b276365
Author: Julia Lawall <julia@diku.dk>

    src/pcm/pcm_multi.c: add missing free

commit 03aa1a57c99460489815bf301e554c4d0a638bf6
Author: Julia Lawall <julia@diku.dk>

    src/pcm/pcm_ladspa.c: add missing free

commit 2a7f653b7f3bea6c8f0895f1921c2d706f40684f
Author: Julia Lawall <julia@diku.dk>

    src/pcm/pcm_rate.c: add missing free

commit 6dab1a91cbbd40d2f52a0c5a1bd961a1db7bb319
Author: Clemens Ladisch <clemens@ladisch.de>

    pcm: recalculate all rules after changing hw_params flags

commit 7924500688fdfeac71e5968e5f5875726a8dce14
Author: Colin Guthrie <colin@mageia.org>

    conf: Allow for a directory to be given as a config file.

commit 26e80c2e32bd3a088b56a6ea4e30d5b8ccce9112
Author: Lu Guanqun <guanqun.lu@intel.com>

    ucm: add another sequence 'msleep'

commit a97aa7f065ed4a7fc1879921a58c40954dc34316
Author: Lu Guanqun <guanqun.lu@intel.com>

    ucm: tivial code style fix

commit 29880e8c66cfdc584e01aa549037f76b081b5019
Author: Lu Guanqun <guanqun.lu@intel.com>

    ucm: fix seg fault in execute_cset()

commit 78dbc57b9918a5c0a29eb70f36af6d21b9471e9d
Merge: e31aaac acb423d
Author: Takashi Iwai <tiwai@suse.de>

    Merge branch 'fallback'

commit e31aaac5308216f89039cdfa016fe396f49e8fe7
Author: Adrian Knoth <adi@drcomp.erfurt.thur.de>

    Add RME RPM to HDSP_IO_Type.

commit acb423d937111d682706169bcdcb58c70fdfa84d
Author: Takashi Iwai <tiwai@suse.de>

    Add snd_{ctl|pcm}_open_fallback() functions

commit e6f990e5c9be5cac6f36924d20a75d0f69d27297
Author: Takashi Iwai <tiwai@suse.de>

    Define "sysdefault" PCM and control

commit e2c2262403c5639c7ff96f47a43682ff16b7ae4f
Author: Stephen Warren <swarren@nvidia.com>

    UCM: get: Implement 'exact' value retrieval

commit a48f67c0ed7485e10dcbf08f9006a6282ef8ab7d
Author: Stephen Warren <swarren@nvidia.com>

    UCM: snd_use_case_get: Don't segfault when no current verb

commit 32d24f4071e8ba2e14fe8ba09e391065c1115f2a
Author: Stephen Warren <swarren@nvidia.com>

    UCM: Allow querying of {Supported,Conflicting}Devices

commit 547300fb35c9f60c34348bf6da36874236aec84e
Author: Stephen Warren <swarren@nvidia.com>

    UCM: Disallow gets of undefined system properties

commit fc038149c5b8bc395c215ab714d3243f48b48a7b
Author: Stephen Warren <swarren@nvidia.com>

    UCM: Implement ConflictingDevices, add device list to devices

commit 866fa538d4c23b0579b8232f0bf93ef68195a997
Author: Stephen Warren <swarren@nvidia.com>

    UCM: Deprecate index on Section{Device,Modifier}

commit e1c876a2f0df6c658a5ea0ddde14ee7201fd124b
Author: Takashi Iwai <tiwai@suse.de>

    Fix missing error code in snd_ctl_hw_open()

commit 0a4b1ee746c1cfbfdfe586ce5f97b047fcad09f8
Author: Stephen Warren <swarren@nvidia.com>

    UCM: Fix deadlock following failed get _verb

commit 0a2fd2d38677c48443a1c9b1aba8c432c3b6bd96
Author: Stephen Warren <swarren@nvidia.com>

    UCM: Fix typo in error message

commit 1720d30ad82ebb8b5f52fc08c6c610e51203fa89
Author: Alexander Stein <a.stein@systec-electronic.com>

    ctlparse: Respect softfloat configure option

commit ea020c3b2e678f2a29df468ec7da09f9d5785194
Author: Raymond Yau <superquad.vortex2@gmail.com>

    emu10k1.conf - Fix no sound problem when using SB Live! Platinum

commit 922ff0da833e726054df2fc87abdc201fbc5e21b
Author: Takashi Iwai <tiwai@suse.de>

    Specficy subdevice 0 for front/surround* of HDA-Intel.conf

commit 516569bbba7eb0e03f2892a67d8559c4d0bcd17a
Author: Baek Chang <breakchange@gmail.com>

    UCM: fix memory leak when executing cset commands

commit e4735ddebd945d8b9f99f8e467830108080ae830
Author: Takashi Iwai <tiwai@suse.de>

    Add test/lsb/config to .gitignore

commit 6bef13e251200a36dc818f0b40a4a414a93f7553
Author: Takashi Iwai <tiwai@suse.de>

    Fix printf for size_t

commit 75194776a79ddd23b764138dc7c3a2e224b439a0
Author: Takashi Iwai <tiwai@suse.de>

    Fix compile warnings

commit 808ce5deb3550e522a0c3087f1c851bdf87d3464
Author: Sudarshan Bisht <sudarshan.bisht@nokia.com>

    alsa-lib: fixed coverity reported issues under "FORWARD_NULL" checker.

commit 6bb36928b114e27dcfeeddceabc3241e0fe1d921
Author: Raymond Yau <superquad.vortex2@gmail.com>

    HDA-Intel.conf - Fix low mic volume due to pulseaudio using "front" device for playback and capture

commit 16f716eadd61be80b28839396105c020e401294c
Author: Takashi Iwai <tiwai@suse.de>

    EMU10K1.conf: Don't lock hook controls

commit 7ed19bbc9a0150f1b3973de46aa4dfac6b9ed211
Author: Raymond Yau <superquad.vortex2@gmail.com>

    test/latency: print error message when 2 periods per buffer not supported

commit 780f30ab1a104e4f2a72f4c7cc2ed3ed0e3725e8
Author: David Henningsson <david.henningsson@canonical.com>

    Fix typo in comment in surround71.conf

commit 83059ee52570856ac41330ab70e5d7383a846cbb
Author: Takashi Iwai <tiwai@suse.de>

    Mark Heaphone {Center|LFE} control of emu10k1 conf as optional

commit cd20fe3f4d93c06500f5a6afb70c61e51762a2a6
Author: Jaroslav Kysela <perex@perex.cz>

    configure: Fail when the user attempts to compile shared and static libs

commit e419f63960a0c30c0263525b2db084b36c962d59
Author: Jaroslav Kysela <perex@perex.cz>

    UCM: Fix LGPL licence ("how to receive" part referred GPL instead LGPL)

commit d3906a93072171e5b5f4000d4a228af4eb8fa253
Author: David Henningsson <david.henningsson@canonical.com>

    Conf: Fix channels of ICE1712 to 10/12

commit f2912f5099e401cebacd33bd9da3d8318856e143
Author: Jaroslav Kysela <perex@perex.cz>

    UCM: Fix empty get_list - initialize returned pointer to NULL

commit 60397387eff7d8492df59d7a63a303f98e61b391
Author: Jaroslav Kysela <perex@perex.cz>

    UCM: comment fixes and fix myvalue initialization fix in add_values()

commit ae0a44c628423d8eaec64d119511815d6884ab6b
Author: Margarita Olaya <magi@slimlogic.co.uk>

    alsa-lib: ucm: allow values to be read from devices

commit 8650c02ae21b620fbe8d5e90bf5639e5a4a3f401
Author: Clemens Ladisch <clemens@ladisch.de>

    alsa-lib: add LaCie Firewire Speakers/Griffin FireWave Surround driver

commit 886adf664b958aa28ccc6b06c552764069293f83
Author: Raymond Yau <superquad.vortex2@gmail.com>

    Fix alsa-lib to regard 3D control - Depth as Playback Controls

commit 02b20067138c98f89c853ba510ea5e9023573104
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.24.1

commit 038eaa429bfb02c0ad7d59c411aefa7d621f4024
Author: Jaroslav Kysela <perex@perex.cz>

    ucm: add more error messages for cdev and cset commands

commit 37c7e2843ff8cc2e1f470a29cde30c9e955c6d76
Author: Jaroslav Kysela <perex@perex.cz>

    ucm: allow bind modifier to specific instances, other fixes

commit a16008023e6c33c1cdddd5e8c9525da7be76da3a
Author: Pierre-Louis Bossart <pierre-louis.bossart@intel.com>

    ucm: make verb comments optional

commit 32f9d7f47b50e33021037e671aafe790db08fe24
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.24

commit 2b13cf5c9eba62762edc447d76de8e95c125f51b
Author: Jaroslav Kysela <perex@perex.cz>

    real fix for the UCM code compilation issue

commit 97e1f132e40fa516811c3a8ae2b6f41733ade8f8
Author: Jaroslav Kysela <perex@perex.cz>

    Fix UCM component handling in configure.in

commit cf446218c2ebfc347f72a65fc67d98a755653f0f
Author: Jaroslav Kysela <perex@perex.cz>

    Update hdspm.h file from Adrian Knoth - final version

commit f0f8d2270126ab1fe0cfe122b8b2eee06ba37536
Author: Jaroslav Kysela <perex@perex.cz>

    Update hdspm.h file from Adrian Knoth

commit 59977f90b44093d50815f29cf266f7d8b32500fe
Author: Jaroslav Kysela <perex@perex.cz>

    Add hdspm.h kernel header to include/alsa/sound tree for the hdspmixer app

commit 916a203d9437ab26f067b8e25bec88541cb33f0f
Merge: a9855ef a618cdf
Author: Jaroslav Kysela <perex@perex.cz>

    Merge branch 'ucm'

commit a9855efcb975f8b26595425cc4cb0be0a0d23dec
Author: Francesco Cosoleto <cosoleto@gmail.com>

    pcm: fix typo in snd_pcm_recover() error message

commit a618cdf0574a21bdd04e936fe2ac00d32a64e99d
Author: Liam Girdwood <lrg@slimlogic.co.uk>

    ucm: fix switch device & modifier when no transition is found

commit e1b4bd6c89b194c54e892626727264e49464a3f1
Author: Jaroslav Kysela <perex@perex.cz>

    ucm: add snd_use_case_verb_list() inline function

commit 45e9496a7a666210702598d0c2d3b43065a5f940
Author: Clemens Ladisch <clemens@ladisch.de>

    aliases.conf: add aliases for CMI8788-based cards

commit 7b259bc00e5204029ac414c2f99688cf2d0b408c
Author: Liam Girdwood <lrg@slimlogic.co.uk>

    ucm: ctlparse - always terminate cset buffer

commit df760d8b311607bacd821a5d6a3f341c2a853567
Author: Liam Girdwood <lrg@slimlogic.co.uk>

    ucm: fix handling of cset with spaces in the control name

commit eba547181963a198f82458d1c7b36561176ae941
Author: Liam Girdwood <lrg@slimlogic.co.uk>

    ucm: only select modifier when supported device is enabled

commit 265cf2c3ee70a825d921a1aa621e4dafcc4b0ca1
Author: Liam Girdwood <lrg@slimlogic.co.uk>

    ucm: implement basic script exec functionality

commit 116fabd6039ed04ee4a65098e936a1691a7b3956
Author: Liam Girdwood <lrg@slimlogic.co.uk>

    ucm: check the correct return value for modifier

commit ebb52f69117f9975de46623f5ba32f3c081fe691
Author: Liam Girdwood <lrg@slimlogic.co.uk>

    ucm: check for valid value list before dereference.

commit 6cda65ba982eb0bc38d8bdab048e4a583dcd8037
Author: Liam Girdwood <lrg@slimlogic.co.uk>

    ucm: remove unused code.

commit 02bc123aaefb9173d735919625e2979b1e52d03a
Author: Liam Girdwood <lrg@slimlogic.co.uk>

    ucm: make sure active modifier and device lists are initialised

commit 8524941f2a1b3dcad2b1ec5edcdb556bd2396da8
Author: Liam Girdwood <lrg@slimlogic.co.uk>

    ucm: remove parse_device() and call parse_compound() directly

commit 868d21cf0a5fb13c04a06df0cee602f40b489b4a
Author: Liam Girdwood <lrg@slimlogic.co.uk>

    ucm: modifiers names must be compound parse

commit 54e9639b626a110637910a65020f672efe848675
Author: Liam Girdwood <lrg@slimlogic.co.uk>

    ucm: removed unused 'active' member in struct use_case_device

commit 7d3de218ce967c46c76b80ed8ee4380c4adcdb90
Author: Jaroslav Kysela <perex@perex.cz>

    ucm: initial implementation for cdev/cset

commit c0469e2a2835f4881c54c910bdca5498cefe2170
Author: Jaroslav Kysela <perex@perex.cz>

    ucm: CTL devices are only one per card (remove DEV from comments)

commit d8b78161966972c10415bb8eaea34533d0d7b279
Author: Jaroslav Kysela <perex@perex.cz>

    ucm: add ValueDefaults section to the master file

commit aba87e509898ec9ddb3e319267d7c267409ff100
Author: Pierre-Louis Bossart <pierre-louis.bossart@intel.com>

    pcm_plugin: fix delay

commit aaf55f16414eb81e8e805f669182f280496b41dd
Author: Jaroslav Kysela <perex@perex.cz>

    ucm: add cdev

commit a4f71b19407fde8d5fd4f35850543173636b3ee0
Author: Jaroslav Kysela <perex@perex.cz>

    pcm: add MMAP_EMUL to type names

commit ade3efbd865967bf78d7f0ae6a2fe9809ea90719
Author: Pierre-Louis Bossart <pierre-louis.bossart@intel.com>

    pcm_plugin: remove unused client_frames and slave_frames routines

commit ba9332e9192814a5431a3a2505d25d74a9232124
Author: Jaroslav Kysela <perex@perex.cz>

    pcm: fix snd_pcm_avail_delay() function

commit 7c99bd24bcf6852d55e90e0f42f7ac5ea8f14fbb
Author: Clemens Ladisch <clemens@ladisch.de>

    support for period wakeup disabling

commit 70dded6aba653b5f70b48fda22f9b322fd3ae2c9
Author: Clemens Ladisch <clemens@ladisch.de>

    pcm: pass hw_params flags to slave

commit cdc9dd50bf37cc01782c9eb50dc7d217c4b79d7f
Author: Jaroslav Kysela <perex@perex.cz>

    ucm: fix parser for sequences and fix wrong strcmp

commit ab6df229015f46bc2c7b50f5278480d996b232c0
Author: Clemens Ladisch <clemens@ladisch.de>

    USB-Audio.conf: fix Audiophile USB card name

commit 9b6df1cf64ea7ccb329b4922d138c1f36ace00c0
Author: Jaroslav Kysela <perex@perex.cz>

    control: add ASCII parsers from amixer

commit 13b5d972d2e7a5f0e6f3c066684dbb01fafd5121
Author: Jaroslav Kysela <perex@perex.cz>

    pcm direct plugins: change timestamping in dsnoop

commit e4083a1182de660960afba5438a4dad47cbeac2e
Author: Jaroslav Kysela <perex@perex.cz>

    ucm: debug parser

commit 5cfa03d2f3a9e6bc62f740640d20bd137b4e3bb5
Author: Simon McVittie <smcv@debian.org>

    configure.in: don't rely on test -a, not all shells support it

commit 443c1057379f167639acad5dc197bd50a915b5ab
Author: Simon McVittie <smcv@debian.org>

    Version-check libtool correctly when doing an out-of-tree build

commit 2f6206da0c1ff88235e6eca0077343f22a4b43ee
Author: Clemens Ladisch <clemens@ladisch.de>

    tlv: fix returned dB information for min-is-mute controls

commit e8208666379e10bbd56365b0a6d17f3daab730e3
Author: Jaroslav Kysela <perex@perex.cz>

    ucm: implemented card list feature

commit 3a3439450864c8706e4e20d392fd43ecf935153f
Author: Jaroslav Kysela <perex@perex.cz>

    ucm: unify snd_use_case_geti(), add snd_use_case_card_list() template

commit c6a81e21c0f566c2cf62ff345eefea857925afa7
Author: Jaroslav Kysela <perex@perex.cz>

    config file processing: rewrite the locking - use one recursive mutex

commit c049d48407ff0459ff15e466edeeee6ecff67fcd
Author: Jaroslav Kysela <perex@perex.cz>

    namehint: Another fix to properly evaluate hw devices

commit 0244370be695372a05344ac760d624e0b40ec9ea
Author: Jaroslav Kysela <perex@perex.cz>

    namehint: Fix hw device evaluation (missing last device)

commit 0ae6c43b8615b7df466408e3e041744b788e1fb8
Author: Jaroslav Kysela <perex@perex.cz>

    ucm: cosmetic fix

commit 6c6dc230bc14e4b7007d8b5049518a5cea5164ee
Author: Jaroslav Kysela <perex@perex.cz>

    ucm: added implementation for other ucm parts, only card name list is missing

commit 404cd090b279b329c86514984dc74439dedf2e90
Author: Jaroslav Kysela <perex@perex.cz>

    ucm: Introduce "Value {}" section, more implementation work

commit 9ce25165dd14722cf9ca9e25d486bf79824ea606
Author: Jaroslav Kysela <perex@perex.cz>

    Fix typo for surround PCMs in src/conf/cards/Loopback.conf

commit 1c79fad9692fb04cb8cbc7be8e2ec88595e62e46
Author: Jaroslav Kysela <perex@perex.cz>

    ucm: Moved ucm to src/ucm subdirectory

commit fcc9adb26058667656277ba92032ba7e0b00261c
Author: Jaroslav Kysela <perex@perex.cz>

    ucm: Recode header to be more universal

commit 72c7260ce624adcb40377bc2093cd4d965b9b22e
Author: Jaroslav Kysela <perex@perex.cz>

    Add Loopback.conf to define standard PCM devices for snd-aloop driver

commit 1c5afdb0c1aa2ea6c67d32b92cb7f72a3078d0ba
Author: Liam Girdwood <lrg@slimlogic.co.uk>

    ucm: build - add build support for Use Case Manager

commit 7699c92bd4bcd65098af631f6f5e2e7e9235caeb
Author: Liam Girdwood <lrg@slimlogic.co.uk>

    ucm: core - Add initial Use Case Manager support.

commit 4adb3c325bccf0dec9c37b7462832d17033caf93
Author: Liam Girdwood <lrg@slimlogic.co.uk>

    ucm: header - ALSA Use Case Manager

commit 91c9c8f1b85e69b4bdc94a777d2767c4906c3f47
Author: Jaroslav Kysela <perex@perex.cz>

    general: recoded snd_dlobj_ functions

commit be06ab3ee7266c6ca7d2475d45b42cc4f47a20f8
Author: Pierre-Louis Bossart <pierre-louis.bossart@intel.com>

    HDA-Intel: do not lock IEC958 Playback switch

commit 97d25c0766405453d3c298bd51dd4916121a4f6a
Author: Jaroslav Kysela <perex@perex.cz>

    namehint: Evaluate more possibilities for hw devices

commit 18b377dec2aa728d52dae55a19bbea35e231a1ef
Author: Takashi Iwai <tiwai@suse.de>

    Add missing support for 3-byte formats for 16bit put conversion

commit 0633a966362ce231392ff6283c99142c5bccc1c8
Author: Jaroslav Kysela <perex@perex.cz>

    pcm: Fixed typo (wrong deleted line) instroduced in the minperiodsize patch

commit de606e9c256f5a776c1625b174600a539007f38d
Author: Jaroslav Kysela <perex@perex.cz>

    pcm: introduce defaults.pcm.compat to change the params choose behaviour

commit 09879a4bb58199f64abcb8df506f917c8efc2383
Author: Jaroslav Kysela <perex@perex.cz>

    pcm: add defaults.pcm.minperiodtime parsing

commit e6d5dcf1f625984605d362338d71162de45a6c60
Author: Anssi Hannula <anssi.hannula@iki.fi>

    HDA-Intel: present all 4 HDMI outputs instead of just the first one

commit eb3768563a29189156b7117d975930aee8133586
Author: Jaroslav Kysela <perex@perex.cz>

    test/latency: fix timediff calculation

commit db7545a077eecee0a8c32759ee77340f9e7c9d15
Author: Anssi Hannula <anssi.hannula@iki.fi>

    pcm_plug: fix comparison always true

commit 3f589c9369a7514850e2f5afe4e9d486708f12ef
Author: Jaroslav Kysela <perex@perex.cz>

    pcm - ladspa: fix small memory leak in snd_pcm_ladspa_free_instances()

commit 8dde984237d9bce99236355b85df9c438badb59f
Author: John Lindgren <john.lindgren@tds.net>

    Memory leak in namehint.c

commit 2a94d80407f620c256021707503b14377d4701d1
Author: Peter Ujfalusi <peter.ujfalusi@nokia.com>

    tlv: Remove tailing tab after snd_ctl_get_dB_range function

commit d81ce4ea7af917f992aa0529c29db590d566ae7a
Author: Peter Ujfalusi <peter.ujfalusi@nokia.com>

    tlv: Handle 'holes' in SND_CTL_TLVT_DB_RANGE array

commit 16a2cad39b7ee29e34b92d39d72eebfc88f8dc22
Author: Peter Ujfalusi <peter.ujfalusi@nokia.com>

    tlv: Check out of range dB with SND_CTL_TLVT_DB_RANGE

commit 191c57805a791925ab5992f127a1cb5f4ab56c9c
Author: Colin Guthrie <cguthrie@mandriva.org>

    alisp - Fix a string format ambiguity

commit 30ad5ed04017f7e77b25cf40f18c26396903cd23
Author: Peter Ujfalusi <peter.ujfalusi@nokia.com>

    control: tlv: Check dB range only within the control's volume range

commit 19892334499ed21ed4dc30084ad8700253f9cb2f
Author: Pedro Lopez-Cabanillas <pedro.lopez.cabanillas@gmail.com>

    seq: Fix for snd_seq_parse_address()

commit 8d80d5f344ae5e32d24122cbf8e759fdd1e1a60d
Author: Rémi Denis-Courmont <remi@remlab.net>

    Use thread-safe locale functions if available

commit 51ef640cee37f73d771e784e81196ff7c15f53ff
Author: Rémi Denis-Courmont <remi@remlab.net>

    Check for thread-specific locale support

commit aadcbabdb6c7c0536f0e82a99de3d22b8727fabe
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.23

commit 7a2cdb33c4dba2258e074c80ea0227629113e376
Author: Jaroslav Kysela <perex@perex.cz>

    pcm_share plugin: fix pcm->monotonic setup in open() function

commit a55e1ded9914788c1a02bb25857e17d98ab676b5
Author: Jaroslav Kysela <perex@perex.cz>

    pcm_hw - show errno codes

commit b9dbee694a94a724670b36f4df1aeceb0dd4a261
Author: Jaroslav Kysela <perex@perex.cz>

    pcm direct plugins: drain() call might be blocked when threads are used

commit 7fd0d9f42357e49bc28259421de6338122381cb2
Author: Jaroslav Kysela <perex@perex.cz>

    pcm_dmix: add support for S24_LE format

commit f1713475087027925358c3f9dd3db70723ed8d11
Author: Jaroslav Kysela <perex@t61.perex-int.cz>

    Fix snd_pcm_sw_params_set_period_event() implementation

commit 2e48439ad93f6c8d99a2d72928ac71285b5211bb
Author: Jaroslav Kysela <perex@perex.cz>

    pcm: fix read_areas and write_areas

commit 63acb8732933aa9732e3bf2e3affef925dd9c45b
Author: David Fries <david@fries.net>

    modem.conf Off-hook improve behavior

commit d3c6e2b09761960d9eddb147cfee797290f66649
Author: Mike Frysinger <vapier@gentoo.org>

    add atomic operations for Blackfin parts

commit bdf80e58af79d4e989cd8d701d97f888c9e2dadc
Author: Zerg Cannibal <cnb_zerg@yahoo.com>

    pcm: Fix the sound distortions for S24_3LE stream in pcm_softvol plugin

commit a256766c10c52cb6667de8a65f5cbb332fad4cc7
Author: Jaroslav Kysela <perex@perex.cz>

    pcm: Close event timer in pcm_hw plugin

commit 8a4127b54910ea0b0ac9a372c143f4fc5c955b67
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.22

commit 762fe145e9b5c1cff570629ca5ced7cbd252686f
Author: Clemens Ladisch <clemens@ladisch.de>

    mixer: fix enum check

commit 13af48843dcff5c4ab9e7bc4622f7cb7ff0dd0a7
Author: Michael Olbrich <m.olbrich@pengutronix.de>

    simple_none.c uses HAVE_SOFT_FLOAT it has to include config.h
    for this to work properly.

commit abac6ff1eb537d28b52f1ed3e61146f97ef68954
Author: Marc Kleine-Budde <mkl@pengutronix.de>

    configure.in: fix --without-softfloat

commit f75f1da1b78e5faaea88311b6f488899c6b17f4c
Author: Mads Kiilerich <mads@kiilerich.com>

    Update pcm doc strings

commit 4de76c9b06afaf7a77b3210a5bcb1298535d489c
Author: Takashi Iwai <tiwai@suse.de>

    Remove redefinition of _GNU_SOURCE and __USE_GNU

commit 3440994f68de419395475c79703f57ee1d5409c3
Author: Takashi Iwai <tiwai@suse.de>

    Fix CHECK_ENUM() in simple.c

commit 30f59937b1c93ed78621e2a36fd7b31578969b38
Author: Rémi Denis-Courmont <remi@remlab.net>

    Define _GNU_SOURCE so that <fcntl.h> gives O_CLOEXEC

commit 57ce91892853b7e623f0c0a57c9637670c191da6
Author: Rémi Denis-Courmont <remi@remlab.net>

    Remove old commented-out FD_CLOEXEC code

commit 8264b2fd0a56ba10979a3512993301be14cb2c15
Author: Rémi Denis-Courmont <remi@remlab.net>

    Open device nodes with close-on-exec flag

commit ef2d3cf747e2523e49929432226f838ef6d12843
Author: Pedro Lopez-Cabanillas <pedro.lopez.cabanillas@gmail.com>

    Defined symbols exposing the hrtimer to applications.

commit 407e98b4c3a9ac1bb3d306e79b92731ba9e96555
Author: Jaroslav Kysela <perex@perex.cz>

    namehint: list card independent devices only once

commit 0fcac217566267f6a06db77610ade465cd6d6426
Author: Jaroslav Kysela <perex@perex.cz>

    namehint: Allow snd_device_name_hint to search for CTL devices.

commit 592bd1e98b4e16324b2d6f5b36683e1be08e0d38
Author: Jaroslav Kysela <perex@perex.cz>

    namehint: add missing list->card initialization

commit 0bff86858030d4d19bbc39e50913853f963799af
Author: Jaroslav Kysela <perex@perex.cz>

    Cache libasound.so access in snd_dlopen

commit e1c7dd261347f6a0b9ad56e52bb86dfe057cfb9a
Author: Takashi Iwai <tiwai@suse.de>

    Fix corruption after snd_device_name_hint()

commit 0110d62043589f0e3344d7af7ed33ac52da6b596
Author: Jaroslav Kysela <perex@perex.cz>

    hcontrol: fix compare_default function to handle also id.device and id.subdevice

commit 0d81de0bca5cc7097c9a1b4465b95a054e5bc70b
Author: Stefan Schmidt <stefan@slimlogic.co.uk>

    alisp: Comment out an unused function to avoid compiler warnings.

commit 19f703a7743ab8854048d55d5dda6024debf60cb
Author: Stefan Schmidt <stefan@slimlogic.co.uk>

    pcm_rate_linear: Annotate unused function parameter to avoid compiler warnings.

commit aa697c9d51bea05cd5e8f607ace84afd35a7d3b9
Author: Stefan Schmidt <stefan@slimlogic.co.uk>

    control: Remove unused variable.

commit 97145934f0cf875444722181f5b97f53eb0f92ce
Author: Stefan Schmidt <stefan@slimlogic.co.uk>

    configure.in: Add m4 check for new AM_SILENT_RULES

commit 81ac9f4d483ef3ab7c244cb82bede3bdc76bcbe2
Author: Stefan Schmidt <stefan@slimlogic.co.uk>

    cvscompile: Remove in favour of gitcompile.

commit da237814e7409b38baedab64d6b4b18928b32404
Author: Takashi Iwai <tiwai@suse.de>

    dmix - Fix snd_pcm_info()

commit ecf4b5af8632a17af3c84cfceeaaf0a1609e2928
Author: Kai Vehmanen <kvehmanen@eca.cx>

    pcm_hw: Always use delay ioctl in snd_pcm_delay()

commit a4e7033f8d0aec42d8ca29a9e500c50c1627afff
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.21a

commit cd7070bf4b7afcdcd9dbde9d7363781aa3e1b581
Author: Takashi Iwai <tiwai@suse.de>

    PCM - Change the hw_params determination order

commit 1f126fd7c6ef37b04ad745609bbebf0dbbf2e1fd
Author: Jaroslav Kysela <perex@perex.cz>

    Change dmix.conf to accept user configuration from defaults.dmix.<driver_id>.xxx

commit 133819d420d962b6888c280352a5532da93f1a3a
Author: Jaroslav Kysela <perex@perex.cz>

    Revert "Fix driver conf parsing in snd_config_hook_load_for_all_cards()"

commit ac9de424bc0a896e8e30b5ec176daf924a2cefb2
Author: Takashi Iwai <tiwai@suse.de>

    mixer: Add Speaker and Beep names to the weight list

commit a64f6defd0ea165ffedfd6783a30f0edac6562b5
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.21

commit cbf5675eef5d4194532d3a57c8b5d4c0af831ed7
Author: Takashi Iwai <tiwai@suse.de>

    pcm/ioplug: fix error code in start callback

commit bd5389278c96f585afcac4058420e4f3ac201d2a
Author: Takashi Iwai <tiwai@suse.de>

    pcm: workaround for avoiding automatic start in mmap mode

commit 96da0c842d14b40ce8e37726b259229634b3aa21
Author: Takashi Iwai <tiwai@suse.de>

    Fix driver conf parsing in snd_config_hook_load_for_all_cards()

commit 34d63b449fbfd13064d0a65b5b8caf17e4251dc1
Author: Clemens Ladisch <clemens@ladisch.de>

    control.c: snd_ctl_wait: fix revents handling

commit f3dc8e2aa46a57e977932c35687bcf35a4da4076
Author: Clemens Ladisch <clemens@ladisch.de>

    timer_query: make ops structure constant

commit 2905af225fda5f2a4281098e62e4117571f8de0b
Author: Clemens Ladisch <clemens@ladisch.de>

    snd_pcm_scope_set_ops: make ops parameter const

commit 79345b523e8e2b5a7c9e375e5755dfbc4ce6e723
Author: Takashi Iwai <tiwai@suse.de>

    Fix zero-division in pcm_rate.c

commit 5332d74a676fc7cd4c8a475e9c5bdbc6c9bb8501
Author: Clemens Ladisch <clemens@ladisch.de>

    fix doc errors

commit 0ed67883af9e2e8029c9e19011012a16d9aac07b
Author: Clemens Ladisch <clemens@ladisch.de>

    doc: hide structs with typedefs

commit 1b4dedc62e1fd4d43403458536842e4cdc79628b
Author: Clemens Ladisch <clemens@ladisch.de>

    doc: fix handling of @top_srcdir@

commit fa302460966b1683e1bc5ad7b50b00abc85968d7
Author: Clemens Ladisch <clemens@ladisch.de>

    remove unimplemented functions from headers

commit da19588063f8c62a8d816e3ffd286916d6db446b
Author: Clemens Ladisch <clemens@ladisch.de>

    add config tests

commit 5fe83677b5a128a725135f2a12490511fd095bea
Author: Clemens Ladisch <clemens@ladisch.de>

    conf.c: more documentation

commit 930335668ae9cdb1bc311000c984925dcf1c0a83
Author: Clemens Ladisch <clemens@ladisch.de>

    conf.c: rename 'node' to 'config'

commit 9258e8c85185665d6aa55a62d32a0fb9eafea510
Author: Clemens Ladisch <clemens@ladisch.de>

    conf.c: rename 'leaf' to 'child'

commit 9bf79f43c5e931be8d2842434bdc9877384f8739
Author: Clemens Ladisch <clemens@ladisch.de>

    conf.c: rename 'father' to 'parent'

commit 5d56a11a8ec399fe07a19dc17ef73f73a488046e
Author: Clemens Ladisch <clemens@ladisch.de>

    conf.c: snd_config_add: prevent adopting a non-orphan

commit 76c60af00ae480e84a9ff7774bb983c1ea7f32db
Author: Clemens Ladisch <clemens@ladisch.de>

    sound: rawmidi: disable active-sensing-on-close by default

commit a9b1299556598fed12d0d42c80aaa933aced8a42
Author: Clemens Ladisch <clemens@ladisch.de>

    USB-Audio.conf: fix definition for M-Audio AudioPhile spdif device

commit efda3e2bc766b4147f35f4b006d315ea7b3c55fe
Author: Clemens Ladisch <clemens@ladisch.de>

    conf.c: fix handling of NULL string values

commit e2317969e140b2c956db38583dcc0d7f3747670f
Author: Clemens Ladisch <clemens@ladisch.de>

    conf.c: snd_config_set_id: prevent duplicate ids

commit 2c4b3c7d091b5e7d5202a50e7623971e47221775
Author: Clemens Ladisch <clemens@ladisch.de>

    conf.c: fix handling of NULL ids

commit a7f744888ee5d38416d6bfd8c924e0d3a4714154
Author: Clemens Ladisch <clemens@ladisch.de>

    test/lsb/midi_event.c: check for buffer size check

commit 61f5b8438bf8945de0581719422b679b490da44b
Author: Clemens Ladisch <clemens@ladisch.de>

    test/lsb/midi_event.c: abort on fatal errors

commit 746930616565caedb9acc89ee6da20c5709879d2
Merge: b8c4fef 7f73f1b
Author: Takashi Iwai <tiwai@suse.de>

    Merge branch 'master' of git@git.alsa-project.org:alsa-lib

commit b8c4fef8bf34f25c58de83adaf31462a851f81d1
Author: Takashi Iwai <tiwai@suse.de>

    test/pcm.c: float format support

commit 7f73f1bb15f8b452131d2dcce0b7749d893d5d2d
Author: Clemens Ladisch <clemens@ladisch.de>

    add midi event tests

commit 8541983799f76c67bca1b82b74ffe7f6dfe75cde
Author: Clemens Ladisch <clemens@ladisch.de>

    more midi_event documentation

commit 184301ae4c39e7aa26487381f07ecb5bc30e76fd
Author: Takashi Iwai <tiwai@suse.de>

    test/pcm.c: Generic linear PCM support

commit 3d0843e8ce3c2c504f036c8e029b13e9fd66a4f9
Author: Takashi Iwai <tiwai@suse.de>

    test/pcm.c: Fix S24 format

commit d23845e563181dd95dbf3272d9f9c52027740359
Author: Kenneth Johansson <kenneth@southpole.se>

    test/pcm.c: Sample generation on big endian platforms was broken.

commit 5a70411d6cf006a4b26577f977bb3f2915a6ce44
Author: Paul Fertser <fercerpav@gmail.com>

    pcm_hooks: cosmetic removal of unused variables

commit 2a77d217a6b8132338632f55df6e2fcb74718b20
Author: Takashi Iwai <tiwai@suse.de>

    Manage dlobj lifetime in pcm_hooks.c

commit 608cccb08884296245672141345947e92c301031
Merge: f8a34aa 394b376
Author: Takashi Iwai <tiwai@suse.de>

    Merge branch 'master' of git@git.alsa-project.org:alsa-lib

commit 394b376b3b10308a5d21da7ef87f002b4bf07bf8
Author: Clemens Ladisch <clemens@ladisch.de>

    seq_midi_event: fix decoding of (N)RPN events

commit cbf395d6920a17d844ba5fa6afd615e23d00e596
Author: Clemens Ladisch <clemens@ladisch.de>

    MIDI event decoder: prevent running status after sysex

commit e94f3cfdf951034693a9b9fc1f8b7190317779ad
Author: Jaroslav Kysela <perex@perex.cz>

    pcm dmix plugin: fix MIX_AREAS_24 routine for i386 & x86_64 platforms

commit f8a34aa683b40a7a50931f786cd78d659db5f4ac
Author: Takashi Iwai <tiwai@suse.de>

    Add the support of TLV_DB_MINMAX types

commit e5ca075cde887a50d7a3c42b5c71d9cfc90a46fc
Author: Takashi Iwai <tiwai@suse.de>

    Fix SB-Xfi.conf

commit 4d2ba6a4608c9794c5b90f6a87a4bd033a02f26e
Author: Takashi Iwai <tiwai@suse.de>

    Fix breakage of snd_card_load()

commit bb956b7b70cfa1d0a325e49fecfab7bbe573222b
Author: Takashi Iwai <tiwai@suse.de>

    Add IEC958 status bits support to SB-XFi.conf

commit 1929c55d2e18ae89d4763c090280728fc59a9789
Author: Takashi Iwai <tiwai@suse.de>

    Query the supported rate ranges from rate plugins

commit 29841e67e945ce87c0ef767bda9a90cc4af3d562
Author: Takashi Iwai <tiwai@suse.de>

    Add config file for SB-XFi driver

commit d2aadec5e4ddcacf726a6a065c65441b08ba8d2d
Author: Jaroslav Kysela <perex@perex.cz>

    snd_card_get_index() - extend comment for last change

commit 33ab0b5381c87e151e87e5000964edd868484886
Author: Jaroslav Kysela <perex@perex.cz>

    Extend snd_card_get_index() to accept also control device name like /dev/snd/controlC0

commit 3e30007a19a0904ad7c8965b0883322639e52b82
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.20

commit 646f24a04cff8747169f0915eb8712837ed52d77
Merge: 59c774e 0de3851
Author: Takashi Iwai <tiwai@suse.de>

    Merge branch 'master' of /export/git/alsa/alsa-lib/

commit 0de385109a5edd257264ebdc431465c8e38c2402
Author: Jaroslav Kysela <perex@perex.cz>

    pcm: more better documentation for snd_pcm_poll_descriptors

commit a987a692bf7629006c5c787b448d602211b60f3b
Author: Jaroslav Kysela <perex@perex.cz>

    pcm_hw plugin: show appl_ptr and hw_ptr in dump() callback

commit fb12b894534f3040f02b8b4ff2304c962f3d8b49
Author: Jaroslav Kysela <perex@perex.cz>

    pcm_hw plugin: preserve monotonic flag also after snd_pcm_hw_params() call

commit 59c774ed5ee00e9623a204c3234191d6a6d8cf7a
Author: Takashi Iwai <tiwai@suse.de>

    Add route_policy copy to HDA-Intel.conf for capture

commit 0fe807dedd20fe56887c8c27e64aea1b693a3d35
Author: Pavel Hofman <pavel.hofman@insite.cz>

    Change "%b" to represent bits instead of bytes in PCM file plugin

commit 50e9cd9525ace016f0c416b848d51471760fa6d2
Author: Patricio Paez <pp@pp.com.mx>

    Fix typos in ALSA Lib documentation

commit 59826eab7778847ed8ab2b49a98d69eeb8a945ee
Merge: 81241ff 91f1b4b
Author: Takashi Iwai <tiwai@suse.de>

    Merge branch 'master' of git@git.alsa-project.org:alsa-lib

commit 81241ffb8176bde284699e5839bb944db39c773c
Author: Takashi Iwai <tiwai@suse.de>

    Change numid properly with external ctl plugins

commit 91f1b4b96f6a73b7a4a36504e8c4c50cc3f0731b
Author: Clemens Ladisch <clemens@ladisch.de>

    oxygen: remove softvol plugin

commit e38f921625a13a5367f34c343893aa8f2d15efe4
Author: Takashi Iwai <tiwai@suse.de>

    Add hint.device = 0 to pcm.default of HDA-Intel.conf

commit 1009f9859c61b26e73b06e9bca7ea6ced9d95b0b
Author: Clemens Ladisch <clemens@ladisch.de>

    fix pcm_set_params() documentation

commit 548dd9be908257a03e550c1bc7a8ddd582ff193f
Author: Takashi Iwai <tiwai@suse.de>

    Fix misc compile warnings

commit cb66600dd3d491f19ce24fdf6d05300ca235e531
Author: Takashi Iwai <tiwai@suse.de>

    Fix handling of revents in snd_pcm_poll_descriptors_revents()

commit 59ebaa8e9d8c6bc227a1255ab6e49abb98daa79e
Author: Pavel Hofman <pavel.hofman@insite.cz>

    PCM parameters in file plugin

commit c821f2e7f2534ece24a10402df3f501536a09cbd
Author: Takashi Iwai <tiwai@suse.de>

    Fix off_t in kernel struct

commit 56fa81fdab3ff1363995ba97558e223a331f5321
Author: Takashi Iwai <tiwai@suse.de>

    Remove own "default" PCM config from GUS.conf

commit d3a8e853fb0780ecf85b54eba0926698970b3934
Author: Takashi Iwai <tiwai@suse.de>

    Fix plug conversion with mmap emulation

commit 777a869769f064c84ef38211c090f31bda169129
Author: Krzysztof Helt <krzysztof.h1@poczta.fm>

    Fix GUS.conf to be usable

commit 3b728db20d1729f1270731006f44c20ab910bee0
Author: Takashi Iwai <tiwai@suse.de>

    Add missing -ldl to modules/mixer/simple/*

commit a789b66d00644eeeb72fd424d686c7fe8faa5daa
Author: Takashi Iwai <tiwai@suse.de>

    Fix build with softfloat option

commit b06414151d5053fb2e1dff680add20310b34d7d1
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.19

commit c8567c5870a659cfa401703c75db7f4e25d4668c
Author: Clemens Ladisch <clemens@ladisch.de>

    add softvol for CMI8788

commit 81e1550fe5029594b1121f170721e5e3637d76a6
Author: Jaroslav Kysela <perex@perex.cz>

    Add m4/attributes.m4 as dist file..

commit 0400fa6f8d979b708bb36a35c9fbe22e3949912d
Author: Takashi Iwai <tiwai@suse.de>

    Don't accept an empty string for $ALSA_CONFIG_PATH

commit 48e4d089dc68ad29267fe6b9c7efc4a66611aeda
Author: Takashi Iwai <tiwai@suse.de>

    Fix softvol access refine

commit c0fd854ff1d137a0658d850f43cece48e73ff01a
Author: Takashi Iwai <tiwai@suse.de>

    Fix snd-pcsp default configuration

commit 03388ca6d36a3b41f36ff0155e9ae0d4344d518c
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>

    Mark static tables as constant when possible.

commit fc8d8bb2e64bf79f6fe6d01de633ebe2da213eba
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>

    Make string arrays as constant as possible.

commit 2eaf9403d205c71ba2008875ef42d9ae37bc3d46
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>

    Make all the remaining ops structure constants.

commit 8b14625cc3700c8efa2ae5381e4d566ed23e2fab
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>

    Make all the PCM plugins ops structure constant.

commit 1f734e305832ea2a703ba740c2057d177e75da1f
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>

    Make snd_pcm_hw_params_names static to pcm_params.c .

commit 228932667366b627fb86733741eafa5df775fa47
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>

    Make seq, rawmidi and control operation structures static const.

commit 8ed98db2590e284dd7ca884135c91566fee6069c
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>

    Make some static tables and strings constants.

commit 29a14294fc78480e69b9d211615ae6a50dc0c761
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>

    Make sure that python libraries are passed through LIBADD.

commit 0b92e53cf953159308d00670708d85c890efadc4
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>

    Check for --no-undefined linker flag and use it.

commit ca133ff6a2ecdb34ab105e87cebf805cb5e799bb
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>

    Add the attributes.m4 macro file from xine/lscube.

commit a42def6e9c3bdfa02ece183a7e67e0790eda0060
Author: Diego E. 'Flameeyes' Pettenò <flameeyes@gmail.com>

    Don't use AC_CANONICAL_SYSTEM, only use AC_CANONICAL_HOST.

commit 73ddcda842935c2aed6dd57d141688fe61985b26
Author: Takashi Iwai <tiwai@suse.de>

    Fix segfault with invalid meter plugin option

commit cb1fd837d93fbc495eab4aa3efaf8072937ff2df
Author: Takashi Iwai <tiwai@suse.de>

    Add linear plugin wrapping iec958 PCM for ice1724-based boards

commit 55c77d0ec2cae922797110000ae3cc1bf0815413
Author: Takashi Iwai <tiwai@suse.de>

    Fix volume/switch updates for global/simple mixer elements

commit 6e3ecb1dfd0d0d4bdedb30ebf2781771afad23b1
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.18

commit 8feae77e13ed28280751c475c74e7083b51a462a
Merge: cc7fec1 3b3eac2
Author: Jaroslav Kysela <perex@perex.cz>

    Merge branch 'master' of git@git.alsa-project.org:alsa-lib

commit cc7fec138ed6dceaf9deccfa8f26a28ab8a6c504
Author: Jaroslav Kysela <perex@perex.cz>

    Add snd_pcm_avail() and snd_pcm_avail_delay() prototypes

commit 3b3eac25abe604d20c00ec3a6722d7c55b9b8af3
Author: Takashi Iwai <tiwai@suse.de>

    Add iec958 PCM definition for PS3

commit 3b2c53c2a6fe858f90505dea6f911411f47e8f1c
Author: Takashi Iwai <tiwai@suse.de>

    Fix sort-out of non-existing devices in namehint

commit ce3df031354d4e61c42f025b34a2020b5b35f27b
Author: Takashi Iwai <tiwai@suse.de>

    Increase the components array size

commit 1cf904e894b2bfba1045a3a15b326b06a415a3da
Author: Takashi Iwai <tiwai@suse.de>

    Fix return value of snd_ctl_hw_subscribe_events()

commit 5cee69b47b9719328ba16a837f5e347f11f06afd
Author: Takashi Iwai <tiwai@suse.de>

    Replace some assert() with runtime checks

commit 16cc295a3c076ceb58fd9dd598c71e4aaa0800ac
Author: Jaroslav Kysela <perex@perex.cz>

    test/pcm: Fix error messages in async callback and add snd_pcm_start() condition

commit 1dd1ba94a3deced59f3a699583242b641b4d3771
Author: Jaroslav Kysela <perex@perex.cz>

    Fix comment typos for snd_pcm_read[in]()

commit 33083eb3e39f2e8c15d8a212620feab135145dd5
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.18rc3

commit a13707da6bb0161db855a146c3e4d1d849e4108b
Author: Jaroslav Kysela <perex@perex.cz>

    pcm_softvol plugin: remove access type change for refine

commit fe5391c9da2212dc594d1ee7f366e55432af0454
Author: Jaroslav Kysela <perex@perex.cz>

    Add snd_pcm_avail() and snd_pcm_avail_delay() functions. Make snd_pcm_hwsync() deprecated.

commit 8d6838450a3c91e4a1fa8a7bf98fb1d9c39b131e
Author: Lennart Poettering <mznyfn@0pointer.de>

    alsa-lib: Don't call the simple mixer interface "legacy"

commit bd7b73a621a74de863f6d6f79af4131144e4f9fe
Author: Lennart Poettering <mznyfn@0pointer.de>

    alsa-lib: Reword doxygen doc for snd_pcm_delay()

commit 73d20069e072e2b62bbc3ea12e46ae19d8b6cac9
Author: Lennart Poettering <mznyfn@0pointer.de>

    alsa-lib: Make sure SND_PCM_NO_xxx flags don't get lost when nonblocking mode is enabled

commit 119bfd65947898ad19c8a3ec2f586e73902dbb96
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.17a

commit 6d426e3e921d72001cb5a55e6367eb08485273a0
Author: Pawel MOLL <pawel.moll@st.com>

    IEC958 definition for consumer status channel update

commit ddf063f49969d13b5196f92257ec321cdd5e2f95
Author: Takashi Iwai <tiwai@suse.de>

    Fix non-tread mode with PCM direct plugins

commit 118fedb90ac03eedf2a353514eabec2603267215
Author: Takashi Iwai <tiwai@suse.de>

    Fix interleave check in pcm_direct.c

commit 8d3fb3102f672a7b09be92811e89d49f89c1742b
Author: Lennart Poettering <mznyfn@0pointer.de>

    fix return value of snd_pcm_rewind()/snd_pcm_forward() to return how much actually has been rewound, instead of what actually could have rewound

commit 15769ead725b7c215dedd4ea5196955086d2044a
Author: Lennart Poettering <mznyfn@0pointer.de>

    fix type of internally used sframes variable, to avoid unnecessary casts

commit 0fbfe2d8d6aac06e6615b7109ffc1fea8c62dee6
Author: Lennart Poettering <mznyfn@0pointer.de>

    clamp snd_pcm_rewind()/snd_pcm_forward() into the right direction

commit f78af4ab0412052aabb74c9122a8d8f3ab6d45e6
Author: Takashi Iwai <tiwai@suse.de>

    Add boolean (mute) functionality to softvol plugin

commit e24cc8d2479ba0edd0d784c317ddcc09d720e20b
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.17

commit d31fd52e74dd5fa9df15648b47cc71d2c28b7ce8
Author: Takashi Iwai <tiwai@suse.de>

    test/pcm.c: Fix SND_PCM_FORMAT_S24 support

commit af2c3fbe7d28c2c4555aac75933263eb6e2d2e8a
Author: Takashi Iwai <tiwai@suse.de>

    Fix type-punning in test/pcm.c

commit 5e9120758682531b71d789a15c046688242657d7
Author: Jaroslav Kysela <perex@perex.cz>

    pcm: fix comment for snd_pcm_avail_update()

commit 68641714a80535f94781dda1a543ab7082e46cb6
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.17rc2

commit 2076b88a77d2b3ce627b622a5e5dd0f995f0da70
Author: Josh Green <josh@resonance.org>

    Fix segfault with dmix of 3-bytes formats

commit 1467f4e238c7accd15ad57e7438ea5cbdc7ac86c
Author: Takashi Iwai <tiwai@suse.de>

    PCM: allow mmap-access conversion in plug

commit 538726cc5533f3cd0fe7e913de7852399b727600
Author: Takashi Iwai <tiwai@suse.de>

    Export __snd_pcm_mmap_emul_open()

commit 8843cf11e06fc3b178eba96c2cd5c29bf6dbbfef
Author: Takashi Iwai <tiwai@suse.de>

    pcm_mmap_emul: clean up

commit 2db108cc7201dc0421e3c50d81684ea05d04df30
Author: Takashi Iwai <tiwai@suse.de>

    pcm_mmap_emul: Fix invalid check

commit b6af5e182292f30cd001eeded65d56f4de4c9a9f
Author: Takashi Iwai <tiwai@suse.de>

    Fix compile warnings in pcm_hw.c

commit fce17b8c47f3c07ccf7277f9c229699204f23a0a
Author: Takashi Iwai <tiwai@suse.de>

    Fix cast warning

commit 6d4c09346a204acdb0b97ab65c91fac61082f20d
Author: Jaroslav Kysela <perex@perex.cz>

    Release v1.0.17rc1

commit d7534b2ceec7b082dedb3b3a352703db3fe022f9
Author: Jaroslav Kysela <perex@perex.cz>

    hgcompile -> gitcompile

commit fd617943999dece499deb6972c171329a9e1448a
Author: Jaroslav Kysela <perex@perex.cz>

    removed .hg files and renamed hgcompile to gitcompile

commit 8aaccc9484a2f2f33f3fd514975ca590b2d691fd
Author: Jaroslav Kysela <perex@perex.cz>

    Implemented snd_pcm_sw_params_(set|get)_period_event for interrupt wakeup like behaviour

commit c88672d86fe713e8f049df895fc3b64c472fbf5d
Author: Jaroslav Kysela <perex@perex.cz>

    implemented snd_pcm_rewindable() and snd_pcm_forwardable(), removed can_rewind and can_forward

commit 058dde8b7da6f7b725e4ef8b9b237f2a5c6ff01e
Author: Jaroslav Kysela <perex@perex.cz>

    implemented integer volume <-> dB volume conversion functions for simple mixer

commit 82af1df465181da783d85256afdda26942eaecbf
Author: Jaroslav Kysela <perex@perex.cz>

    added snd_pcm_hw_params_is_monotonic/can_forward/can_rewind functions

commit d4250517f014f4f14d25a2b37e6ae07f07d49c31
Author: Jaroslav Kysela <perex@perex.cz>

    PCM API - explain more trigger timestamp

commit d555b1591483bf08559113f8c449cbb8d58d54a4
Author: Jaroslav Kysela <perex@perex.cz>

    fix compilation in pcm/pcm_hw.c - monotonic clock

commit 542b12b888412248ede246ffd0d6ab644e1b4670
Author: Stas Sergeev <stsp@aknet.ru>

    pcsp: remove downsampling

commit 87ae12214b5062ba2b05055b9a10e32a09c36fee
Author: Takashi Iwai <tiwai@suse.de>

    Use defaults.pcm.file_format for the default file format of file plugin

commit fe95bc237a3dcefb32398b5b346ce8df1baa7231
Author: Takashi Iwai <tiwai@suse.de>

    Add the support of WAV format in PCM file plugin

commit 5c5f1358123af69155267463a0b6254ad9cbecc4
Author: Takashi Iwai <tiwai@suse.de>

    Use slave PCM as a timing-source for file ifile

commit 3d0dae9099866910daed8bdc2e8c5b8a2422a981
Author: Takashi Iwai <tiwai@suse.de>

    Add truncate option to PCM file plugin

commit fe8bb134005bf0afeaa9dbd1465f01a575728a35
Author: Takashi Iwai <tiwai@suse.de>

    dmix skipping first set of samples

commit d587383d6b2dba9731959d5b5ad11e672fb361c7
Author: Pawel MOLL <pawel.moll@st.com>

    Fix for alsa-lib cross-compilation problems with ALSA_CONFIG_DIR and ALSA_PLUGIN_DIR

commit df87a4be3de3fe86cefa73bc435469d163b3dcce
Author: Takashi Iwai <tiwai@suse.de>

    Add PCM "hdmi"

commit 363b7f8289fad5975e7aca1d329b2fd0ab3bea40
Author: Takashi Iwai <tiwai@suse.de>

    Don't show non-existing devices in snd_device_name_hint()

commit e58bd6762f726872efa0b5a377f7f3f891d08ad1
Author: Takashi Iwai <tiwai@suse.de>

    Fix device number assignment in hints

commit 91726ddf83b27d21788d0ba044b628a79a3872ea
Author: Takashi Iwai <tiwai@suse.de>

    Fix the build with old glibc

commit 12944a024f5923f19c14f1966851f1ad9cffaf1c
Author: Pawel MOLL <pawel.moll@st.com>

    IEC958 definitions for consumer status channel, byte 4

commit 6e0b0e7c6ad1cf47fbf2915b7aa7429a125a1eb5
Author: Takashi Iwai <tiwai@suse.de>

    Fix the state in snd_pcm_ioplug_pause()

commit b2bd775375d86c38b9d42d06d98e2809aa2551bd
Author: Takashi Iwai <tiwai@suse.de>

    Add test binaries to hgignore

commit cc80a8954c65c2ea9c15d8f38765e7dce50e3906
Author: Takashi Iwai <tiwai@suse.de>

    Add doxygen.cfg to hgignore

commit 6ab63388d16cdbdd02cd656a84dd18bcf7f2be95
Author: Takashi Iwai <tiwai@suse.de>

    Create doxgen.cfg dynamically

commit 2cec6e2653b4132fbbe82b8f50d1300293fb95d2
Author: Aldrin Martoq <amartoq@dcc.uchile.cl>

    mark snd_seq_client_info_{get,set}_event_filter deprecated

commit 72ffc6db77fc03ea445755149c9003640511e578
Author: Aldrin Martoq <amartoq@dcc.uchile.cl>

    use snd_seq_client_info_event_filter_*() functions

commit 83c5a607780d7a04d6e0127d0498c7c391a48617
Author: Aldrin Martoq <amartoq@dcc.uchile.cl>

    add a test code for snd_seq_client_info_event_filter_*()

commit 75ecdac6f49cc9e092e002926f280c5979acc234
Author: Aldrin Martoq <amartoq@dcc.uchile.cl>

    add snd_seq_client_info_event_filter_*() functions

commit 882f93ac26b549bd30dc3b061694f78d42cd7521
Author: Aldrin Martoq <amartoq@dcc.uchile.cl>

    add snd_seq_unset_bit()

commit 0e5b2a006ac56f5008d949e06c792404e548ab2d
Author: Takashi Iwai <tiwai@suse.de>

    Fix snd_seq_change_bit()

commit ac10483b214b2521aa1d369b58df4dbd037d937b
Author: Takashi Iwai <tiwai@suse.de>

    Add atomic operation for super-H(sh3,4) architectures

commit c622965472d66a5d49d90bb5f077dc146d509f26
Author: Takashi Iwai <tiwai@suse.de>

    Add surround71 definition to NFORCE.conf

commit c96984f18196e6c1e3ee51152091fa9b68f8e011
Author: Takashi Iwai <tiwai@suse.de>

    Fix conflict of obsoleted snd_pcm_hw_* definitions

commit 6772540f3231a13bb5e2d701b32de317d93896eb
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.16 for changeset b1dfac5a4d55

commit aa924b6b416242679b9c33d6f49d61750bded283
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.16
    Patch-level: Merged

commit a51118bb62e4dc408a871f796b6292202e5a4d65
Author: Takashi Iwai <tiwai@suse.de>

    Fix build with --disable-hwdep and co

commit 742fe3c110f69e88c323e5cfc4af35947f158cdc
Author: Takashi Iwai <tiwai@suse.de>

    Remove obsolete instr check in configure

commit b2f43ced1c2a40afd9e6fa4d4270f365f8d53402
Author: Takashi Iwai <tiwai@suse.de>

    Fix wrong exported functions

commit 676913bcdb9bcef8d15ab397ed31489c46b24279
Author: Takashi Iwai <tiwai@suse.de>

    Add the missing card alias for Prodigy71Hifi

commit 46a5e8138a95afee7bc1786a739230c67a3591fd
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.16rc2 for changeset 06fcc64b20b3

commit 8b2bcfffbef6eac068747b9e97b96b3addf8fc0e
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.16rc2
    Patch-level: Merged

commit c1d06bda17f1ef206b86bb41eebdcf43916ee64b
Author: Takashi Iwai <tiwai@suse.de>

    Allow auto-config for dsnoop and dshare plugins

commit d902c124b485fed87abb2aba291864606e75cd68
Author: Takashi Iwai <tiwai@suse.de>

    Remove obsolete instr directory

commit 59855f4671bf890ad1094ba7904fd2c9263bbe58
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.16rc1 for changeset 81eabb0e6c10

commit 363c3ffa73dcccaa1495f37831c4df3aa345caf0
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.16rc1
    Patch-level: Merged

commit 1683a1b8bd3575b19e31e8dafb22404bda834e40
Author: Takashi Iwai <tiwai@suse.de>

    Fix a memory leak in PCM hook plugin

commit 35d4f9b8d702d027e74573bdeca5fc5e3e2efff8
Author: Takashi Iwai <tiwai@suse.de>

    dmix - Enable auto format detection as default

commit 91fc64cefb427bce0ac49f7acd2f3cf2d68ebb4b
Author: Takashi Iwai <tiwai@suse.de>

    Implement missing htimestamp callbacks

commit 77849672cd69d252d82442b4671ccb1b2f9857bf
Author: Jaroslav Kysela <perex@perex.cz>

    Allow pcm slave string references for direct plugins (bug#2893).

commit 6968ba94f35e895bc9764c1545fdcfd245204528
Author: Takashi Iwai <tiwai@suse.de>

    Add missing remix_areas_* for x86-64

commit bf004f1c5292931b8d4a6ced1e01994cacf692fd
Author: Takashi Iwai <tiwai@suse.de>

    Add SND_PCM_TSTAMP_MMAP back

commit 50ce5d049e1319fe30445fb3424a36027b4e8a4c
Author: Clemens Ladisch <clemens@ladisch.de>

    fix memory leak in snd_config_update_r error path

commit fb3a4e8b7016e27c326bc51e3b1484b4741d8b1c
Author: Clemens Ladisch <clemens@ladisch.de>

    pcm dmix plugin: fix generic direct remixing

commit 0e8a2599143c71a20d043e458f2a9fa3be4efeaa
Author: Clemens Ladisch <clemens@ladisch.de>

    check availability of CLOCK_MONOTONIC

commit 07e1341548df13b3624cedf0e6be4c475bc3ad56
Author: Clemens Ladisch <clemens@ladisch.de>

    pcm hw plugin: use TSTAMP only with old drivers

commit 6f751a923dc8a56c8c2032d5a4006f6063618983
Author: Clemens Ladisch <clemens@ladisch.de>

    pcm hw plugin: fix TTSTAMP version check

commit cf822aceef89d757ac2c464c4964e9e5ed918073
Author: Clemens Ladisch <clemens@ladisch.de>

    pcm plug plugin: remove duplicated expression

commit ab8331c8823157acfe3b24b837bd5f625acb9666
Author: Jaroslav Kysela <perex@perex.cz>

    Added possibility to disable also channel and format conversions + softvol.

commit 6814d23d290296b10032c258cd36e3e54028c78d
Author: Jaroslav Kysela <perex@perex.cz>

    SND_PCM_TSTAMP_MMAP -> SND_PCM_TSTAMP_ENABLE change

commit 70b11d614d6f7c13ea8c3fe81e7b34430fba389d
Author: Jaroslav Kysela <perex@perex.cz>

    Implemented snd_pcm_rewind() for the dmix plugin

commit 8f16428f9cb66026bb62fe67ae10a32240a16db4
Author: Takashi Iwai <tiwai@suse.de>

    Don't use deprecated functions inside

commit 3e35983f95fd46cc8c22337b514cc4c9e55e563c
Author: Takashi Iwai <tiwai@suse.de>

    Avoid (null) in printf

commit 328824509fac32c3f477b85f089b4ed6c39844a4
Author: Takashi Iwai <tiwai@suse.de>

    Fix exported symbols for hooks and functions

commit 2c1318803fb62fc52fb7dc38dc5156531b7fe827
Author: Jaroslav Kysela <perex@perex.cz>

    Impemented snd_pcm_htimestamp() function.

commit 309a274454276e5909c692f46c51cbefdcc094f0
Author: Jaroslav Kysela <perex@perex.cz>

    Add support for monotonic timestamps

commit a73ad3f2655c5f0a617fdeff6fe3b0d147096fa8
Author: Clemens Ladisch <clemens@ladisch.de>

    conf: show path of any missing configuration file

commit 8fab259170980469778a6dc5aeda9fda9779c797
Author: Takashi Iwai <tiwai@suse.de>

    Fix function declarations with old PCM API

commit 679cea41259c16a68214227eaf1c1c65bb36164e
Author: Takashi Iwai <tiwai@suse.de>

    Remove sleep_min and tick

commit cf15e49d8460d9b56005d8c49faa064de3649cef
Author: Takashi Iwai <tiwai@suse.de>

    Remove PCM xfer_align

commit e1e9e3ff8274b24857da083c19c47627e1a71c3e
Author: Takashi Iwai <tiwai@suse.de>

    Remove indirect control access

commit d23669585d1ce242473919099b1f65022944d463
Author: Takashi Iwai <tiwai@suse.de>

    Remove obsolete seq event entries in seq-decoder

commit 173d8a8b58c4c02c354cdcab1d8de2f6a8a27a75
Author: Takashi Iwai <tiwai@suse.de>

    Add deprecated attribute to obsolete functions

commit 7562320e3b0d6a165dfb0a8c1783223f7531c37f
Author: Jaroslav Kysela <perex@perex.cz>

    Added SNDRV_PCM_IOCTL_TTSTAMP and updated PCM API version to 2.0.9

commit ce64f433a64b797b423cf7f24b9514dbeb17cf35
Author: Takashi Iwai <tiwai@suse.de>

    Add snd_pcm_ioplug_set_state() function

commit 86456d21e07278148cc52f19cb0d2e1c451bf22d
Author: Clemens Ladisch <clemens@ladisch.de>

    revert revision 2264:23c4c0f5de40

commit 74880110c3681dbc1310fc6bfac6375178ba222f
Author: Takashi Iwai <tiwai@suse.de>

    Fix segfault with strdup(NULL) in softvol

commit 6e6f4b9c9347277dce66c342f1eceb2fbab558e2
Author: Clemens Ladisch <clemens@ladisch.de>

    dmix: add U8 support

commit a3fe1f780026517bf94e975e783c4e7463339413
Author: Clemens Ladisch <clemens@ladisch.de>

    dmix: simplify mix_areas()

commit 79db4a6bfa3c164540b9336ef6175e07e83e060d
Author: Clemens Ladisch <clemens@ladisch.de>

    dmix: rename mix_areas*

commit de2b7a42d740d544f478d9b5d5ce90301862fdd1
Author: Jaroslav Kysela <perex@perex.cz>

    fix write in simple mixer API - python backends

commit 8a035282ac9628cddaa602c1dfa08d3695d2d4c5
Author: Takashi Iwai <tiwai@suse.de>

    Clean up Versions file

commit 7dca3ab1eaa5ab679a72bc03b8cdda0220744070
Author: Takashi Iwai <tiwai@suse.de>

    Make local functions really local

commit e68bd91cf9fae09f3ad9a351416f87f0fc06db81
Author: Clemens Ladisch <clemens@ladisch.de>

    oxygen: remove softvol plugin

commit 8be2d013f04d78359757520f34b3d10cd6e05ad6
Author: Clemens Ladisch <clemens@ladisch.de>

    oxygen: add channel status controls

commit 2ae2bbf19035525bffd2a8c40bba4d4ee3347984
Author: Takashi Iwai <tiwai@suse.de>

    softvol - add missing name

commit 72ede8a12d2eed686f91bd00dd4badc10d5e4c3e
Author: Takashi Iwai <tiwai@suse.de>

    Set PCM name properly in empty and asym plugins

commit a2d98ebd42d9aa3935395e99b4d50162d57bb771
Author: Jaroslav Kysela <perex@perex.cz>

    fix error code when controlC0 device has no enough permissions
    See alsa bug#3600

commit 2ba380fdc48cd8eb3198882aa72d608bb4b7fa33
Author: Jaroslav Kysela <perex@perex.cz>

    fix error path in snd_config_hook_load_for_all_cards()

commit 0b66de95a9733dfbe0292bc41324582edc13550c
Author: Takashi Iwai <tiwai@suse.de>

    Fix mmap with multi plugin

commit 683c8bc4a2cee5892dc12e5a874be443a9406fcf
Author: Takashi Iwai <tiwai@suse.de>

    Clean up using gettimestamp()

commit 7379b061eb3e7eac28b08ad59bcf76d44feb60ad
Author: Takashi Iwai <tiwai@suse.de>

    Fix timestamp in status in PCM direct plugins

commit b0b7d0280f977dee1bbff0a1b4cd0c50068d2371
Author: Takashi Iwai <tiwai@suse.de>

    pcm - Limit the avail_min minimum size

commit 1cf37d72c4e77fac55f2b1792bdcf12744a5a51a
Author: Clemens Ladisch <clemens@ladisch.de>

    oxygen: enhance configuration

commit b70bd6541500379d2b85fd0b5df4b9e735884ef5
Author: Clemens Ladisch <clemens@ladisch.de>

    alsa.conf: cosmetic change

commit 408af4b6756fc3214dbd5c3641bc11bb4e680ee2
Author: Takashi Iwai <tiwai@suse.de>

    Fix wrong return values in direct plugins

commit c13b8dc98698427336ddcefc47b8058f4a1b845a
Author: Stas Sergeev <stsp@aknet.ru>

    Remove ugly hack in rate plugin poll_descriptors callback

commit 7b51f627326569c38e85af224de21be36cb6562b
Author: Clemens Ladisch <clemens@ladisch.de>

    simple mixer: fix calculation of control range

commit 15e936e27710130239a572d394bc66a7fad5ac50
Author: Clemens Ladisch <clemens@ladisch.de>

    midiloop: use blocking mode

commit 07137c0267999948a5625cc318cac2effa17cf79
Author: Takashi Iwai <tiwai@suse.de>

    ioplug - Fix the refinement of period_* after periods

commit 2e7cc001a9a886e0adc739f493acca789b19ad56
Author: Takashi Iwai <tiwai@suse.de>

    Re-add assert.h to asoundlib.h

commit 54a2cf5ecf1a26e4d0fc2138e5f98294c57f63bb
Author: Takashi Iwai <tiwai@suse.de>

    Remove sequencer instrument layer

commit 078112dfdfe708f0206a497b2968f59032580d5c
Author: Takashi Iwai <tiwai@suse.de>

    Update asound_fm.h for patch loading over hwdep

commit 68e5771a6f7a2aae2dbd02a097719bcd25c6f307
Author: Takashi Iwai <tiwai@suse.de>

    Remove assert from header files

commit 9eb272c753e2d376be87433b2428f69c24a4bccb
Author: Takashi Iwai <tiwai@suse.de>

    Fix gcc compile warnings

commit f38e5feca3723603beea79c8f78e39414ff66bbd
Author: Takashi Iwai <tiwai@suse.de>

    Export dB conversion helper functions

commit 631f7cde828e5f2ee4442cf3d02f01b00d12bb31
Author: Takashi Iwai <tiwai@suse.de>

    Change assert condition in error message handler

commit d6093c58f3d950eb5e150e1b21ac55ac87aa1ea7
Author: Takashi Iwai <tiwai@suse.de>

    snd_pcm_dmix_close: raise semaphore if unable to discard

commit c2e368e7f79fdb87e717cabf40597f6fe5fc4e95
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.15 for changeset 9e2f117f24b9

commit 89dfaa7cf7f79847edec3ba48e031789d0c4ce52
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.15
    Patch-level: Merged

commit d25e281230ef6493c7a27bc58c05e3d919b91437
Author: Jaroslav Kysela <perex@perex.cz>

    Changed Jaroslav Kysela's e-mail from perex@suse.cz to perex@perex.cz

commit d2a2d964b8c9d139c52fc126c69347d161336062
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.15rc3 for changeset d2c731f5701f

commit 4f70a301ac144ecdd11fa71c245d57dcb6e650da
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.15rc3
    Patch-level: Merged

commit 67399e35ff47269c324c251e611531c70c8e71ef
Author: Takashi Iwai <tiwai@suse.de>

    Fix wrong offset calculation in snd_pcm_{read|write}_mmap()

commit cda4a3cb6109dca7628092b12ff7606ce9c4f62f
Author: Stas Sergeev <stsp@aknet.ru>

    PC-Speaker config update

commit d3339d7b8b706773529484801a2705b495f4cd66
Author: Takashi Iwai <tiwai@suse.de>

    Fix subdevice number to 0 for dmix/dsnoop

commit 8f5fa1a4aa27251bf945faae60291f602d3cc0b0
Author: Jaroslav Kysela <perex@perex.cz>

    changed python-incdir to python-includes for configure.in

commit b8aa6c876646c74dd03522c6a88e45e352a042fa
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.15rc2 for changeset 6e8e8b05cef4

commit fb8887350cd90baf63d8d15302f5c3349af50678
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.15rc2
    Patch-level: Merged

commit e23317de39dd3d13ee12c3e409f0014969549d42
Author: Takashi Iwai <tiwai@suse.de>

    Allow empty pythonincdir option

commit b04d1e18e42bc6471217818570703345b42645a2
Author: Takashi Iwai <tiwai@suse.de>

    Fix a typo

commit dcdf8c2a00b06139960e59fb85b444e8d7f556f9
Author: Jaroslav Kysela <perex@perex.cz>

    improved python detection and added --with-pythonincdir for configure.in

commit 77603ff798e8683334cd7772689591137c798802
Author: Jaroslav Kysela <perex@perex.cz>

    alsa simple mixer - python basic abstraction - simplified using get/setArray

commit 16b91e8d975e4a2f1fc85b2f7402136edf3e70af
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.15rc1 for changeset 0de58d1f43df

commit 4b2cc6303860c19e75e46c58377447df71cc4c09
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.15rc1
    Patch-level: Merged

commit e073ebe3933f39c48496ea252176c1c1c2883f1c
Author: Takashi Iwai <tiwai@suse.de>

    Add dynamically created files to ignore file

commit dac0e3b17c03864005f7424d774c55d6cf0b0494
Author: Takashi Iwai <tiwai@suse.de>

    Handle "Input Source" as a capture element

commit 686a32c61fc5c570167cc624959d3b97ab0b33f0
Author: Takashi Iwai <tiwai@suse.de>

    Add the missing include/mixer.h to doxygen.cfg

commit 13e913bf85ee1accf927be29028efa43f95bd918
Author: Takashi Iwai <tiwai@suse.de>

    Add missing CMI8788.conf to Makefile.am

commit 679ae1c7f296711289f59801308ad62c83701dbe
Author: Takashi Iwai <tiwai@suse.de>

    Continue build even if python-config doesn't exist

commit 9749c31fa763be9485300e2dd00432f1b4fdee8f
Author: Clemens Ladisch <clemens@ladisch.de>

    cmi8788: add alsa-lib config

commit e16a241efcd4a3d66635ce4d86f278c665ef0ff1
Author: Takashi Iwai <tiwai@suse.de>

    Fix a typo in configure script

commit 540c7f765f18b0dcd05f173bd08d952b1d479400
Author: Takashi Iwai <tiwai@suse.de>

    Fix use after free

commit b72b817df6d848b7a4d5510a457623fb303c96bd
Author: Takashi Iwai <tiwai@suse.de>

    Add missing pcm_empty.c in doxygen configuration

commit f2835d86fab3372a9d7cb976cbdaa2569966fd60
Author: Clemens Ladisch <clemens@ladisch.de>

    seq_midi_event: fix parsing of F9/FD bytes

commit 5090cf3520c88fb7ed0bdddc1e13d8d5de7f11d5
Author: Clemens Ladisch <clemens@ladisch.de>

    seq_midi_event: fix parsing of missing data bytes

commit 4ebeecda287bb12a14c69d096b5ee4ba4911ec97
Author: Clemens Ladisch <clemens@ladisch.de>

    seq_midi_event: prevent running status after system messages

commit 2c281e16485d650c252b8885f32deada4711f8ca
Author: Clemens Ladisch <clemens@ladisch.de>

    seq_midi_event: fix encoding of data bytes after end of sysex

commit c7e1676dcd1664d2bdf52bc399e3ae90fe2d2494
Author: Takashi Iwai <tiwai@suse.de>

    Don't set PCM pointer at error in snd_pcm_hw_open()

commit fca29a6172548f368f140a1701d1f339b0326797
Author: Clemens Ladisch <clemens@ladisch.de>

    remove unused variables

commit 4cdb17c6012626580b98859c29a86c9d22e926d0
Author: Takashi Iwai <tiwai@suse.de>

    Split mmap-emulation code from hw layer

commit 9bb7211f2170fcd47ea709ce0d82c84f6b5bf610
Author: Takashi Iwai <tiwai@suse.de>

    Fix clean-up of header files

commit e0d7bfcea69950c5ac1e35b48365fa5b5970f6d2
Author: Jaroslav Kysela <perex@perex.cz>

    mixer simple basic abstraction - added python binding
    reasons:
    - rapid development
    - class-like code structure
    - more readable code
    features:
    - hcontrol binding is managed from python (opportunity to create
      virtual mixer without driver or join multiple cards to behave as one)

commit 582cc1f098e2cc9904b53543075ef93e00e23c35
Author: Takashi Iwai <tiwai@suse.de>

    Create asoundlib.h dynamically according to configure options

commit 7f0beceb7d98543c5c50ad2a58f06ff63bdd1427
Author: Takashi Iwai <tiwai@suse.de>

    Added PS3 configuration

commit 845d9222b2f80615cef554cd72db3c70ec6014f5
Author: Takashi Iwai <tiwai@suse.de>

    fix mmap emulation bug of recording doesn't work

commit 40415cd18068d9df2855c7257fbc53aa16ba5ed9
Author: Takashi Iwai <tiwai@suse.de>

    Fix undefined references in namehint.c

commit e4c80614e91de22d0a779770c2f7ae97bb3b07f1
Author: Takashi Iwai <tiwai@suse.de>

    Use S16_BE as dmix format for PPC drivers

commit 267d7c728196286726b47df45736eba18d78822a
Author: Takashi Iwai <tiwai@suse.de>

    Add support of little-endian on i386/x86_64 dmix

commit f49e5859fd49110099a7bd06f68966a8d237c5e2
Author: Takashi Iwai <tiwai@suse.de>

    Fix the build of lfloat plugin

commit c2d770627ff01ee064613c076f312291f137e2f9
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.14a for changeset 9005d28a1f9e

commit c284de76b7d396b3c103dc6751836c45f5fe83b9
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.14a
    Patch-level: Merged

commit e973a96f4f1c0d15fef1ed87eac45800eff329ba
Author: Takashi Iwai <tiwai@suse.de>

    Fix plugin directory

commit e9ec5aef2761dcdd02c244ce6e95398101c6cbef
Author: Takashi Iwai <tiwai@suse.de>

    Properly disable -Bsymbolic-functions if ld doesn't support

commit ff14583996a7784ed77e0088be646e487c4579ba
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.14 for changeset 83a170c1f7c4

commit 4a7bc382a197b735b911f2d3e35d4e35bb0fc94c
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.14
    Patch-level: Merged

commit 971ec92b8ba05c0dd368de555dcdee2af85fa689
Author: Takashi Iwai <tiwai@suse.de>

    Specify subdevice number for Maestor3 dmix setting

commit a03ddea4152b211c47005d44ade798cebdc0f070
Author: Clemens Ladisch <clemens@ladisch.de>

    dmix/dshare/dsnoop plugin: enable slowptr by default

commit 63e4c591f904abd6699966087a6f0dd41d1101ab
Author: Steve Longerbeam <stevel@embeddedalley.com>

    Add support for gain in softvol plugin

commit 577959ec8739212b3ed65f5f44b2e0bb41db8999
Author: Takashi Iwai <tiwai@suse.de>

    Revert the wrong change in src/pcm/Makefile.am

commit 21888c5f509323b481f321a8d4242540d6aaf9b4
Author: Takashi Iwai <tiwai@suse.de>

    Add config and plugin directory options to configure

commit 4c9e869ea38eaccd2deb77e371bea71cdcf1b758
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.14rc4 for changeset b557eb8496bb

commit df3f340ab3a42963fed4eefad808392db9773e65
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.14rc4
    Patch-level: Merged

commit 3b1153c435ea8fa76c4f852853969bcf7ff52c40
Author: Takashi Iwai <tiwai@suse.de>

    Add --enable-symbolic-functions configure option

commit 41dfdba7fb997265db23df9c6dc91ba93c04b3b1
Author: Takashi Iwai <tiwai@suse.de>

    Add missing smixer.conf for installation

commit 7f9dd4ac65b72bcaa784366f787fe5c622703339
Author: Takashi Iwai <tiwai@suse.de>

    Fixed an access to uninitialized variable in pcm_rate.c

commit 2b5006b03c4a5d20912425344d03103336960327
Author: Takashi Iwai <tiwai@suse.de>

    Add missing control_ext entry

commit 09996b632e6827493e03ff9f8f3be0e7b6a2885b
Author: Takashi Iwai <tiwai@suse.de>

    Use AS_HELP_STRING in configure.in

commit 17dbb93a9ab49c761a9f672be038d4a65d501163
Author: Takashi Iwai <tiwai@suse.de>

    Add src/control/ctl_symbols_list.c to .hgignore

commit 77b4d5f97aa5709bcd842d89bc0e8aaa40631d55
Author: Takashi Iwai <tiwai@suse.de>

    Add --with-ctl-plugins configure option

commit c16111516f7fe403a07a884e9b97b7baf24d027a
Author: Takashi Iwai <tiwai@suse.de>

    Define an array of default rate plugins

commit c6bebac05ed0580efa76a23609fca2c0a4f5347c
Author: Takashi Iwai <tiwai@suse.de>

    Trivial fix of compile warning

commit 36987b02c0fc89c463aadb7df6bd7951bf5f2abe
Author: Takashi Iwai <tiwai@suse.de>

    String array for default rate plugin list

commit 70e4ec9d08ca7c162dce873d82b5610c700cf707
Author: Takashi Iwai <tiwai@suse.de>

    Allow build without libdl and libpthread

commit 9a75eec6645c7034542f571e63cc5824a5d3e1cd
Author: Rene Herman <rene.herman@gmail.com>

    Fix alsa-devel ML address

commit 0c03968e1367294b6975b3a25e124fe3e029812d
Author: Takashi Iwai <tiwai@suse.de>

    Fix build with no PCM plugin

commit 36cc1daad8bf9c212cf6975a7500026c9b7a2f5e
Author: Takashi Iwai <tiwai@suse.de>

    Remove _snd_pcm_link_descriptors() and more comments

commit 8048321c76430c2b923a748e0f7e23a0830d6cd6
Author: Takashi Iwai <tiwai@suse.de>

    More better fix for linked start/stop

commit 1753ae794f73c041f38fa49fd328024f6a617079
Author: Takashi Iwai <tiwai@suse.de>

    Fix start/stop of multi plugin

commit ffcffac13dabf5d5c717caf4527f8d81ebbd3e68
Author: Clemens Ladisch <clemens@ladisch.de>

    fix a signedness warning

commit 6329db3af11cd26120a76c341cee9e55f0512748
Author: Takashi Iwai <tiwai@suse.de>

    Improve the sample conversion in plug layer

commit fbc2a6fa09998c1b80866579c952e233b11c42f6
Author: Takashi Iwai <tiwai@suse.de>

    Check _POSIX_SOURCE for timeval definition

commit ba4291aa1b1807fefd91ccc6d584c3fb6a8f867f
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.14rc3 for changeset 3cfb9808fb42

commit afb23f3f58b66f3dfdcd3921b5fa89ec6fda2eda
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.14rc3
    Patch-level: Merged

commit 98f8b6c9a8663f7ff857bbdb594c3041a7b928e0
Author: Clemens Ladisch <clemens@ladisch.de>

    add USB-Audio.conf to Makefile.am

commit 09eb8007718961f6a53b11d50c261d83bc131b86
Author: Clemens Ladisch <clemens@ladisch.de>

    enable dmix-ing and proper 5.1 routing for USB audio devices

commit f54f03bfc43a53fb7871a0e376b2fcb9847a27c8
Author: Clemens Ladisch <clemens@ladisch.de>

    fix SNDERR() format strings/arguments

commit 0c49463b8ca9ebbd1e64940e28c412b4ff20e9a5
Author: Clemens Ladisch <clemens@ladisch.de>

    remove superfluous strdup() calls

commit ebc0ea9b5462c4de73190ee0e8275d4d87ef3c13
Author: Clemens Ladisch <clemens@ladisch.de>

    add card_name configuration function

commit e8094c43223891ff338a21d856cec37b6b80ae40
Author: Takashi Iwai <tiwai@suse.de>

    Update emu10k1.h for new version

commit b3f998dbc942455c10700d51e9d73cab7de1d4a0
Author: Takashi Iwai <tiwai@suse.de>

    add support for symbol prefixes in shared libraries

commit f6d264f54d624d54613f42fd3f72ba33ff498409
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.14rc2 for changeset d1c1d7803371

commit 1c82cd7623f789a6125d3d0c5654550d59514cc9
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.14rc2
    Patch-level: Merged

commit c818bab2e3ae13a949a6d2196bd3a965f3827f97
Author: Takashi Iwai <tiwai@suse.de>

    Fix compile warning with internal function

commit 6972e3e585be2a2837c7f3e2cab734f4e4bfe954
Author: Takashi Iwai <tiwai@suse.de>

    Fix error code in timer_query.c

commit 31910617f2955cda38941054f2b0162a6b70c4b8
Author: Benoit Fouet <benoit.fouet@purplelabs.com>

    initialize dl handles where it needs to

commit 4a1cefd24d673447d8e1cdae7f8a227798a67b97
Author: Jaroslav Kysela <perex@perex.cz>

    pcm_ladspa - fix none policy
    In some configurations, channel samples were not copied correctly.
    Also, fix memory leaks and remove extra end-of-line chars from SNDERR
    strings.

commit 2c02c139f49241acc7f5b5099f06a6ecdfa9c798
Author: Jaroslav Kysela <perex@perex.cz>

    remove snd_ctl_iface_conf_name() prototype, namehint doxygen cleanups

commit 19b2e9afa0495335518d251a67a48ff521722d61
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.14rc1 for changeset f5f02f509ea160bf35cbd3c0015e49f42ddf49f6

commit 93b453f4b80bae92acc341c41d932d9aa64d57b1
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.14rc1
    Patch-level: Merged

commit 6d90397addbbc418e5c6745c56054ed4f89e31bb
Author: Jaroslav Kysela <perex@perex.cz>

    add snd_device_name_get_hint() prototype to include/control.h

commit 8a36b67b9fb13865ed2f68a3eee938dbe946a6d8
Author: Clemens Ladisch <clemens@ladisch.de>

    direct pcm plugins: fix format selection

commit 9819099e0e102cdb593d61b9d0c2508159bd9650
Author: Clemens Ladisch <clemens@ladisch.de>

    direct pcm plugins: fix channel number selection

commit 0f99fe7830fd50f1d4b804fbdb138cbbb462056f
Author: Clemens Ladisch <clemens@ladisch.de>

    fix string list parameter in snd_device_name_(free_)hint prototypes

commit 1ba513f96f69243e628608d4d7a2ca3072e3d448
Author: Jaroslav Kysela <perex@perex.cz>

    add snd_device_name_get_hint() function, make hints private to alsa-lib (void)

commit 70c20571e12692ef2fc1c376982af762f0da6562
Author: Takashi Iwai <tiwai@suse.de>

    Fix CS46xx.conf default capture

commit 125b22189ea83e7125e84e684d767a007d4df8d8
Author: Clemens Ladisch <clemens@ladisch.de>

    fix a typo

commit 631814e0b317a33422101fc0cbdbb84f3ace78c7
Author: James Courtier-Dutton <James@superbug.demon.co.uk>

    Compatibility problem with automake 1.10 fixed.
    alsa bug#2592

commit 10e3360575d40b4ce678416962c116b0afb240a7
Author: Takashi Iwai <tiwai@suse.de>

    Fix device name listing with card = -1

commit 9df5c28f55cac0f02fc3983064494071da56a1b7
Author: Jaroslav Kysela <perex@perex.cz>

    namehint changes: longname -> cardname, use get_card_name instead longname

commit c9610c024df913f34205e8ceb424a8ba598fc3e1
Author: Takashi Iwai <tiwai@suse.de>

    Fix build of static library

commit 03389a444bebff4f1eb5f64150ba7ff1a3469a9a
Author: Jaroslav Kysela <perex@perex.cz>

    change iface argument for namehint function to const char *
    remove snd_ctl_iface_conf_name function

commit 252fd434613a3f48479737e9fe2772b5a3e1fa4f
Author: Clemens Ladisch <clemens@ladisch.de>

    rawmidi: do not abort when seeing the hint node

commit ddf9599542692ab3747f138ac73a777adde2de64
Author: Jaroslav Kysela <perex@perex.cz>

    pcm: fix ipc offset calculation for direct plugins

commit 21207351a863cec1b012281967d4f2dfa58e11a2
Author: Takashi Iwai <tiwai@suse.de>

    Revert dmix.conf and dsnoop.conf

commit 6d511eefa05878abee9f8b9145697230de605200
Author: James Courtier-Dutton <James@superbug.demon.co.uk>

    Implements support for capture/playback enums.

commit a185898230991840146cd824656b6d426b7b3809
Author: Jaroslav Kysela <perex@perex.cz>

    added pcm_empty plugin and .hgignore additions

commit d7916981bfe14f0aa52cbcccf0cba38d06d01c36
Author: Jaroslav Kysela <perex@perex.cz>

    pcm config files cleanups and name hint extension
    - remove device 0/subdevice 0 from configuration files (it's default)
    - name_hint
      - fixed parsing slaves
      - obtain device numbers directly from 'type hw' configurations to
        avoid poluting of configurations scripts with hint.device lines

commit b40a116b8e048abfea4be54e11090787674e341a
Author: Jaroslav Kysela <perex@perex.cz>

    Remove snd_name_list() and snd_name_list_free() functions.

commit 10cca7c03b94c435bea2e9369e567a896f25d83a
Author: Jaroslav Kysela <perex@perex.cz>

    pcm direct plugins - fix memory leak (sconf must be deleted)

commit 1300e70573561db00eea2c4203d42d8bccb454f3
Author: Jaroslav Kysela <perex@perex.cz>

    more name hint interace updates
    - add long card name to device description
    - create empty PCM plugin to allow right hint description parsing
    - reorder devices in alsa.conf
    - make namehint more configurable (using default.namehint.showall switch)
    - add two levels basic and exteded for hints to default configuration files
    - do not show direct device aliases
    - removed all known memory leaks

commit aa7a0dd70b333ab9c3fc4955d4b5c0d9e0b344fa
Author: Jaroslav Kysela <perex@perex.cz>

    add card number to ipc key for dmix / dsnoop PCM definitions

commit faf8aad99ad066d59c7599bfb272d1fb1943748b
Author: Jaroslav Kysela <perex@perex.cz>

    fix two issues in snd_device_name_hint()
    - returned wrong error when the namehint section does not exist
    - variable underflow for the rawmidi interface

commit 13fdc417851d87cce7303df65784df7b940ae56a
Author: Jaroslav Kysela <perex@perex.cz>

    add snd_device_name_hint() function and initial implementation

commit b223fbba233ce6df2e44503cdd9735dc3722c4e7
Author: Jaroslav Kysela <perex@perex.cz>

    revert back one diff from changeset 2219 (fix various warnings)

commit 57eb3145b8b90791ccbb743bc6cca8259c38e2b1
Author: Jaroslav Kysela <perex@perex.cz>

    fix various warnings
    See also ALSA bug#1689

commit 8c9e4114a23aad96b4b9570624a4fd96745dfe01
Author: Jaroslav Kysela <perex@perex.cz>

    Add struct timeval and timespec definition when _POSIX_C_SOURCE is not defined

commit 7668e264af0496d0c008fa0f6f02e2a992f22df9
Author: Jaroslav Kysela <perex@perex.cz>

    alsa.pc's Libs shouldn't contain -lm -ldl -lpthread

commit 1a87651393bec9129e2ec1f06357c904c5b59408
Author: Takashi Iwai <tiwai@suse.de>

    Use dmix/dsnoop for maestro3 boards

commit 1827d9ccffc4a080a33b9bdc9fd21deb19aa055a
Author: Takashi Iwai <tiwai@suse.de>

    Fix snd_pcm_open_noupdate() to refer alias

commit 285d8599749e956f22ab0ad49ebd4eb56e70ddc5
Author: Mike Frysinger <vapier@gentoo.org>

    allow building out of tree (sort of)

commit bc9b4553b491270192d1fbff04d247fb0faf2c22
Author: Jaroslav Kysela <perex@perex.cz>

    alsa-lib: test dir: make check: static building doesn't work on PIC architectures

commit 275afa4d709cecb5874646fa2fb10292c8699398
Author: Jaroslav Kysela <perex@perex.cz>

    simple mixer - fix error recovery path for volume / switch write

commit f87356d8f0e4b173a850d00fafd7ae2cf5ea3a35
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.13 for changeset cf4a3d6a053ade90e197d774bb4860b564058942

commit 99894d73ba19cc047890a616ab3f341974365226
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.13
    Patch-level: Merged

commit 476ce88773e2544e654cb4e955531b9716386901
Author: Jaroslav Kysela <perex@perex.cz>

    configure.in - fix "checking for versioned symbols" error in ./configure
    See: bug#2274

commit 10c396516ab4a938c27268a4486884e1e5c439ac
Author: Jaroslav Kysela <perex@perex.cz>

    timer_hw: fix file descriptor leak
    See: bug#2465

commit 35b1df509ff23375766fe606a6e5589ec4f4787e
Author: Jaroslav Kysela <perex@perex.cz>

    configuration: added one more alias check to detect a circular configuration

commit 1dc96732c2431806dc29aad4961e07ca92f53e86
Author: Jaroslav Kysela <perex@perex.cz>

    configuration: avoid endless loop when a key refers to itself
    remove one warning from tlv_read routine in control.c

commit 436b003173430a45a5fe66376fa27ab92728507b
Author: Clemens Ladisch <clemens@ladisch.de>

    rate plugin: fix boundary calculations

commit 43b2802216ba27037b72360baf28840f94ebe0e3
Author: Mike Frysinger <vapier@gentoo.org>

    remove unneeded headers from alsa-lib/src/alisp/alisp.c

commit 0a8bd08c62d5846f403360c7ff274c4e7d4d7c15
Author: Mike Frysinger <vapier@gentoo.org>

    remove unneeded headers from src/names.c

commit 65f397845a684f4913abf90016c3ffc19de659de
Author: Takashi Iwai <tiwai@suse.de>

    make sure commands in cvs/hg compile scripts worked

commit 687207820536ca29d032c24f7345336ff2d24ae3
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.13rc3 for changeset 3de06f3eea80471e365ea706052a747e50edb587

commit 3a8cb22aa1643fad3fec9b29a55a7ef1d1510756
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.13rc3
    Patch-level: Merged

commit f0fbd4c03efb7b9d4e5273428c7f6aa1102d2d83
Author: Takashi Iwai <tiwai@suse.de>

    add support for hosts that have custom symbol prefixes

commit 0211bc3b6875af9c076517070f0466d257adce51
Author: Clemens Ladisch <clemens@ladisch.de>

    fix parsing of non-decimal integers in configuration files

commit a7bc1dd80c33400081bd113b8b8e1e989612ebe0
Author: Takashi Iwai <tiwai@suse.de>

    Check control API protocol version for TLV control

commit f70de1b1cce08d231dead9daac8829cf9534da0f
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.13rc2 for changeset 258849dfcb4c27a019f74820ebe7829bcdf82724

commit 99905c2ffc51ce6addfc8a23b32562ab368c6d15
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.13rc2
    Patch-level: Merged

commit 9d2518bb91457fa22bdab7d8000bf3341bed4d12
Author: Takashi Iwai <tiwai@suse.de>

    Fix wrong scales in linear volume calculation

commit 70825bb7e60029d7e55c88871cd4864e55ca2af4
Author: Takashi Iwai <tiwai@suse.de>

    Fix a typo

commit 612216db0d09528e5526f83296513d7a8e01f488
Author: Takashi Iwai <tiwai@suse.de>

    Add --disable-alisp configure option

commit fba26cd6683785a78d163dfe4a1500e9c10f1950
Author: Takashi Iwai <tiwai@suse.de>

    Add support of dB range compound TLV

commit 72834bfd95ab845e8857a5cf3273790e584823a9
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.13rc1 for changeset d3bd2ac29044cd4cafce1b714c249866ed051e2a

commit 6f1f0585e07114bfd27e61ba92a53b43bde3d5df
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.13rc1
    Patch-level: Merged

commit b0bbcd0697b55056cff9ad49982d4e1e0dcd5eef
Author: Takashi Iwai <tiwai@suse.de>

    Add handling of linear volume in simple mixer

commit 4962ec5a5c4175086ec9cf898d1dbda7c14cf6bc
Author: Takashi Iwai <tiwai@suse.de>

    Add set_dB ops to simple mixer

commit 448cbb6141a634320cb1c84787460a9c7b11673d
Author: Takashi Iwai <tiwai@suse.de>

    Add dB_range ops for simple mixer

commit 5c71dd3ee7f825ab3afa2336d0a263b68c3da4ff
Author: Takashi Iwai <tiwai@suse.de>

    Add dB range information to PCM softvol plugin

commit d5caee8d369a4293cea958656146f18c705d4c85
Author: Takashi Iwai <tiwai@suse.de>

    Fix bogus value when no user TLV is defined

commit 042df4e80a2e7999cad9973fd030885daa2d7738
Author: Jaroslav Kysela <perex@perex.cz>

    release v1.0.12 #2

commit 66f3749cabe91ce58b865adc56f22a56328517a2
Author: Takashi Iwai <tiwai@suse.de>

    Fix segfault when invalid TLV is passed

commit 4165a5bfd1e52da1d4057dcb8d718a4fe8d40066
Author: Takashi Iwai <tiwai@suse.de>

    Fix dB ops for global volume

commit 7bed21e5a1de5ed793792e900b31d6b9407ee35e
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.12 for changeset cc4d79200add09a38f7b74e6748a558cb1532a7e

commit 94572ff3a8508603531f79f337fb013d8f31783f
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.12
    Patch-level: Merged

commit da076c868c5da1e26924990266922207d9926233
Author: Tobin Davis <tobinx.b.davis@intel.com>

    Fix build issue on earler x86_64 based distributions

commit 15d9a28b5b5dd6f08d5eb79d35b3602089cead2e
Author: James Courtier-Dutton <James@superbug.demon.co.uk>

    Fix default paths.

commit b826a3dae4b384e633fa1c607f770afa8fe026f6
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.12rc2 for changeset 41bc403d142e64ebe6fbbf783c8b8fb936b5fafe

commit 8d708c7d617373ebde94c960bea88ca01e9b4ede
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.12rc2
    Patch-level: Merged

commit ae7612999987185cf429d91c0ee0a9e3a25d7f72
Author: Takashi Iwai <tiwai@suse.de>

    Move dB parser to mixer abstraction

commit 8f7152b63325bd971c47f4d026ae9ca142b858c5
Author: James Courtier-Dutton <James@superbug.demon.co.uk>

    Fix default install libpath and datapath.

commit c4a5efeba31b3efbb97b3f66a4faa2dbab84aecb
Author: Jaroslav Kysela <perex@perex.cz>

    mixer - cleanups for dB scale parsing

commit a98fd022fa3c97032d9ae2a7b873ca4618db4302
Author: Takashi Iwai <tiwai@suse.de>

    Remove dependencies with kernel headers from instrument layer codes

commit 982786e9ebff2622defcc8bd891de3d466040ac1
Author: Takashi Iwai <tiwai@suse.de>

    Fix bogus pause flag on dmix

commit 5e3fc878889f47295e079a84c2c5a3fbc57b91be
Author: James Courtier-Dutton <James@superbug.demon.co.uk>

    Implement support for dB gain display in alsamixer.

commit 91273c228f0f992b63ecc888e4fc1fcff9e9e8e9
Author: Jaroslav Kysela <perex@perex.cz>

    Fix examples for PCM API. Fix dogygen warnings.

commit c7a0708a236210523e241fa436e2cb8b33395746
Author: Jaroslav Kysela <perex@perex.cz>

    Control API - add TLV support

commit 408697bfe21789f71e8abaa5e7fb0edd448a59ab
Author: Takashi Iwai <tiwai@suse.de>

    Add config for new snd-aoa driver

commit 67ff9b7bf07e7db8b8e27a5bfe5771fa5f50cc66
Author: Takashi Iwai <tiwai@suse.de>

    Fixed driver alias of Aureon 7.1 Universe

commit f725af99876a28acf83ac158e34cbe8a6a32a9fa
Author: Takashi Iwai <tiwai@suse.de>

    Fix segfault with bindings parameters of dmix/dshare

commit bbbb06bc8fcc3ded21a01c074a83438928d20ed3
Author: Takashi Iwai <tiwai@suse.de>

    Turn on iec958 capture of iec1724 boards with spdif PCM

commit f042aab013a869e8a9c61ac312190f1157260d3f
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.12rc1 for changeset e91448ebc6bd17085fd8fd3a6d977be4df65a76f

commit 04b9161edef4930c561bf7443072318388783ece
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.12rc1
    Patch-level: Merged

commit da17b50892f6d9f2d3e1ee515072671968dab3da
Author: Takashi Iwai <tiwai@suse.de>

    Add default dmix rate and format definitions in alsa.conf

commit 9984a0a4b4386dc21088cd41c632f048004ae996
Author: Takashi Iwai <tiwai@suse.de>

    Fix division-by-zero in snd_pcm_dump_hw_setup()

commit b3c3e355d93446ea312296eb6a83591518fe5c24
Author: Takashi Iwai <tiwai@suse.de>

    Initialize all fields of slave PCM instance of direct plugins

commit 2a7f35347b3ef8e67154fc03a9df488f01d790f5
Author: Pierre Ossman <ossman@cendio.se>

    Make snd_hctl_wait() respect the API

commit 3fd93699904eaec36b2708c359cc1b7633594f9b
Author: Pierre Ossman <ossman@cendio.se>

    Allow ioplugins to override snd_pcm_delay()

commit 1d80c5b901baf7e1b7998dfa518532fbd64e4283
Author: Juan Carlos Castro y Castro <jcastro@vialink.com.br>

    Addition of "infile" parameter (virtual mic) to the file plugin

commit daed23393650bbbdc107aee2850f4b97c0f33a9f
Author: Takashi Iwai <tiwai@suse.de>

    Fix surround40 config for ens1370

commit 8a347e426709bfbf0c7c00f886ecdb4b5362d889
Author: Takashi Iwai <tiwai@suse.de>

    Add hgcompile script and fix INSTALL document

commit ffebf01d61817b26406a7aabbca63bec5e23d2c5
Author: Takashi Iwai <tiwai@suse.de>

    Correction for fixing alsa-lib static build

commit 308f52e65aa4df84bbb8fe51a00932f55be95b08
Author: Takashi Iwai <tiwai@suse.de>

    Fix a typo in pcm_file.c

commit 06e3df0549edb08c17f38d50a4b6bb0b888e0abb
Author: Takashi Iwai <tiwai@suse.de>

    Remove enum from kernel API

commit f9e0c56c46de1d5be93a732a3ca9a3251cb6a225
Author: Takashi Iwai <tiwai@suse.de>

    Fix hwptr update in rate plugin

commit ae363f57be56e7546feed9f77eeffc549e26e434
Author: Takashi Iwai <tiwai@suse.de>

    Fix the description of return value of snd_config_search_definition()

commit 123e2b77803a78a90c36430287ce62065373da4a
Author: Clemens Ladisch <clemens@ladisch.de>

    clarify SND_SEQ_PORT_TYPE_xxx documentation

commit c3ac7bdf876c4ab438ba16f88627f17dbb122114
Author: Clemens Ladisch <clemens@ladisch.de>

    add more sequencer port type information bits

commit c445fddab65e508cd5fcc2d7ac8917601b6bc738
Author: Takashi Iwai <tiwai@suse.de>

    Fix device number of ICH4 iec958 controls

commit eafb7ae5d8fa5ee52757ee0ee9137442d2c39326
Author: Takashi Iwai <tiwai@suse.de>

    Use O_APPEND mode with dmix & co plugins

commit 194ff97ea68d66dac8e38671cbf73d52b42f3363
Author: Takashi Iwai <tiwai@suse.de>

    Fix delayed start with rate plugin

commit 6ff727bb7f44b0d7b5bb21013efea710075de93c
Author: Takashi Iwai <tiwai@suse.de>

    Add check of binding ranges in direct plugins

commit 4632e0f637f9142a6035454fa42a9301ea741f2e
Author: Takashi Iwai <tiwai@suse.de>

    Fix segfault with dshare plugin

commit fc7bd60f0d0baff232f24e7e87e5880c77e6e929
Author: Takashi Iwai <tiwai@suse.de>

    Add missing snd_dlclose() in pcm_meter.c

commit 9123203f8d2fd3cbed64a59bdf7bd3fc4576b55c
Author: Takashi Iwai <tiwai@suse.de>

    Fix the error path of snd_pcm_hook_add_conf()

commit 9c69158f31c1a35edd6580dc4c6bcd657fd17981
Author: Takashi Iwai <tiwai@suse.de>

    Fix missing snd_dlclose() in sequencer

commit b9c53dd96288c7f9defd7f812f7a0f06bf58e20e
Author: Takashi Iwai <tiwai@suse.de>

    Fix missing snd_dlclose() in timer handlers

commit 34e99ad251502bcadbbba53ba69dc3f2f0516e69
Author: Takashi Iwai <tiwai@suse.de>

    Add missing snd_dlclose() in snd_hwdep_close()

commit 2875f1169fbb1350f87e1bba794b5e45b4a79322
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.11 for changeset ae6753322b638dc95de4ab900d21e8eff14f5952

commit 86bd73fa3ecebeb86e5c05b275bfed72456c4ef4
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.11
    Patch-level: Merged

commit 701557db269911da918aa1ecdc8a1a8dcf6fa260
Author: Takashi Iwai <tiwai@suse.de>

    Fix compile error

commit 8d382ccd5020662826210f7d8117498481b0b447
Author: Takashi Iwai <tiwai@suse.de>

    Don't install alsalisp

commit 0b9612772c7da7d4801f3f64605744acc1808af7
Author: Takashi Iwai <tiwai@suse.de>

    Revert the last fix: finer sync of dmix in delay callback

commit b23872d61883a05331744d24421d01efd78e93fd
Author: Takashi Iwai <tiwai@suse.de>

    Fix .hgignore

commit 6cbb8fb6421720a82b5b3f3629d89fde635e4603
Author: Takashi Iwai <tiwai@suse.de>

    Add missing .hgignore

commit f5c5efe5c495f08b19a5e9bcf8745a0f4dc7d501
Author: Jaroslav Kysela <perex@perex.cz>

    Added tag v1.0.11rc5 for changeset 418d682c6be376a00f53b17e2b57f5046a432d32

commit 195aed37eec48276f24198d65bdb2bb82fd95d3f
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.11rc5
    Patch-level: Merged

commit 69dda2f660fb60254ebad17fe83eed2f1913995d
Author: Takashi Iwai <tiwai@suse.de>

    Fix compilation with assert()

commit c31cd9a1fe98fece3c853b4ceee2d67ea9f8b41a
Author: Jaroslav Kysela <perex@perex.cz>

    Added tags since ALSA version 1.0.3

commit c02e18454d5bbf6ef1d1ba714f196357a7556507
Merge: 04a5f52 5c51b65
Author: Jaroslav Kysela <perex@perex.cz>

    Merged

commit 5c51b6570e6d97bb3ff862370f7439b403cb180c
Author: Jaroslav Kysela <perex@perex.cz>

    Changed permissions for scripts and added .hgignore file

commit 04a5f529db4d6023300c5578052d263815ad48ed
Author: Takashi Iwai <tiwai@suse.de>

    Add PCM definitions dpl and dpl2

commit 8b79a9253767de10ea93ffc35c349ff0608f0173
Author: Takashi Iwai <tiwai@suse.de>

    Allow negative coefficients in route plugin

commit 4c06a75a2fdcb584754d8ce11643bce5519af53f
Author: Takashi Iwai <tiwai@suse.de>

    Finer sync of dmix in delay callback

commit a2ee8e20e8f86021151f67aa80178799626bda24
Author: Takashi Iwai <tiwai@suse.de>

    Fix 32/64bit problem with multi plugin

commit 1128efc7d4edf488735b7769211d99e5d4fa1ad3
Author: Takashi Iwai <tiwai@suse.de>

    Fix buffer size handling of direct plugins

commit 33d69ef33be28a4d205a852462c25c67d2f51707
Author: Takashi Iwai <tiwai@suse.de>

    Create rate converter plugin SDK

commit 8f605df24aa972d606ab5fbd895c76b525f262bb
Author: Takashi Iwai <tiwai@suse.de>

    Add src/pcm/pcm_symbols_list.c to .hgignore

commit 37bcaed754d85cb13befd4a222182198c402b467
Author: Takashi Iwai <tiwai@suse.de>

    Add .hgignore

commit 4e5c94a18d7b11a15b70d40a075bca51f2a72770
Author: Takashi Iwai <tiwai@suse.de>

    Fix permission of cvscompile

commit ff176aa01ac25d5a48d92fb31b8ffae4eca53f64
Author: Takashi Iwai <tiwai@suse.de>

    Make plugin functions static

commit d9dc944a75a0aa7b744c18a64d14d34c2bbfd9da
Author: Takashi Iwai <tiwai@suse.de>

    Fix errors in partial reads/writes with rate plugin

commit 18a6132a6650c11e9aa9782ea363bd8b322f45a1
Author: Takashi Iwai <tiwai@suse.de>

    Fix PCM without control/status mmap

commit 504a2e34a41425f73782065fd35946ed52b2cc0c
Author: Takashi Iwai <tiwai@suse.de>

    Fix compile warnings

commit 09c5db44a4665eac7dd658291bb2fd5d85e469d7
Author: Takashi Iwai <tiwai@suse.de>

    Fix noisy output of dmix with two periods

commit 1a9c520529b9f56f46b38671838b2a870f083c13
Author: Takashi Iwai <tiwai@suse.de>

    Fix PCM auto-start conditions

commit 912f0d5ddf29d0cbafb38e31c5c57f2389d23bb8
Author: Takashi Iwai <tiwai@suse.de>

    Fix snd_pcm_write*() return values at start up

commit 944a4ad3105489dcba08f98e4a93a83d44a3a992
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.11rc4
    Patch-level: Merged

commit dc438157c5b64266517f4a4ea2ed4e44343647b1
Author: Takashi Iwai <tiwai@suse.de>

    Fix the description of snd_mixer_handle_events()

commit 3b692f9d6b3aa5683bee1fed0bf15a292671ee40
Author: Takashi Iwai <tiwai@suse.de>

    Change autoconf requirement to 2.59

commit 5ba4634ab5543e86131c5a9f32087d9f5538465a
Author: Juergen Kreileder <jk@blackdown.de>

    Add support for S32_3LE and byte-swapped S16/S32 to softvol

commit 91066a98b9cbb0e0adc3fdc6717fbc657bbd6c23
Author: Takashi Iwai <tiwai@suse.de>

    Fix timer read from 32bit user-space on 64bit kernel

commit 24a3cfc23677bf806a5212fd812dcf880695ffd1
Author: Takashi Iwai <tiwai@suse.de>

    Fix extplug->channels initialization

commit 7e6c920836cf193697b41e4e1bff1c5b8a330535
Author: Takashi Iwai <tiwai@suse.de>

    dmix - Allow more flexible buffer sizes

commit 8ef339762a0b76e0b2ce2b7bab534fe4c51a3e41
Author: Juergen Kreileder <jk@blackdown.de>

    Fixes S16 byte swapping with generic dmix code

commit 5c0674aee33d8672ced5f990f505bc543cddc8c5
Author: Takashi Iwai <tiwai@suse.de>

    Add init callback to extplug

commit 38a3aa096c173ccd2020794c0ba6e68d32f0b337
Author: Takashi Iwai <tiwai@suse.de>

    Fix restoration of PCM open mode

commit eecfed7569438d28d480a968e7b338a437d2d784
Author: Takashi Iwai <tiwai@suse.de>

    Add channels parameter to surround40/51 definitions

commit 90112fff1e27ca98f613579bada7bd96e9fb94a9
Author: Takashi Iwai <tiwai@suse.de>

    Add restriction parameters to pcm hw layer

commit 8e6ac040a6de5e1fe9b2873bf198cd16eac8958e
Author: Takashi Iwai <tiwai@suse.de>

    Fix double free in rate plugin

commit 63207b3ad65f7fb6adba14aa7683a9b8fcaf8675
Author: Jaroslav Kysela <perex@perex.cz>

    alsa-lib - added ENOTTY and ENODEV to pcm_errors section

commit 36eb137f6926f0f16d26f9abd11c69c0c69c0777
Author: Jaroslav Kysela <perex@perex.cz>

    alsa-lib - added pcm_errors section

commit f032a8cf3fa27ac2b3228488db78d4bc748081ad
Author: Takashi Iwai <tiwai@suse.de>

    Suppress warning messages from old timer

commit e58f4d966f61122daf19fbda36a1f7046ccdc068
Author: Clemens Ladisch <clemens@ladisch.de>

    rate plugin: wait for data to be drained

commit aaaf84387162390a7e8a8b1aca3f2408f9392bd0
Author: Clemens Ladisch <clemens@ladisch.de>

    rate plugin: fix fragment size calculation

commit 931e840a9fd462b897856a8ea4eea41d5e869e84
Author: Clemens Ladisch <clemens@ladisch.de>

    rate plugin: optimize calculation of the continuous buffer part

commit 46c67fe07060f12af3a9adbc346a9467b4b16a4f
Author: Takashi Iwai <tiwai@suse.de>

    Portability fix for alsa-lib on mips
    From: Henryk Plötz <henryk@ploetzli.ch>

commit 8f61812f1c203c38f7321b3b5d09761b45bc5b81
Author: Clemens Ladisch <clemens@ladisch.de>

    return ENODEV for disconnected devices

commit d730ff3556bc5a3717ef4d6aad2388322ded8fc9
Author: Takashi Iwai <tiwai@suse.de>

    Fix segfault with PCM rate plugin

commit 09f598e57cc484211ab09063d47b0e05926e99a2
Author: Clemens Ladisch <clemens@ladisch.de>

    allow changing of device directory path

commit 3f00bc728ba1853cc1b010e59d6230f533c44f1c
Author: Clemens Ladisch <clemens@ladisch.de>

    fix a typo

commit 4433248bf3d6a89ca2136f41198ca2c9aa566953
Author: Clemens Ladisch <clemens@ladisch.de>

    remove superfluous free() checks

commit 45850439b3b28ff7ed0d1455f62f5a85572caefa
Author: Clemens Ladisch <clemens@ladisch.de>

    Do not abort in snd_xxx_close() functions

commit f9c7321670f2757b02b0f17a0460ce0b39541127
Author: Takashi Iwai <tiwai@suse.de>

    Fix infinite loop in snd_pcm_wait()

commit 43a04650f1ed5f631be7480a33f8affc66b65e6d
Author: Takashi Iwai <tiwai@suse.de>

    Remove bogus ATTRIBUTE_UNUSED

commit 2e0c2b0ac1743beb249dd46d88b8cc7654e28816
Author: Takashi Iwai <tiwai@suse.de>

    Fix compile warnings

commit 609d4a7de6a9122bb944f95522e1bae45df8a7fc
Author: Takashi Iwai <tiwai@suse.de>

    Avoid unnecesasry call of resmgr

commit 37aa30ddc374b0078860c7f67b3a309aff3bb435
Author: Takashi Iwai <tiwai@suse.de>

    Add description about non-blocking behavior

commit b4f9e5f8e7129937877033927ec6c97dd7f82407
Author: Takashi Iwai <tiwai@suse.de>

    Fix plug conversion of non-linear formats

commit c002c69d52c73deb32d4ee95e324c51c1a650785
Author: Takashi Iwai <tiwai@suse.de>

    Fix fullduplex with dmix/dsnoop

commit 67868a886f38174b66b55317309da4cbfb444dcd
Author: Takashi Iwai <tiwai@suse.de>

    Fix check of nonblock option

commit 0757f70b1bf6e6d9d032184a186df335f551433a
Author: Takashi Iwai <tiwai@suse.de>

    Fix memory leaks

commit 9e86ea6902b52b15c652754d52673f7ae5434b56
Author: Jaroslav Kysela <perex@perex.cz>

    alsa-lib virtual rawmidi device: fixed typo (NONBLOCK mode)

commit 59b598fac0e5c608ff5f833bce4d35b241fd8084
Author: Jaroslav Kysela <perex@perex.cz>

    Fixed snd_pcm_set_params() error code

commit 937f39666317bcb2283ebeb2fd96b0bedd70d1b2
Author: Jaroslav Kysela <perex@perex.cz>

    snd_pcm_set_params() - added workaround for vortex driver

commit eccc92a34d4809cd5926fa054ff7d231ae890c5e
Author: Takashi Iwai <tiwai@suse.de>

    Fix infinite parse of recursive definitions

commit bf174b704636cc4a3e1d8d6a8e9261957d1386f0
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.11rc3
    Patch-level: Merged

commit b23f367ee38cda77e933fce7d836a6990bd08b73
Author: Takashi Iwai <tiwai@suse.de>

    Remove bad assert
    From: Pierre Ossman <drzeus-list@drzeus.cx>

commit d9cfe1e9ff7a78ff75f1def27230a23061009729
Author: Nathan Kurz <nate@verse.com>

    pcm_ladspa - setup control outputs all times

commit 9a8a3374a1448b603cc0b21a47d42e92c6e40c18
Author: Clemens Ladisch <clemens@ladisch.de>

    LADSPA plugin: fix compilation

commit 48d731debf5d42bf99f153be78188a781775e18b
Author: Jaroslav Kysela <perex@perex.cz>

    pcm laspa plugin - Added credits to MediaNet AG

commit 7eff6035766756abba8816cda7b111b7babec6f0
Author: Takashi Iwai <tiwai@suse.de>

    Support multi-card/device for direct plugins

commit a0dcf5f8d1a310d8e80d8c807f625aa4f7d9dc6c
Author: Clemens Ladisch <clemens@ladisch.de>

    remove duplicate parameter

commit add3a4a1e20f840215afa3c699890cc6bc054c30
Author: Takashi Iwai <tiwai@suse.de>

    Skip resmgr when EAGAIN or EBUSY

commit 559deb4d95256ab2f53a043bdaf93d611ae0af00
Author: Takashi Iwai <tiwai@suse.de>

    Fix configuration for Aureon and Prodigy71 boards

commit 1a9695af4d902efeb3d965254ad50a52bd273a43
Author: Takashi Iwai <tiwai@suse.de>

    Add missing alias entries

commit 3d0e3e251708ceff8c02e4b5f77b404155cd7c5b
Author: Takashi Iwai <tiwai@suse.de>

    Add "nonblock" option for hw layer

commit 0e15e6a97a231db167e6b735556061230c3e5f3d
Author: Takashi Iwai <tiwai@suse.de>

    Fix compile warnings

commit e55ebd68599646fbcd342e273f3d68a8fbd9a501
Author: Jaroslav Kysela <perex@perex.cz>

    pcm_min.c example - corrected comment

commit 6333b48061c51fe10934486118e5ce09e54b115e
Author: Takashi Iwai <tiwai@suse.de>

    Fix S24_BE format conversions

commit 8e9dbcad79aaa25905287757960869d2ad7b9a80
Author: Jaroslav Kysela <perex@perex.cz>

    pcm_min - blocking mode is default - remove extra snd_pcm_nonblock() call

commit 4e1452ac07614e0536a20098700ca35de7f10f05
Author: Jaroslav Kysela <perex@perex.cz>

    Added pcm_min test & example - minimalistic pcm output

commit 23f7e58fa1e36b06cfcaf0ff5d9d392735235fc7
Author: Jaroslav Kysela <perex@perex.cz>

    implementation of pcm simple helper function

commit a5bb9c6b530d4d265efdf257d7391c1b587586b7
Author: Jaroslav Kysela <perex@perex.cz>

    snd_user_file - keep doxygen happy

commit 5bdd7f6b9bc0ea0ab5fcbe6b4330f213f78aa454
Author: Takashi Iwai <tiwai@suse.de>

    Make dmix/dsnoop as default for ICE1712

commit b08e01ca9e673ef28f9455634291f51149ae0b9c
Author: Jaroslav Kysela <perex@perex.cz>

    pcm - fix the buffer allocation for NONINTERLEAVED mmap access

commit 2f65643c1c7460779b7e88a84b31209c2a302db0
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.11rc2
    Patch-level: Merged

commit eb7d61d08c037afa19600385732b054913c36c8b
Author: Takashi Iwai <tiwai@suse.de>

    Fix meter plugin

commit 2a438a6eec853d953e86d6c1694f778a16d6f95d
Author: Clemens Ladisch <clemens@ladisch.de>

    dmix: fix interleaved check

commit 45f63a8735df195f7cdf507af1001183a879fbc2
Author: Clemens Ladisch <clemens@ladisch.de>

    dmix: add S24_3LE support

commit 46f81f994be10c78146c8d4a94319d76b177ce63
Author: James Courtier-Dutton <James@superbug.co.uk>

    snd-ca0106: update mixer controls names from SPDIF to IEC958

commit 76f7af823b14cae103ae0ffd73c0e881ce246d1a
Author: Takashi Iwai <tiwai@suse.de>

    Fix compile warnings

commit 0ec2247972f7872171c7185a14727132fc752eb0
Author: Takashi Iwai <tiwai@suse.de>

    Fix declaration of snd_pcm_ladspa_open()

commit 46df7083c9ff301ad4699b6450ccbda1ea429e42
Author: Takashi Iwai <tiwai@suse.de>

    Make dmix/dsnoop as default PCM for ICE1724

commit aa21cf4d7c9bbfd35a46383985b1fe41acb8bf49
Author: Jaroslav Kysela <perex@perex.cz>

    ladspa plugin - SIGSEGV fix when label is not specified

commit 1f231e2e1ac9f568265da52bca4ca9d33d9a42cc
Author: Jaroslav Kysela <perex@perex.cz>

    big ALSA LADSPA plugin rewrite for multiple channel LADSPA plugins

commit 01892b78fab8efa9c959f0a9a4af9c3c7de4ed59
Author: James Courtier-Dutton <James@superbug.co.uk>

    snd-ca0106 Fixed SPDIF output.

commit fa91e71b0fe0ac0d808e1f9b501253f402c90264
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.11rc1
    Patch-level: Merged

commit 551c22fcb868adb04a2fbd1881b33b96d3501f3e
Author: Clemens Ladisch <clemens@ladisch.de>

    seq: reorganize sequencer client numbers

commit bdfbbed5ca671461628e30ae439beca480f667f2
Author: Jaroslav Kysela <perex@perex.cz>

    pcm dump() routines update: use spaces to indent texts

commit 1439c2be8675a0135b5c690c0d2feeba800b23a9
Author: Jaroslav Kysela <perex@perex.cz>

    pcm_ladspa plugin - more verbose output
    Added more verbose output for dump() callback inspired with bug#1554 .

commit 853989cf09287bbab4d5ec1383bb7b9073912590
Author: Jaroslav Kysela <perex@perex.cz>

    Fixed compilation when HAVE_WORDEXP_H is not defined

commit 8b908f233d687a405fb3919602bba10069469b75
Author: Jaroslav Kysela <perex@perex.cz>

    direct plugins - fixed ipc_gid initialization when gid specified as number

commit 74fcf774da00d730a9da1c1c1212a48364412b98
Author: Takashi Iwai <tiwai@suse.de>

    Fix a missing line in PMacToonie.conf

commit 33a40df1afbcea022e91fae29144bc057086e11f
Author: Takashi Iwai <tiwai@suse.de>

    Fix the handling of stereo capture source

commit aaeb6659c02d521c5c11bc8daca9e83dc5ce4a71
Author: Takashi Iwai <tiwai@suse.de>

    Add description for new configure options

commit 3ffeaf4cb109c1445878871bb5a9d916bfd275b2
Author: Takashi Iwai <tiwai@suse.de>

    Minor optimization on mmap

commit db1e39a4e847cce30b27a8585364963f8cbbb0c9
Author: Takashi Iwai <tiwai@suse.de>

    Allow partial build with selected components

commit 79c3d0a1efd42414547430dc6801373a3a927e6f
Author: Takashi Iwai <tiwai@suse.de>

    Move snd_is_local() to socket.c

commit d4dd7650f9ff34916929188e2d8f3e0046cb391d
Author: Takashi Iwai <tiwai@suse.de>

    Add a workaround for systems without wordexp

commit d9680921a92fb7841477c24debb328c3e63f15af
Author: Takashi Iwai <tiwai@suse.de>

    Use snd_user_file() in pcm_ladpsa.c

commit 0d708373f1984ce3bbdba865a8b61af99734f314
Author: Takashi Iwai <tiwai@suse.de>

    Check wordexp.h for ulibc

commit 3f5756ca723274ea2377de7f91bcc9288641e5e5
Author: Jaroslav Kysela <perex@perex.cz>

    Remove superfluous wordexp.h inclusion

commit 52372e018714f67754eb1ce771198994ac4543e7
Author: Takashi Iwai <tiwai@suse.de>

    Fix segfault of iec958 plugin with preamble

commit c2f446b0a444ae7db9c614283e099415a71f5f23
Author: Takashi Iwai <tiwai@suse.de>

    Remove code from check_PROGRAMS

commit d4bbf241baa22cbaf57ed1b430c705de8cd48562
Author: Takashi Iwai <tiwai@suse.de>

    Abort from snd_pcm_dshare_drain in XRUN state

commit 84ebfe7c9242288687d8f7c4a6aaa5d9a8a63b9e
Author: Takashi Iwai <tiwai@suse.de>

    Fix compile errors/warnings

commit 8495f42feb7549550e7446912875b646dbf48249
Author: Takashi Iwai <tiwai@suse.de>

    abort snd_pcm_dmix_drain when state is SND_PCM_STATE_XRU
    From: Sascha Sommer <saschasommer@freenet.de>

commit 5057f8bbeac73d437f261713cfc9914836ea87a7
Author: Clemens Ladisch <clemens@ladisch.de>

    fix compilation with gcc 2

commit 19be1429d1500031a63eec2c36c15b0bdae1499d
Author: Clemens Ladisch <clemens@ladisch.de>

    remove SND_SEQ_CLIENT_{DUMMY,OSS} symbols

commit 2bcaa1f133ea496775a98d6cc6c65ff35c5218e8
Author: Takashi Iwai <tiwai@suse.de>

    Fix free of uninitialized pointer

commit 6b85e23fa3d623a37de6bf0439cd68bef7229931
Author: Takashi Iwai <tiwai@suse.de>

    Fix generation of IEC958 subframes
    From: Nicolas Boullis <nboullis@debian.org>

commit 367c3fc6ceb924514b48a1f976b5ce16ab26e22d
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.10
    Patch-level: Merged

commit 5d3fa7b8a140cb64b17662c39fab6e47598d781c
Author: Jaroslav Kysela <perex@perex.cz>

    control - fixed crash when dynamic library is not present
    See bug#1544.

commit 64e9372874ec3c055de2f0cfb64e260a61e8a834
Author: Jaroslav Kysela <perex@perex.cz>

    pcm_ladspa - fix locale issues
    See bug#1553 for more details.

commit 004a5ecd334e356fea5f7ee9d3022e00575b09a5
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.10rc3
    Patch-level: Merged

commit ba21d2580805c033878767baa0ad2d8b475321a8
Author: Jaroslav Kysela <perex@perex.cz>

    direct pcm plugins - fixed dump output name for dshare and dsnoop

commit 69194a1f99341106db8517799825d83d2b9cdd04
Author: Takashi Iwai <tiwai@suse.de>

    Fix channel_info callback of plugins

commit 37dee92d73d033c6d4d807eaf007b53afaf11b12
Author: Clemens Ladisch <clemens@ladisch.de>

    file plugin: fix various bugs

commit b5f50b06d207637ac4294ea69e8310f8bd41bc27
Author: Clemens Ladisch <clemens@ladisch.de>

    fix doxygen warnings

commit 31e0ea4eedbb40a0f7409a7ca7e29a0581ffedc4
Author: Takashi Iwai <tiwai@suse.de>

    Fix mmap and channel_info of hook plugin

commit 4a3e65ff56828ece351b29d70a61d0531c376cf6
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.10rc2
    Patch-level: Merged

commit 2f71b8753bb441cae531e0f6177c1ef658b69009
Author: Takashi Iwai <tiwai@suse.de>

    Fix type-punning

commit 477325ddfb8b52dbc2e8b7af61e55acef8a68b58
Author: Lee Revell <rlrevell@joe-job.com>

    use dmix/dsnoop for default PCM on ca0106

commit 74b5c3139b5c6c04cd1b44ab72607662e6d4bd3c
Author: Sasha Khapyorsky <sashak@smlink.com>

    New @func - pcm_args_by_class

commit 31595805b20a30d628a27d46ed305272695476f4
Author: Jaroslav Kysela <perex@perex.cz>

    fixed typo in comment

commit 4284d7921270ec677ffe224ba026af4ece9c5dd3
Author: Jaroslav Kysela <perex@perex.cz>

    PCM add missing pcm types - DSNOOP, IEC958, IOPLUG, EXTPLUG

commit e38cf3062943d51bfa7121b88cbd16cde7ce3a2b
Author: Jaroslav Kysela <perex@perex.cz>

    pcm - Add SOFTVOL pcm type

commit 841ca3491738eb1d0559ed3cc118142b86014280
Author: Takashi Iwai <tiwai@suse.de>

    Fix endianess of PMac driver

commit dee6f010b70ad7f599fa8cce66ea5730b2ab9e38
Author: Takashi Iwai <tiwai@suse.de>

    Use S16_LE as default for dmix

commit 5bf3b31cf18f73151c1f90d6ac9c087f18b9c0d2
Author: Takashi Iwai <tiwai@suse.de>

    Fix endianess with dmix plugin

commit 148c2b8e7c12b4ab8a039995fa9904e7e1300cc4
Author: Mikael Magnusson <mikma@users.sourceforge.net>

    emu10k1: Front channels via fxbus 8 and 9

commit 524010755927ea478b8056d9c8eed9f616abe2b5
Author: Takashi Iwai <tiwai@suse.de>

    Removed unused function

commit d45d5a14704dd211c4f9d381d13c43c25d42f708
Author: Takashi Iwai <tiwai@suse.de>

    Don't return error if chown() fails

commit 7ba8d5c307c246d4778e9dd53cceb036802264c9
Author: Takashi Iwai <tiwai@suse.de>

    Add modem pcm definition for hda-intel driver

commit dba82373c65eeda1710789b40f560957a288213e
Author: Sasha Khapyorsky <sashak@smlink.com>

    modem's pcm "two device" config

commit 474eb76b71bad078e21c02bc822901d0e3e599ab
Author: Sasha Khapyorsky <sashak@smlink.com>

    fix segfault then hooks list is empty

commit 19284bd325fb1ea0563598371fc37fe3df057316
Author: Jaroslav Kysela <perex@perex.cz>

    direct plugins - change group according ipc_gid for the socket file
    This patch fixes problem when ipc_perm are 0660 and you want to share dmix
    with more users in the specified group.

commit af6544a274bb444bd587057dd94d333f03db9db8
Author: Jaroslav Kysela <perex@perex.cz>

    dmix and dsnoop configuration - added ipc_perm 0660 (to handle all users with audio group)

commit 4272742a2b570563fc3f21472bc4385d089518b1
Author: Takashi Iwai <tiwai@suse.de>

    Fix compile warnings

commit 0eac0a983a1747cd7900df2120bf098d3b05a5bc
Author: Takashi Iwai <tiwai@suse.de>

    Fix configuration for ICE1724

commit ffdb04c3eac74f818b4a19c63b081e46ed3c0518
Author: Takashi Iwai <tiwai@suse.de>

    Fix buffer allocation and mmap with plugins

commit e62ecc876adc7d8a9848d8f3bc23afed343e4063
Author: Takashi Iwai <tiwai@suse.de>

    Workaround for crash with knotify

commit 6f938b1cc38698e3ac09fecb14b4715605f2698f
Author: Takashi Iwai <tiwai@suse.de>

    Fix call of semctl IPC_RMID

commit 745062ee01ef89fa9b61dbf18df91bcb5c53b7f4
Author: Jaroslav Kysela <perex@perex.cz>

    PCM API - handle EINTR from poll() in snd_pcm_wait() function

commit 62b9d00ad684049c62cf8e577ea85498880268a4
Author: Jaroslav Kysela <perex@perex.cz>

    test/pcm.c - remove -EINTR handling (a job for alsa-lib)

commit 5af75610f2c7b86dbd4fe856172341ad8140c94b
Author: Jaroslav Kysela <perex@perex.cz>

    mixer API - extend simple enumerated controls for direction tests
    Added snd_mixer_selem_is_enum_playback() and
    snd_mixer_selem_is_enum_capture() functions.

commit d9be3e3556e7eb8d732ab937492ddbd755df82c4
Author: Jaroslav Kysela <perex@perex.cz>

    pcm.c test / example - Added EINTR handling

commit 787b0469e9c90c4076f0e0fb605bc1ac5251804e
Author: Takashi Iwai <tiwai@suse.de>

    Allow separate build and source trees
    From: Bernard Leak <bernard@brenda-arkle.demon.co.uk>

commit a33c78ddd8c16fde85b1b3f7b3b3661238125e96
Author: Jaroslav Kysela <perex@perex.cz>

    moved simple mixer abstraction modules to modules/mixer/simple directory
    Compile dynamic modules outside the alsa-lib tree to allow linking them
    against libasound.so - proper versions of dynamic symbols.

commit 19ac270f1eee5f23e710b8da3d18f08c231b350e
Author: Takashi Iwai <tiwai@suse.de>

    Add missing header files

commit 1ffda4d664444f367fdfe4042e64a7919b41a544
Author: Jaroslav Kysela <perex@perex.cz>

    release 1.0.10rc1
    Patch-level: Merged

commit 1fdd1a6c190e722d127c3d67b5d37faf9b45560b
Author: Takashi Iwai <tiwai@suse.de>

    Fix invalid read in setlocale()

commit e120114bde308ff361b55599be1432af9fefdc01
Author: Takashi Iwai <tiwai@suse.de>

    Clean up string parser

commit f1acd7726ca314c20566a0a436786dc5f3f94f3c
Author: Jaroslav Kysela <perex@perex.cz>

    PCM direct plugins - handle EINTR in the resource server

commit ea77e08cc6d2e3126f0159ee102b98313bef264e
Author: Takashi Iwai <tiwai@suse.de>

    Misc fixes

commit 4bb0721a83350a52f9094a6b6abfe6fce94e4717
Author: Jaroslav Kysela <perex@perex.cz>

    direct plugins - added graceful shutdown for the resource server

commit 8737d1843c192cd9c227466f8e10f4d64736adf0
Author: Clemens Ladisch <clemens@ladisch.de>

    simple mixer: fix compilation with gcc 2.x

commit bac9a7de83f0136e2a06cc5686857898c8df7a85
Author: Jaroslav Kysela <perex@perex.cz>

    direct plugins (dmix) - suspend/resume fixes

commit 7450dbcf36f486b6b96318df677025fe251f453d
Author: Jaroslav Kysela <perex@perex.cz>

    timer_hw - Changed TIMER_VERSION_MAX to 2.0.5

commit 1400f04ee349fac8c81d6cde79ac41a2892607d7
Author: Jaroslav Kysela <perex@perex.cz>

    sync with alsa-kernel - timer SUSPEND / RESUME events

commit e80f80866fe269e35d505ee164361aa40ae653ad
Author: Takashi Iwai <tiwai@suse.de>

    Fix direct plugins running on 32bit emulation with 64bit arch

commit 99005614ba9b51ba9a03015b311d802eb467ae3b
Author: Takashi Iwai <tiwai@suse.de>

    Add -avoid-version for smixer plugins

commit 036525d2ae3b99d10e2fe5a22b5fda8d72cda70b
Author: Takashi Iwai <tiwai@suse.de>

    Add function declaration

commit f8cf6be94ce107d0b2d517cf4dd27a78305cd592
Author: Takashi Iwai <tiwai@suse.de>

    Fix surroundX PCM
    From: Julian Scheel <julian@jusst.de>

commit a4c7041de54c4b87b21a8d13f4bfc7972efe0207
Author: Clemens Ladisch <clemens@ladisch.de>

    use PCM interface for IEC958 controls

commit a2ad683c05f4695bb032a2d3958e52107ae48da3
Author: Clemens Ladisch <clemens@ladisch.de>

    adjust control references in config files

commit 5203c3bfa1eed838dfca9d53116329a2e1a41e97
Author: Clemens Ladisch <clemens@ladisch.de>

    adjust control references in config files

commit 59a8226184c305edc4a1f8873981f366444ccdbd
Author: Jaroslav Kysela <perex@perex.cz>

    The simple mixer abstraction - more work
    - separated the "base library" from ac97.c (dynamically loaded)
      - added necessary handling of all private structures
      - added selector and sid registration functions and handling code
    - added basic code for hda.c (yeah, my notebook has this hw)

commit c593c1d260c9bfba4619ff98a9aba2d9452da7fa
Author: James Courtier-Dutton <James@superbug.co.uk>

    Fix bug when a sound card had a stereo mute element and would fail to unmute the right channel.

commit 985c6f94d09cfb6a943214a34fa4876255b285c9
Author: Takashi Iwai <tiwai@suse.de>

    Fix compilation on a system with old alsa-lib headers

commit 7a89e3bbca49c1c608d81789cf636e670c798929
Author: Takashi Iwai <tiwai@suse.de>

    Fix compile warnings with gcc-4

commit 0350a615b7883df14aafaf7796ae30880b9df3bb
Author: Takashi Iwai <tiwai@suse.de>

    Fix the return value of snd_card_load()

commit a12f75afb940293eca02f738701a06ee58dc4d45
Author: Clemens Ladisch <clemens@ladisch.de>

    fix typo

commit 1596c8c3556d3391cfd6e918af36bf483c8471c1
Author: Jaroslav Kysela <perex@perex.cz>

    Fixed #include statements

commit aa5a4d1f1a802d85b7d9d2a179a88bea256ca51f
Author: Takashi Iwai <tiwai@suse.de>

    Remove the check of start_threshold in sw_params

commit 274bce69e7ed7128aa1f4f5f2530be8765b87265
Author: Clemens Ladisch <clemens@ladisch.de>

    fix file name for Doxygen

commit 57b9f889224bec5b7334f8244ed47dce2e5d1b05
Author: Clemens Ladisch <clemens@ladisch.de>

    fix compilation with C++

commit 6c7f60f7a982fdba828e4530a9d7aa0aa2b704ae
Author: Takashi Iwai <tiwai@suse.de>

    Fix boundary overlap

commit ce67d5389bbcef1dbe4b6c1643be23ee767c30bd
Author: Jaroslav Kysela <perex@perex.cz>

    more simple mixer - basic abstraction - work
    - midlayer cleanups and simplification
    - probably broke the "none" abstraction code somehow (not intensively tested
      midlayer changes)
    - trying to implement ac97 module
      - far from finished
      - common code should be moved to alsa-lib as core for other modules
      - perhaps simple_abst.c can be based on this common code, too

commit 3656a6639791ec58ff781e54b0a28b54ea2f6c03
Author: Takashi Iwai <tiwai@suse.de>

    Add detailed documentation for external control plugin SDK

commit 555b870760693a2aa99dd644ad2ddef7f6d00fc0
Author: Jaroslav Kysela <perex@perex.cz>

    pcm_multi: Increased maximum slave channels to 64
    From: Joachim Deguara <dga@idmt.fraunhofer.de>

commit 96e01a6112f3c9ff9aeac7f5ca5eeef4747fbada
Author: Takashi Iwai <tiwai@suse.de>

    Fix _snd_ctl_hw_open() mode argument

commit 8a3d07022cae65efe26a59452db88d9033d45bb0
Author: Takashi Iwai <tiwai@suse.de>

    Add external control plugin SDK

commit 36f715c59a803f5be61440924628589fbf4bd02f
Author: Takashi Iwai <tiwai@suse.de>

    Add external shared object support

commit 3c144ca0786a90d7829b5dc17adf409150f142b1
Author: Takashi Iwai <tiwai@suse.de>

    Fix compile warning

commit 4c4849230c739ab5f412160f0a7b9c98a204b8aa
Author: Jaroslav Kysela <perex@perex.cz>

    initial & empty smixer-ac97.so module (only the build framework)

commit c9d343a0ccc55e6298c1f60cb5355337f3403daa
Author: Jaroslav Kysela <perex@perex.cz>

    Change .so module name and installation patch (/usr/lib/alsa-lib/scopes)

commit 3bcf2f805d4a7825c87bc2e0c1b2c783400fe6bc
Author: Jaroslav Kysela <perex@perex.cz>

    Implemented the top-level redirector code for simple mixer

commit 157cb698ac09a38d46c24198ee83fd6d564b174c
Author: Jaroslav Kysela <perex@perex.cz>

    mixer - fix typo and memory leak

commit 23c8d481a2362e291870d2aeedd13ee07be1b472
Author: Jaroslav Kysela <perex@perex.cz>

    Added snd_mixer_selem_compare

commit 597b4d0942f0618a3b5747f4b623474f57d13b82
Author: Jaroslav Kysela <perex@perex.cz>

    big simple mixer update

commit ae07fd40fb87aa424fc3e74926b4849e418597e6
Author: Takashi Iwai <tiwai@suse.de>

    Remove obsolete ordinary_* entries

commit 009911ed1c4eb9cfd7bf0c5ee412fce191d29d7f
Author: Takashi Iwai <tiwai@suse.de>

    Remove obsolete ordinary_* entries from configure.in

commit b69ab56881f747c6ea0203d07a488a12db25b41d
Author: Takashi Iwai <tiwai@suse.de>

    Fix bugs in the last change of ipc_gid option

commit 270da603fd06a4563d53c9d91e6c3185b288a940
Author: Takashi Iwai <tiwai@suse.de>

    Add description for perm option of file plugin

commit bf5d2bfe4756b5a40e2ff084a31376e04a91870b
Author: Takashi Iwai <tiwai@suse.de>

    Remove obsolete *_ordinary.h files

commit 41398ceb9ceeb0b97d243c6ee63831260e570010
Author: Jaroslav Kysela <perex@perex.cz>

    removed ordinary stuff

commit ff9fd33190b460267ad3b0cedaaf470fd94c5e58
Author: Jaroslav Kysela <perex@perex.cz>

    a bit reordered code to fix bug #838

commit 02b6b9f6163ade5064dc3a4be797af1bb0bae15f
Author: Jaroslav Kysela <perex@perex.cz>

    Corrected ipc_gid

commit d5e434c427388761735815f1b9004cb603841b4c
Author: Jaroslav Kysela <perex@perex.cz>

    Added ipc_gid

commit 9bae1c874ff63c3d662fbc05c2e41ae566b345e2
Author: Jaroslav Kysela <perex@perex.cz>

    fix warnings (bug #829)

commit 3d1fa924906996463ac33cba5b5143f762d913cf
Author: Jaroslav Kysela <perex@perex.cz>

    added support for more sample widths
    - patch taken from ALSA bug #1140

commit 3a763ae3c5a5d5ec20e85ef0ca554c290bea43bc
Author: Jaroslav Kysela <perex@perex.cz>

    use ipc_gid for dmix and dsnoop
    - added ipc_gid audio
    - removed ipc_key_add_uid

commit 4b7e3cff8147c8c149d82c0a4dcf16183ec26f93
Author: Jaroslav Kysela <perex@perex.cz>

    added ipc_gid for direct plugins

commit d7ef50f5ee1e5abfbbff77f1ba26fd1ab8aa1575
Author: Jaroslav Kysela <perex@perex.cz>

    name clash (WINE, icc), interface -> iface renamed

commit e7892093140ae1735ef0cb226fb8e43071210130
Author: Jaroslav Kysela <perex@perex.cz>

    name clash (WINE, icc) interface -> iface rename

commit c072e76136c3a6e06c0b4e752cefc3dd4eb415af
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.9

commit 98ecc868ec75d87b512430d4f4abe710c83a9860
Author: Takashi Iwai <tiwai@suse.de>

    Fix compile without debug option

commit aad10fb49b80e12ac3854e73955663bd06fd167d
Author: Takashi Iwai <tiwai@suse.de>

    Fix a typo

commit 087184b0f9607fbdb84e4a7e4a0d67ad875c2f44
Author: Takashi Iwai <tiwai@suse.de>

    Fix doxygen documents

commit 7651690858a8b026f2a4447e804ee8bf1a155ebb
Author: Takashi Iwai <tiwai@suse.de>

    Fix documentation of external PCM plugin SDK

commit 8b76989e1913ecefcf4093e3410932249f221199
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.9rc4

commit 6e1bc680701c3df1a5654f651393f39656649637
Author: Takashi Iwai <tiwai@suse.de>

    Minor clean up

commit dd37bb20eec87b81a1f2418483239044fa9aba46
Author: Takashi Iwai <tiwai@suse.de>

    Move poll_* callbacks to fast_ops

commit dae58c0192682562aa3a5ca96790227902d73399
Author: Takashi Iwai <tiwai@suse.de>

    Add area synchronization in poll_rsync of rate plugin

commit 67420b88820523f687270a88af8031a4c780f74e
Author: Takashi Iwai <tiwai@suse.de>

    Fix poll of dsnoop plugin

commit a3ae02d88411f1f7b3da9ef66065cb94c1bf1189
Author: Takashi Iwai <tiwai@suse.de>

    Fix semaphore deadlocks

commit ddd9c29a0dd1db1860d951931768ce3a333b5993
Author: Takashi Iwai <tiwai@suse.de>

    Fix dshare plugin codes

commit 166175935175f869fa57cbba37be532be4ce70d4
Author: Takashi Iwai <tiwai@suse.de>

    Minor clean up of dmix codes

commit 4c6809bf30c26508292a59ed3563f326c3936c2a
Author: Takashi Iwai <tiwai@suse.de>

    Fix poll after XRUN with dmix

commit b0ee34e757ad1ec8b34b4363c35133db9fff51cb
Author: James Courtier-Dutton <James@superbug.co.uk>

    Implement surround71 output for SB Live 24 bit.
    Note: Requires updated alsa-kernel as well.

commit 4d7c53d2800945f22f218dbe6b7a9ce5bdd12cca
Author: Takashi Iwai <tiwai@suse.de>

    Add snd_pcm_hw_params_get/set_export_buffer()

commit 18053076e22add4cf591424465a55643788e604a
Author: Takashi Iwai <tiwai@suse.de>

    Fix generic channel_info callbacks

commit d81d6940ca8180e23b2d02f74e1b419119f28251
Author: Takashi Iwai <tiwai@suse.de>

    Fix bugs in perm option

commit 4e1723f9a55be339cca46a1c5022fb6559f97fc1
Author: Takashi Iwai <tiwai@suse.de>

    More strict permission for IPC shm and sem

commit 13c736499732d0fdad3da2500fbcfee3eb63f0a3
Author: Takashi Iwai <tiwai@suse.de>

    Revert the shmget permission

commit 5227c7e170b44cbd907263fca45928e79dd494ac
Author: Takashi Iwai <tiwai@suse.de>

    Fix possible noises and optimization with dmix

commit 1cd04dba82ca1a316a214abff1714ce5033417d2
Author: Takashi Iwai <tiwai@suse.de>

    Add perm option

commit d5b98234478680c4afdf475988b8952605f66ff8
Author: Takashi Iwai <tiwai@suse.de>

    Fix snd_pcm_wait() for multiple pollfd's

commit a6d3b9e4e0b4c590b8fe4991ca23e533145a3513
Author: Takashi Iwai <tiwai@suse.de>

    Remove poll_ask callback

commit e61d385993ac3127fee2716e2a2db18acbf153f5
Author: Takashi Iwai <tiwai@suse.de>

    Add protocl version check

commit 97010dbfdbc5f355f7618769d2c1d3caedc257ec
Author: Takashi Iwai <tiwai@suse.de>

    Use snd_pcm_generic_t and its callbacks

commit 842b5734245ac0035a955578434d6c3dd29ccfbc
Author: Takashi Iwai <tiwai@suse.de>

    Add poll_descriptors and poll_descriptors_count callbacks

commit cf4f4bc9c49eba76a0b45729cf2b35c63e9c033a
Author: Takashi Iwai <tiwai@suse.de>

    Fix drain of dmix without data

commit 2ada7a8b81f5dfa72b06023520d25be898957d2f
Author: Takashi Iwai <tiwai@suse.de>

    Fix snd_mixer_sort()

commit 51313cb2dd724b9ec51badc0cf2b6abc3ecef7bc
Author: Takashi Iwai <tiwai@suse.de>

    Remove pause and fix timer initialization in prepare

commit e76bbd74d76ac158819d52cde6cbeb2eb28c92b7
Author: Takashi Iwai <tiwai@suse.de>

    Set up pcm->info properly

commit 3092edabf20087130b667e623444b513e7f72597
Author: Takashi Iwai <tiwai@suse.de>

    Propagate pcm->info

commit 8c09d727430e49a67a97c1645194d64b5d159252
Author: Takashi Iwai <tiwai@suse.de>

    Add $include/alsa to the include path

commit 48bff53b36888e9c44aa9dbc2f6736b6909cf2c7
Author: Takashi Iwai <tiwai@suse.de>

    Check timer version for read-block workaround

commit 0d0e1a55c28981fe52751f078054acde3fe1e8ab
Author: Takashi Iwai <tiwai@suse.de>

    Change some timer ioctls due to confliction

commit 1aaf4a50afe75af2b209dd1ca4fba87347d561e9
Author: Takashi Iwai <tiwai@suse.de>

    Fix blocking during draining in dmix

commit 10557ca6b9420f393969b503e048f3d322d8eabe
Author: Takashi Iwai <tiwai@suse.de>

    Fix playback start with sync_ptr mode

commit 3403d9e6229b111ef36025f59dfb91e4b5ab1f7c
Author: Takashi Iwai <tiwai@suse.de>

    Fix partial commit in drain

commit 3047f8fa5a3dce0c9775404a2285fb2cff462d96
Author: Takashi Iwai <tiwai@suse.de>

    Fix possible problems of playback drain with rate plugin

commit da34d7ec96931b956cd0c106023bd9c4c66adca3
Author: Takashi Iwai <tiwai@suse.de>

    Add configuration for AACI driver

commit 8ec3e4ea6cdc57a63bbc91041a73392c0748400c
Author: Jaroslav Kysela <perex@perex.cz>

    added full async interface to timer API

commit a022bc1fbc6fa287bbdc969cdf969c10c39fe2a1
Author: Jaroslav Kysela <perex@perex.cz>

    API for device name lists and timer enhancements

commit f658e3e14830304dd2921cb35931242a4206d484
Author: Jaroslav Kysela <perex@perex.cz>

    remove broken *_step initialization (caused by previous Fedora 4 patch)
    Thanks to Abramo for notice.

commit 412fb54e0dadf6da0ee899ef81fa8e067659690e
Author: Jaroslav Kysela <perex@perex.cz>

    Fedora 4 patch - gcc4 fixes

commit f2099d57700990d03a7c19bf4d7a231ade566966
Author: Jaroslav Kysela <perex@perex.cz>

    - Fedora 4 patch - fix for alpha arch

commit cf73143ce8ff932dd89536928b55681275de2d8f
Author: Clemens Ladisch <clemens@ladisch.de>

    fix snd_seq_query_next_client documentation

commit 0b4e5e095d09a9721b694104ec33511b9662eaef
Author: Clemens Ladisch <clemens@ladisch.de>

    usb-audio - add Extigy/Audigy 2 NX remote control support

commit b6d9e253119fcd6f09b4bf1fbfa2d561815afe62
Author: Clemens Ladisch <clemens@ladisch.de>

    midiloop - remove running status test

commit 155ae28d1cfe232f4adf643c21a8cfae48b8ea45
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.9rc3

commit 467d69c5bc1533a51e784423c73068fbff844ebc
Author: Takashi Iwai <tiwai@suse.de>

    Fix CPU hog with combination of rate plugin

commit 56b3974439372c2e678bd2e22d84b322849d6f68
Author: Takashi Iwai <tiwai@suse.de>

    Show verbose errors for invalid sw_params

commit 0f0fea74501440553db523a0f31ac156b30b2fa4
Author: Takashi Iwai <tiwai@suse.de>

    Fix ATTRIBUTE_UNUSED

commit 062df69f0071d404078d4e12341d5173acceef8d
Author: Takashi Iwai <tiwai@suse.de>

    Make surround config backward compatible

commit 87ec7df91dd5bf71f406c0947346145211fe45e5
Author: Takashi Iwai <tiwai@suse.de>

    Read $LIBASOUND_DEBUG as integer

commit cac370de25071311d2efcfc32335c9bb9879a23b
Author: Takashi Iwai <tiwai@suse.de>

    Fix segfault

commit 9a0f2817bb56c1bbf72cf8c3c2ec998f1c8f3c35
Author: Takashi Iwai <tiwai@suse.de>

    Fix timer read in non-TREAD mode

commit c5fc9e7cf7b3bea03f1275652e4183262e6b5d62
Author: Takashi Iwai <tiwai@suse.de>

    Add external PCM plugin

commit bdabcb9679c9ae4f6be7db0774c721fdc748b10a
Author: Takashi Iwai <tiwai@suse.de>

    Check timer protocol number for direct plugins

commit ca67f328488bb79983dc2f1d96a7e91c0c3e5954
Author: Takashi Iwai <tiwai@suse.de>

    Increase timer protocol number

commit c9fbe951a9a667283caf9b8b39a4d2069323457f
Author: Takashi Iwai <tiwai@suse.de>

    Suppress verbose debug messages

commit 21e676e3835123ae1d48e400ce5c8d491b35092c
Author: Takashi Iwai <tiwai@suse.de>

    Add PMac Toonie configuration

commit b579a024db43358ed2cad9e1946560750d3db7dc
Author: Takashi Iwai <tiwai@suse.de>

    Add verbose hw_params debugging

commit 0aed1ab2af4910e4901cb7db2838270c1c6d162e
Author: Takashi Iwai <tiwai@suse.de>

    Remove invalid ATTRIBUTE_UNUSED

commit 91f7dd2378b7d8ea36d34ec16d316d764350076e
Author: Takashi Iwai <tiwai@suse.de>

    Move old PCM API to pcm_old.h

commit 54ec88bafbbae08edebdea2f79bfe213d1c6b9ed
Author: Takashi Iwai <tiwai@suse.de>

    Use 'Channel Mode' control

commit f65d9f31083661f16e72fcace5bd111a1e90f290
Author: Jaroslav Kysela <perex@perex.cz>

    Added snd_pcm_hw_params_set_rate_resample function

commit 72ad0e9ae7700c245dff463849952f436f16c853
Author: Takashi Iwai <tiwai@suse.de>

    Fix more CPU hang-up bugs in dmix

commit c915659538cd5f14cd9e2790881aff74164a3da2
Author: Takashi Iwai <tiwai@suse.de>

    Fix compile warning

commit 999609f7e072a64260dc0d0f4db4772b6542829c
Author: Takashi Iwai <tiwai@suse.de>

    Compile warning fixes

commit aa89f27de4557b76f9af13c0ce1c18c74bf272c5
Author: Takashi Iwai <tiwai@suse.de>

    More fixes for 100% CPU hang with dmix

commit e5b91844bf550734d61c8c50e10944e27ac70530
Author: Takashi Iwai <tiwai@suse.de>

    Fix channel_info callbacks of hooks, file and plug plugins

commit 38f4e69b0c13d65ad858576ce08ef4334e469dfb
Author: Takashi Iwai <tiwai@suse.de>

    Remove Azalia.conf

commit ef42a53dda5c4644aa34d847c47138c883e01b6d
Author: James Courtier-Dutton <James@superbug.co.uk>

    Update user land emu10k1.h with changes from kernel emu10k1.h

commit 1889920a43b58c985f5af8f77e2284460ccb5f46
Author: Takashi Iwai <tiwai@suse.de>

    Fix segfault with downsampling

commit a0a440dcf4f7f06b5415424971bed4146d970554
Author: Takashi Iwai <tiwai@suse.de>

    Stop timer at XRUN

commit 586c8872a92afa8ee07a3ac39d7e061ed6ccba3a
Author: Takashi Iwai <tiwai@suse.de>

    Use dmix/dsnoop as default

commit 06044933cc84d6ba4d43a8bf4373873ca6a7af68
Author: Takashi Iwai <tiwai@suse.de>

    Use S16 for default format

commit 5c91ee386d57b80593c7178d722a4122e4bf68c6
Author: Takashi Iwai <tiwai@suse.de>

    Check PCM format aliases

commit 920780491270d10f2563700e683883e1be683541
Author: Takashi Iwai <tiwai@suse.de>

    Generic architecture support

commit 6a6a70ffe715c9c61a2a2421538589de80c41df8
Author: Takashi Iwai <tiwai@suse.de>

    Do hwsync of slave PCM on dmix

commit 5e325ea18b096a721188738d2d49104e43cad11b
Author: Takashi Iwai <tiwai@suse.de>

    Delayed start for dmix

commit c5c9b2c8bbc6b47a46a64be37d306be1f78ac9b6
Author: Takashi Iwai <tiwai@suse.de>

    Fix noises on exapnd

commit 1ac50201b0bf67129ff5de1b4351543e909876bf
Author: Jaroslav Kysela <perex@perex.cz>

    latency test - Added -B and -E options

commit e64cab565ec958a89dbb43b8c16e3cede1a4b478
Author: Takashi Iwai <tiwai@suse.de>

    Fix noises in rate exapnsion

commit 7acb52ed8402695c4b67f2af55876cfc7c682c2e
Author: Takashi Iwai <tiwai@suse.de>

    Evaluate CARD argument

commit ad0b348227b426761e49cf9f6d2d6b923e903823
Author: Takashi Iwai <tiwai@suse.de>

    Fix compile with gcc-4.0

commit e87851b96fa57f5184f1d8f08969a969d9276875
Author: Takashi Iwai <tiwai@suse.de>

    Enable slowptr option as default

commit e67db18455e158f3f8c7b725a5abca97b4061466
Author: James Courtier-Dutton <>

    Fixes AC3 output on Audigy2 sound cards

commit 173823a4f3fe156f2b57639200de89a046eec90f
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.9rc2

commit 248d0b285c67a2cab96b08c0a4f4436bff364d8d
Author: Takashi Iwai <tiwai@suse.de>

    Fix compilation with gcc-4.0

commit d36e8f20d438f871b4ae2334e1bdc76afc260081
Author: James Courtier-Dutton <>

    Fix AC3 output on alsa-lib ca0106.conf

commit 2570bfc7ad479f4b39f513b64b818ed35c168706
Author: Clemens Ladisch <clemens@ladisch.de>

    add HPET support

commit 231d55e537c043d7c4e54d7d2a8e00dc53028bbd
Author: Takashi Iwai <tiwai@suse.de>

    Fix a typo

commit b0b8957c0014c54597bffe5eed144545202c7c98
Author: Takashi Iwai <tiwai@suse.de>

    Fix the device-open check

commit 0434c183e3aace49d2daf96c2e152382fd7b545a
Author: Takashi Iwai <tiwai@suse.de>

    Added asound_fm.h

commit dab2b58e0ee2758335fa18d80f91dd8d49bff733
Author: Takashi Iwai <tiwai@suse.de>

    Fix resume of dmix, dsnoop and dshare plugins

commit 4e992e3424919ef6b08ae225c1a0b8f72ddba9a8
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.9rc1

commit b088e1294bada7205a1e01dbe182ebbc259da340
Author: Jaroslav Kysela <perex@perex.cz>

    Fix rear/center_lfe subdevice mismatch

commit e3f57ccc903221eef77d98ad615b20d636059e5e
Author: Clemens Ladisch <clemens@ladisch.de>

    rawmidi_virt: fix hang on invalid MIDI data

commit 8003e03b5044e8080403dae5e42bd0a64ff77235
Author: Takashi Iwai <tiwai@suse.de>

    Small code clean up

commit 9dd4436f298e52b397ee4b2a2b4dfa57beb3db5d
Author: Takashi Iwai <tiwai@suse.de>

    Fix invalid free

commit 73008debc3bfff20e7c52222cbe765b321ddcb1e
Author: Takashi Iwai <tiwai@suse.de>

    Add snd_pcm_parse_control_id()

commit 227441b2c80c8aff0cb7dc8e6f5cd3d80996b4f5
Author: Takashi Iwai <tiwai@suse.de>

    More doxygen comments

commit 4a34ac6acd31cb5a302284b326e7a1983e7ca672
Author: Jaroslav Kysela <perex@perex.cz>

    Added snd_seq_ev_set_tag() macro

commit e34947b1cfafe311922e8ee9928b5dae1a148729
Author: Lee Revell <rlrevell@joe-job.com>

    move the Jack plugin to alsa-plugins

commit 85171640faa5412ea02c25383045f48eda0bf3e7
Author: Clemens Ladisch <clemens@ladisch.de>

    fix the file plugin

commit 809e31561a3f015287aa8740093fd8cd5640437c
Author: Takashi Iwai <tiwai@suse.de>

    Initialize structs for ioctls

commit 6f918dfac4fa428195bd7595338b5a81af564629
Author: Takashi Iwai <tiwai@suse.de>

    Add a note on FC3

commit acc032b63f9fbd54a2ff3f7d45f3eabef4c6706d
Author: Takashi Iwai <tiwai@suse.de>

    Fix SPDIF device

commit 7e5a7fbdbf5cac220e049000700d8c13b0b17868
Author: Takashi Iwai <tiwai@suse.de>

    Remove JACK plugin

commit 970b1450bebaf849fb83fcf785206e877587277f
Author: Takashi Iwai <tiwai@suse.de>

    Fix card type to string

commit 145f85fff8797f05ecf5122a634a3a512a8093d3
Author: Takashi Iwai <tiwai@suse.de>

    Accept string type card

commit 5741aec95088c7f87b78138a0303c05efe826a54
Author: Takashi Iwai <tiwai@suse.de>

    Add config file for CMI8768

commit 9835e5c9ceca42dbca1a579514accebc19c2dc74
Author: Takashi Iwai <tiwai@suse.de>

    Add Side controls in the weight list

commit e9c6bd0be0fa9ef7c25d7744377715c4c5fbc38d
Author: Takashi Iwai <tiwai@suse.de>

    Use softvol for default PCM

commit 6408cdf021869e85cb6269193fe98dbbdb8926d7
Author: Mikael Magnusson <mikaelmagnusson@glocalnet.net>

    Fixed rear PCM (mono output)
    Signed-off-by: Mikael Magnusson <mikaelmagnusson@glocalnet.net>

commit cf6e569bd70af148c5a575e135e066ea4fb28676
Author: Takashi Iwai <tiwai@suse.de>

    Code clean-up

commit d8f7de1b16ff7e68f7dd9464243efbdc547063fa
Author: Takashi Iwai <tiwai@suse.de>

    Support dl-object cache

commit 08fc63059491cb86bc086a3019f6d2886042f5ba
Author: Takashi Iwai <tiwai@suse.de>

    Fix a typo

commit 5eb794fe0b77aa251d69b534a9bb4409f50c10cb
Author: Takashi Iwai <tiwai@suse.de>

    Add filter-type external plugin SDK

commit 4ea51d8201e29a93dd714967f1f14aa1b6f8a28e
Author: Takashi Iwai <tiwai@suse.de>

    Add --disable-aload configure option

commit 49c9eba8e4cdfa4ca40e8271e25dfb666c130cd5
Author: Clemens Ladisch <clemens@ladisch.de>

    use "C" locale when parsing floating point numbers

commit f9b9015245178df34454853c2dd74288ed16a136
Author: Takashi Iwai <tiwai@suse.de>

    Fix resmgr support

commit 237d46cfb6999614b91dc57ce0e90db2c73f9104
Author: Takashi Iwai <tiwai@suse.de>

    Fix compile warnings

commit 361b8128f199b864be82d4072e86215f90ff6c66
Author: Takashi Iwai <tiwai@suse.de>

    Fix the parse of filenames with spaces

commit 823a925c26c805bca46f5235f5aba8acc1fe1a22
Author: Takashi Iwai <tiwai@suse.de>

    Remove routing of 5.1 output

commit 94c4cdcd30a874daf7abfcac1f9759748b75cb0a
Author: Takashi Iwai <tiwai@suse.de>

    Add external PCM plugin SDK (draft version)

commit d7a32ca06b740f0e8e80e8fe1103268265b06cdd
Author: Takashi Iwai <tiwai@suse.de>

    Fix hw_params of lfloat plugin

commit c2644837fd7b56bc3db9a9a129a03753edcb69ef
Author: Takashi Iwai <tiwai@suse.de>

    Fix the include path

commit 22846c486fb02402b3097a914f9c6a4aa234cb46
Author: Takashi Iwai <tiwai@suse.de>

    Split arch-dependent codes of dmix

commit c92969845d6ad0c980ea6c7927ab2beeba70fd30
Author: Clemens Ladisch <clemens@ladisch.de>

    start pcm when draining in prepared state

commit da5fa1e15c869271d2bb35c93b9c55d3b6288e1a
Author: Takashi Iwai <tiwai@suse.de>

    Use bag_for_each_safe() for event handling loop

commit 180f51943e829de91b0a2de3a7f249faf107bb6a
Author: Takashi Iwai <tiwai@suse.de>

    undef gets in case it's a macro

commit e02c51a19900d46db8e06ab73f9fc19ae2edd242
Author: Takashi Iwai <tiwai@suse.de>

    stack protection (CAN-2005-0087)

commit 1dd2db13673d652c5c2b6f2aeebb8cba885559cf
Author: Takashi Iwai <tiwai@suse.de>

    Add config file for PC-Speaker driver

commit 33d9449c71ebac8738b012241641b001fdef337d
Author: Takashi Iwai <tiwai@suse.de>

    Use dmix/dsnoop for default PCM

commit 9309430ae806484a78c3bd8a97bd677148122522
Author: Takashi Iwai <tiwai@suse.de>

    Make dsnoop card-specific

commit c9b868889e956e9e9563d1c8104841527a73353e
Author: Takashi Iwai <tiwai@suse.de>

    Fix a typo in default period size

commit 77c925a71f32297f6504b2bdeb0ca4e721d0e9e9
Author: Takashi Iwai <tiwai@suse.de>

    Add resmgr support

commit 7e74f2ef1ba28184b3a8a70f66ddbefa09434e0b
Author: Takashi Iwai <tiwai@suse.de>

    Fix the available formats

commit 680a60a6882d882c69c8b8dcf5269be3d186c958
Author: Takashi Iwai <tiwai@suse.de>

    Use snd_config_get_bool()

commit 1fb6e88716ef2573f26f85330038c5e76d886b46
Author: Takashi Iwai <tiwai@suse.de>

    Check error values

commit a5831c7300414a6368c00a1371fdec5bdd2d6e2f
Author: Jaroslav Kysela <perex@perex.cz>

    The stream linking problem for pcm_multi.c should be fixed now
    - extended link_fd callback
    - added snd_pcm_generic_link2()
    - added _snd_pcm_link_descriptors()

commit 6cac58179b08c03026a6f535eb321ffc82834785
Author: Takashi Iwai <tiwai@suse.de>

    Add pcm_generic.h

commit a00be1418e9286b24bda878f4e24b9c14bf63b7c
Author: Takashi Iwai <tiwai@suse.de>

    Add config for HDA-Intel

commit 836987aa99af92cf28da00683de95acb87054f0a
Author: Jaroslav Kysela <perex@perex.cz>

    improved stream linking and plugin code cleanups

commit 9501520606a010744d7c5a7c1518fa624b5be179
Author: Takashi Iwai <tiwai@suse.de>

    Fix compile warning

commit 71ee1693074c3c4abbac93c0c2d1ae909acde42b
Author: Takashi Iwai <tiwai@suse.de>

    Fix compile warning

commit 0994cf7aaee006a22094534d624a26dc2bb9a965
Author: Takashi Iwai <tiwai@suse.de>

    Fixed compile warning

commit 04c2de32c1bec67588638c9cd16238b376e0270b
Author: Clemens Ladisch <clemens@ladisch.de>

    fix some file paths in comments

commit 340018db8a8716b5fb96c1e90147d55f137c5096
Author: Takashi Iwai <tiwai@suse.de>

    Fix a typo

commit 13098f8f428ec7e27996da328e91290e5d405202
Author: Takashi Iwai <tiwai@suse.de>

    Fix memory leak

commit ff9c030e65be51996c5e08ec1ecfc044254c0f64
Author: Takashi Iwai <tiwai@suse.de>

    Use snd_config_get_bool()

commit cf865cc990f18193520beb33ca6c831654134d8c
Author: Takashi Iwai <tiwai@suse.de>

    Make dmix card-specific

commit 2010890399c026f3aa557067efefd122b5dee238
Author: Takashi Iwai <tiwai@suse.de>

    Fix the bogus return values

commit 7bacfa42d6a95195f29ed82e3e5d69e0e62f5760
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.8

commit 5211c26927ab576e90fa706504b51314d68b77f8
Author: Takashi Iwai <tiwai@suse.de>

    Fix compile warning

commit c83e9d74512810e83eeb7e90945429df5299f50a
Author: Takashi Iwai <tiwai@suse.de>

    Fix handling of DISCONNECT state

commit c67584ec65fef7f9397f30c9b7463a4679f52785
Author: Takashi Iwai <tiwai@suse.de>

    Clear sw_params struct at initialization

commit 554fe08747aaf9c7447d9b73c1e4364592bff09a
Author: Takashi Iwai <tiwai@suse.de>

    Removed wrong ATTRIBUTE_UNUSED

commit fdbfe89b08e9b3c24f8f50ab2631c1121f73ccfc
Author: Takashi Iwai <tiwai@suse.de>

    Add inclusion of time.h

commit 86e898e6d4e65ecd486d443cffc9c37602f98aab
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.8rc2

commit a920ca39dbfc873df980951f928f24eccf76396c
Author: Takashi Iwai <tiwai@suse.de>

    Performance optimization

commit c7feb066b10ea5007e215dde7a75843eee334a64
Author: Takashi Iwai <tiwai@suse.de>

    Support stereo volume control

commit 7e92411760a19572426c7303611bf55a9f64d49b
Author: Takashi Iwai <tiwai@suse.de>

    Fix missing declaration

commit 6ceba8d0e26df1ce49b46ae1b93c9bf1d878dd3c
Author: Takashi Iwai <tiwai@suse.de>

    Add new config files

commit 90f43d1b68bf8fccabcdf092fc00eca355a79d3a
Author: Takashi Iwai <tiwai@suse.de>

    New config for Azalia (intel HD audio) driver

commit abf5ea1fcca6d1bc04c0439f24d883f8d7dfccc3
Author: Takashi Iwai <tiwai@suse.de>

    New config for ES1968 and Maestro3

commit 156eb1228ebab8473625331b080069e4ef40bc7c
Author: Takashi Iwai <tiwai@suse.de>

    Use softvol for PCM outputs

commit 82e408d08b3cdef05f8c728d602da545408e4450
Author: Takashi Iwai <tiwai@suse.de>

    Set max volume as default for softvol

commit cb6bb19b4d5b6b6354ed6c36d7daa90a868712a7
Author: Takashi Iwai <tiwai@suse.de>

    Add Front control to weight list

commit d2a13010737ce88eca4933ae6de7e946db3a7811
Author: Takashi Iwai <tiwai@suse.de>

    Make "default" PCM card-specific

commit eb69df65b375e38b18d82447acccd08c2dbf4157
Author: Takashi Iwai <tiwai@suse.de>

    Add default for refer function

commit 199d2074239651f649b7e788eecff6b20175a7ce
Author: Takashi Iwai <tiwai@suse.de>

    Change the behavior with hardware volume controls

commit 0732cce6f0653e7e3e02257c9762f56f92888c82
Author: Takashi Iwai <tiwai@suse.de>

    Add accessor to user control elements

commit 77348e830f3fc9f1b2bd5528a6fceccb6389e047
Author: Takashi Iwai <tiwai@suse.de>

    Fix compilation with 2.6.9 kernel (glibc headers)

commit 30f35c1f7aa07d9a3d6ecd082c51ca4401d91e2d
Author: Takashi Iwai <tiwai@suse.de>

    Add softvol PCM plugin

commit 5c9ee5ef03ae486d934e3e10ccaf8a67aed52602
Author: Clemens Ladisch <clemens@ladisch.de>

    fix changed error message handling

commit f0762bd3cdfc76f663956cbea90f8c04232b98af
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.8rc1

commit a94eb21623c27e9df5a1d05e1e11e74ef1866134
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.8-rc1

commit 2b54677fdb34cca314f5b9560ccbafbf784590f5
Author: Takashi Iwai <tiwai@suse.de>

    Change error message handling

commit 73aa2549d9c6ad623159674f5cbb53dabf9c28d5
Author: Takashi Iwai <tiwai@suse.de>

    Add preamble value configuration for iec958 plugin

commit 0256e1e8c9c30ddfa5c70d50a9f90b47ba6dbd32
Author: Kirill Smelkov <kirr@mns.spb.ru>

    Fixed few typos in documentation.
    Signed-off-by: Kirill Smelkov <kirr@mns.spb.ru>

commit d06e8bec19d3e87bf728d5ad0c70280c6e8b6fce
Author: Takashi Iwai <tiwai@suse.de>

    Disable 'duplicate front' switch for rear

commit 8269dca0dd4da8d960b62499fab34fe805e748ef
Author: James Courtier-Dutton <James@superbug.co.uk>

    Rename AudigyLS -> CA0106

commit 290541d0ae5b9119b9e3aab20bf56753c23c5c22
Author: Clemens Ladisch <clemens@ladisch.de>

    fix miscalculation of buffer size in snd_output_buffer_need()

commit 0ed778404d0b8d9ef9c86454e146e9db83d9a526
Author: Andreas Fenkart <afenkart@gmx.ch>

    Fixes variable shadow problem in capture direction
    My gnomemeeting hung when accessing the microphone.
    The problem was that the rate variable was not initialized when jumping to
    the __partial label.
    Signed-off-by: Andreas Fenkart <afenkart@gmx.ch>

commit 457b8777abeb0fc9a182d22141ae15586f339278
Author: Jaroslav Kysela <perex@perex.cz>

    fix for capture for case when status/control structures are not mmaped

commit 6987a8555ca50f10d6c629d1e2bc1ef5ee8b6260
Author: Jaroslav Kysela <perex@perex.cz>

    appl_ptr sync fix when status/control structures are not mmaped
    The prepare and reset ioctls can modify appl_ptr, thus the user space
    must take modified appl_ptr from driver.

commit 37e75bfa2c060912a1e8fd314fb33ad3de6ad5a5
Author: Jaroslav Kysela <perex@perex.cz>

    Sync with the driver (EFX code structure)

commit 2d7ca56e2ae04abb4d0ccb2c5c8720acdbeac778
Author: Jaroslav Kysela <perex@perex.cz>

    Return correct error in snd_pcm_wait() after snd_pcm_poll_descriptors() call

commit 4f6da0fe88026983e1d155e5b76530e31e17023a
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.7

commit d02602374b8a12b9c4ca1bc07bbd3287c91cddd5
Author: Jaroslav Kysela <perex@perex.cz>

    Fixed cut-n-copy problem

commit 67ea59660f67d3d37f44299a8a568d95b780b0a5
Author: Jaroslav Kysela <perex@perex.cz>

    Added SNDRV_HWDEP_IFACE_BLUETOOTH

commit b2e8c7fd49ccefb89398baafe9029febdc5d51c6
Author: Jaroslav Kysela <perex@perex.cz>

    Added SNDRV_HWDEP_IFACE_BLUETOOTH

commit e156d54c8499250e43d578409761c453cc24d8ca
Author: Clemens Ladisch <clemens@ladisch.de>

    remove duplicate snd_pcm_null_fwd() function

commit b7e8f57314022d9994db07050dfed9dc07f6d13f
Author: Jaroslav Kysela <perex@perex.cz>

    Try to fix period_time/period_size problems for direct plugin slaves

commit 00fba04f017891ed911ea89722f37fa7f8a07fcf
Author: Takashi Iwai <tiwai@suse.de>

    Add VIA8237 config

commit e7f97689b44436b9f5fb350b46e52a617f2268a4
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.7rc2

commit 0c43293f7feadd613c516173363d615e63bfd64c
Author: Nicolas FRANCOIS <nicolas.francois@centraliens.net>

    Fix hyphens in man pages

commit 593cff5bdc70fdc40a70096a5a1e4bd64efe503a
Author: Clemens Ladisch <clemens@ladisch.de>

    fix memory leak

commit 3e5580d053ea557f4b32602170d9f15fe45a07d2
Author: Takashi Iwai <tiwai@suse.de>

    Fix typos

commit e10aed638ea478f077dddce09bc3ef6d764dfbf6
Author: Takashi Iwai <tiwai@suse.de>

    Add ICH4 config file

commit 0cb4cc1de202873c294d0ae7735b3f28a1e1442b
Author: Thomas Hood <jdthood@yahoo.co.uk>

    Terminate long_options array

commit 090fa69b5114b6e3a7923be1286b1e6b837973b5
Author: Jaroslav Kysela <perex@perex.cz>

    Added check_std_error to avoid extra verbosity

commit ae665ea8f0c9eaca244a912903f79d1f4ee3da0a
Author: Jaroslav Kysela <perex@perex.cz>

    Fixed typo

commit 9c0c1719856cb3213ae0b5f3cdf1ad4184bd7aa5
Author: Takashi Iwai <tiwai@suse.de>

    Fix the variable types in struct

commit 8c4b4ec183c216ef07a2baabd4a24ba0be67cf55
Author: Clemens Ladisch <clemens@ladisch.de>

    fix driver aliases

commit 9db1403b3addd31d5b733a2ee83a81bb57acbeb4
Author: Takashi Iwai <tiwai@suse.de>

    [hdsp] Fix for 64bit architectures

commit 6ed5c58dceee7cb4fa7f0e75d20bc7c94174de7f
Author: Takashi Iwai <tiwai@suse.de>

    Remove the obsolete NONATOMIC ops bit.

commit 6fc5e5dd2ae5c1ec5fc6cce490402b333f075f57
Author: Takashi Iwai <tiwai@suse.de>

    Fix warnings with -Wshadow

commit 83a533d1a7f4c00c31d190effe41a8d8462aab42
Author: Takashi Iwai <tiwai@suse.de>

    [alsa-lib] Avoid zero division

commit 3a8bfd43d75efb9a9493dd144398c9676ac4fb32
Author: Markus Grabner <grabner@icg.tu-graz.ac.at>

    Fix the downsampling noise problem

commit cc17f929726703f637ae1f04d873f38330dd21bc
Author: Takashi Iwai <tiwai@suse.de>

    [ALSA-LIB] remove the library replacement for $LIBS

commit 8ac16f151c7e622a171f5b5877191f16fcef4933
Author: Takashi Iwai <tiwai@suse.de>

    [ALSA-LIB] suppress PAUSE and RESUME for direct plugins

commit 6f515096d918437eb21264e8c95dbe0ce3b59536
Author: Stas Sergeev <stsp@aknet.ru>

    [ALSA-LIB] dmix: dont forget to return -EINVAL on errors

commit 8a42294dc4372f4062ea8942aa3fad4e6bf2063c
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.7rc1

commit abd7316ac844cacb630f8139f163e2d28d2935e7
Author: Jaroslav Kysela <perex@perex.cz>

    fixed endless loop when parsing backslash inside bad configuration file

commit 14b41cf29b40ce9326a48368d498f01c52fbc4a1
Author: Takashi Iwai <tiwai@suse.de>

    Addition of VIA82XX-MODEM pcm.

commit 43190ac9734e779ce4ee107fe0c961a24a3a212f
Author: Jaroslav Kysela <perex@perex.cz>

    Summay: Added doc-pack and doc-clean rules

commit 954e2df37c980fb0699e09378e958de6d4a1a3ba
Author: Peter Zubaj <pzad@pobox.sk>

    [emu10k1] Audigy DSP support

commit e35885fa65d06049185aa29bc1371988d296afee
Author: Jaroslav Kysela <perex@perex.cz>

    Small optimization

commit 8633d96b71e2cdd1acc91829d5f21f754c6af893
Author: Takashi Iwai <tiwai@suse.de>

    Added config files for Aureon 5.1 and 7.1, Prodigy 7.1 (aliased).

commit 11adf3240565813ea40a8c93e9c859ec9025a9c3
Author: Clemens Ladisch <clemens@ladisch.de>

    remove (now obsolete) support for _KERNEL_QUOTE events

commit ef6283bca1c77721e6d4a1215e4899c636b3d133
Author: Jaroslav Kysela <perex@perex.cz>

    Added emu10k1.h

commit c2f0d9c5358c30acc172c78ebd4a5102eb27ff26
Author: Clemens Ladisch <clemens@ladisch.de>

    fix wrong doc section label

commit ed27fd8f88ad5183512554b81fe905657df0b375
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.6

commit 7e648e8de2b23a53554789f9b45ceb4cb8b66844
Author: Jaroslav Kysela <perex@perex.cz>

    Initial

commit 06976cbcce9db885f5fbca929ca5839a40c4b96d
Author: Jaroslav Kysela <perex@perex.cz>

    Fixed problem with the route plugin and ttable (an extra route plugin was
    inserted accidently).

commit 6170a88309be3bba23eee69149a6c2505bc66bbd
Author: James Courtier-Dutton <James@superbug.demon.co.uk>

    Signed-off-by: James Courtier-Dutton <James@superbug.demon.co.uk>
    This patch fixes a number of different bugs in pcm_rate.c.
    1) Resampling now works for rate 192000 -> 8000.
    2) zero samples are not accidentally inserted into the stream any more.
    3) Corrects period size calculations.
    4) Prevents avail_min and xfer_align being less than 1.

commit 6dc1b4bcbc5c53c84b312b5ab71f42554c8c56b5
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.6rc1

commit f4da9cd56939e1dfcf1b8a752f5b737b114c1a6c
Author: Takashi Iwai <tiwai@suse.de>

    Update by James Courtier-Dutton <James@superbug.demon.co.uk>

commit 45814d5ec5ff1760ff5052661503545f94f026ba
Author: Clemens Ladisch <clemens@ladisch.de>

    fix memory leak

commit f3fff3e0ef130a9a2c8c773ca63d9b60a567f4f6
Author: Benjamin Otte <in7y118@public.uni-hamburg.de>

    fix buffer overflows
    Signed-off-by: Benjamin Otte <in7y118@public.uni-hamburg.de>

commit 6627bd52734284787324d286beccc275d979591a
Author: Takashi Iwai <tiwai@suse.de>

    Fixed the device number of iec958 for the recent driver change.

commit f54e32bea8283ea975c28e7882d6bde9482fa09f
Author: Takashi Iwai <tiwai@suse.de>

    Added pcm.modem configurations.

commit e871cdc00597f1172a6d20b7415009ccb39104ed
Author: Takashi Iwai <tiwai@suse.de>

    Added atiixp-modem and intel8x0-modem definitions.

commit 0e8bb7bad51282cae2bca71cec5990ebca659692
Author: Takashi Iwai <tiwai@suse.de>

    Added the support of side and surround71 PCM types.

commit 2e15c60a94b7cd719b20a649ad316d48938162ca
Author: Takashi Iwai <tiwai@suse.de>

    Added the definition of modem PCM type

commit 98ee4d4813d14a316de629182b129675ec7943ba
Author: Takashi Iwai <tiwai@suse.de>

    Fixed iec958 capture using asym plugin.

commit b9a25e2ac89abbadfc6b25c21597740942f0e328
Author: Takashi Iwai <tiwai@suse.de>

    Peter Zubaj <pzad@pobox.sk>:

commit 43cee7b8c1c594996363c4cc650129780b1c376e
Author: Takashi Iwai <tiwai@suse.de>

    Francisco Moraes <fmoraes@nc.rr.com>:

commit ae80d8b647b94e5a2658296b92524ac61c8e116b
Author: Takashi Iwai <tiwai@suse.de>

    James Courtier-Dutton <James@superbug.demon.co.uk>:

commit ced7e5ccfc29056999be8e1d28f25ad51b040b90
Author: Takashi Iwai <tiwai@suse.de>

    James Courtier-Dutton <James@superbug.demon.co.uk>:

commit af70572d42182272919386c5a1989b7fdfd1324a
Author: Takashi Iwai <tiwai@suse.de>

    Added the config file for AudigyLS driver.

commit 994d71f9c65495d5a8ac567ddeeca8ceeb6063ef
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.5

commit 509e30494fa39d4b0930f43582b2709c08133eb1
Author: Jaroslav Kysela <perex@perex.cz>

    compilation fix

commit 0c468bf109d7f0ec38201306d982990d0ae085b5
Author: Jaroslav Kysela <perex@perex.cz>

    Fixed wrong jump for 32-bit mixing

commit d8d9c70532a2e7acbf029de0cf7d824266510ea3
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.5rc1

commit c11a1fc9bebf9c58f308d2479e1a5381611acca1
Author: Takashi Iwai <tiwai@suse.de>

    fixed documents to process properly via doxygen.

commit abf04e4cfd57b53a6f097a4018ffe0030453fb9f
Author: Takashi Iwai <tiwai@suse.de>

    added missing VIA686A.conf

commit eafb4925124b424df08af308b8815c0d9602898a
Author: Jaroslav Kysela <perex@perex.cz>

    - added SYNC_PTR ioctl support for pcm_hw plugin

commit 5a2c2e02952047caa60aeecdf6e92efbb4719263
Author: Takashi Iwai <tiwai@suse.de>

    fixed unneeded cast.

commit 3cfc06469841fe901585d4cc399a1bf9f716bf4e
Author: Takashi Iwai <tiwai@suse.de>

    don't lock global controls.

commit df8a9dc1e25a5b3786ab76c17966e52201f7bf94
Author: Jaroslav Kysela <perex@perex.cz>

    si_code is 1 on my machine, why?

commit e4215ba611e3b82ed129e4c27ea185750efc579e
Author: Takashi Iwai <tiwai@suse.de>

    added CMI8338-SWIEC for cmipci with software IEC958

commit 01f217d5815c4ae606d92c193319b1e2718143bd
Author: Takashi Iwai <tiwai@suse.de>

    fixed debug messages by Erik Inge Bolso.

commit a6fe995bd87d6ce50f79fd15e521eba41d8c5898
Author: Takashi Iwai <tiwai@suse.de>

    added the new configuration for ATI IXP direct SPDIF mode.

commit 5586e5cbb1ab460ad3b86f21337ca8b547351e88
Author: Takashi Iwai <tiwai@suse.de>

    added a new plugin "iec958" to convert IEC958 subframes.

commit 253b58bc03e82968cd85ae63a6c95095e3f936f6
Author: Takashi Iwai <tiwai@suse.de>

    avoid the compile warnings (about cast) with the recent GCC.

commit 4032563aad81d608b0da671dcac35caf354721dd
Author: Takashi Iwai <tiwai@suse.de>

    fixed the bit width of IEC958_SUBFRAME_* formats from 24 to 32.

commit fe1618627ffddcc3bfbf1725198c60a8902f8133
Author: Clemens Ladisch <clemens@ladisch.de>

    initialize hw_params->info

commit 4861d237e6fa1e258a1eae9657a50796f3cf2c1b
Author: Clemens Ladisch <clemens@ladisch.de>

    define SND_PCM_INFO_RESUME

commit 70d2dd963dd7881e3a8257292651d481c00689fa
Author: Takashi Iwai <tiwai@suse.de>

    fixed the event handling of enum elements.

commit ef11ba77ed28fb506bd68ddfb7a54818db3aafa9
Author: Clemens Ladisch <clemens@ladisch.de>

    document all PCM plugin parameters

commit 2cb16f857dbf5a3ca9ec96b89f365c5783fd11a8
Author: Jaroslav Kysela <perex@perex.cz>

    Prefer SND_ macros over SNDRV_ ones

commit 2bad31bbf4a4e86c42bfa0c59ae769271f1cb50d
Author: Jaroslav Kysela <perex@perex.cz>

    Fixed bugs detected by Intel compiler

commit a66204cd121b8d6f74dffa36d10631ee992cebe7
Author: Jaroslav Kysela <perex@perex.cz>

    Added snd_asoundlib_version()

commit ba4ddd169fb4eedb7b06d7b731425ec08fa1d7ec
Author: Jaroslav Kysela <perex@perex.cz>

    assert -> return error code in hw_params

commit 965222c3d9ab63dc3f20771abe37140b86ce9f34
Author: Takashi Iwai <tiwai@suse.de>

    fixed compile warnings.

commit 494f3e66e4a04fbaa8ee6250e002d03e0800edad
Author: Takashi Iwai <tiwai@suse.de>

    fixed the handling of EINTR in read/write.
    EINTR can be returned during ACPI suspend/resume.

commit 64a39728a22299155a91c9061d004919f2715c9e
Author: Jaroslav Kysela <perex@perex.cz>

    Added early event extension to the timer API - and a fix for the direct plugins

commit dff4d5c466c59a9490b6d6edddbb616c6001916c
Author: Jaroslav Kysela <perex@perex.cz>

    Warning fixes

commit b0ad5bf718e8eac18933883acce2e7816e11e87a
Author: Jaroslav Kysela <perex@perex.cz>

    Next documentation update for file descriptor routines

commit e5ea2a6acda1f23a49ec5df3de503e9ecad0dc59
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.4

commit cb79106ecdd562488610891e8bbbe34e76dabd5e
Author: Jaroslav Kysela <perex@perex.cz>

    Added AC_PREREQ(2.53) for autoconf

commit 033fb96b00a894d7617ab55b8cf09c4fb9abffaf
Author: Jaroslav Kysela <perex@perex.cz>

    - fixed problem with start_threshold
    - fixed rounding problem for period_size (mmap_commit assert invoked)

commit 72e2f8046ef116d2917581717e545cdb07c562dc
Author: Jaroslav Kysela <perex@perex.cz>

    Added 24-bit copy

commit a190b87d940a7a467d80ce43236c85cd471b74a1
Author: Jaroslav Kysela <perex@perex.cz>

    Initial implementation of PCM simple API extension.

commit 25f864b059fe00b6ab5a938e588cc4cb126a2e53
Author: Jaroslav Kysela <perex@perex.cz>

    release: 1.0.4rc1

commit 60ab11994838757b25946d109a02b178f798c671
Author: Clemens Ladisch <clemens@ladisch.de>

    fix pcm.iec958 device number on nForce boards

commit f5a5284c6d1572b28239697a8294cc0587d16cee
Author: Jaroslav Kysela <perex@perex.cz>

    A next try to fix the snd_pcm_wait() behaviour with direct plugins

commit f2175f138424e4469e03cd08830f0ef7e84d1731
Author: Jaroslav Kysela <perex@perex.cz>

    Fixed thinkos in documentation (filter example)

commit 569130159d28563c1c07bbc65499bdb1f9142397
Author: Jaroslav Kysela <perex@perex.cz>

    Fixed wrong copy problem in capture

commit f70e0fd46840fc5de2544495a2fc0f2cf2bfbde7
Author: Jaroslav Kysela <perex@perex.cz>

    Added mmap_avail() check to snd_pcm_wait() function

commit 7c201b510a33e48bdce97fb74b8bc3988aa18e10
Author: Jaroslav Kysela <perex@perex.cz>

    - added poll_ask callback to mangle avail_min (rate_plugin as example)
    - added mangling of avail_min to rate_plugin
    - added poll_fd_count variable
    - FIXME: move poll_revents callback to fast_ops

commit 81f8c7609481885d2dbcd16e44fdb4f6178b8245
Author: Jaroslav Kysela <perex@perex.cz>

    Initial proposal for selection of abstraction in simple mixer API.
    Added dB related functions (no implementation yet).

commit 894bd9157eb4bc5b6b830e81f8b4b105fa64e329
Author: Jaroslav Kysela <perex@perex.cz>

    Initial proposal for simple PCM API extension

commit 871206c84801f28bcd572c71377dcc65f21d2b80
Author: Jaroslav Kysela <perex@perex.cz>

    Added rpmbuild detection

commit 2d4f3f4ffa7ab0b7c585ebc778226e4045e309dd
Author: Jaroslav Kysela <perex@perex.cz>

    Fixed mono sample processing for rear/center_lfe and spdif PCMs

commit e3a85e50af2c396a63285ae4a21c0df44a83f844
Author: Jaroslav Kysela <perex@perex.cz>

    1.0.3b

commit 7e07719af645cb8f62837f5444160dd1b397cc0d
Author: Jaroslav Kysela <perex@perex.cz>

    Don't use stack to save rbx register

commit be1c1d0a961b39ce0c2cd007dc5734598ec41b31
Author: Jaroslav Kysela <perex@perex.cz>

    A new try to fix the SIGSEGV

commit 14b37bcd85c3377c73126512760b62e719a45628
Author: Jaroslav Kysela <perex@perex.cz>

    Fixed comments for snd_pcm_avail_update/snd_pcm_delay/snd_pcm_hwsync

commit 391b7baf17ac2f04bf8d9353a55829c6dbbad0f0
Author: Jaroslav Kysela <perex@perex.cz>

    Added new files to instalation path

commit 24b0600e0f1d6cc3cbf33879358d8844f09ff479
Author: Jaroslav Kysela <perex@perex.cz>

    Added missing files for alsa-tools

commit 795a7f9f0bd0048a78f984d33e2ed44e21b9ee09
Author: Jaroslav Kysela <perex@perex.cz>

    Cleanups, returned zero size checking

commit dcc1bcc1155ae6b618abcff8fc29e9f6e1667e13
Author: Jaroslav Kysela <perex@perex.cz>

    Added workaround for 2.6 kernel, we should probably use C99 types (u_int32_t etc.)

commit db4f41fd9b91cd617032f7f2599f0bb772916acf
Author: Jaroslav Kysela <perex@perex.cz>

    Sync with kernel headers

commit 3aec1c8fbccbde6bc88c603db1ba1700f06ea3c5
Author: Jaroslav Kysela <perex@perex.cz>

    1.0.3a

commit 84c40f4970b0656e529250b49c041abb70ed9d25
Author: Jaroslav Kysela <perex@perex.cz>

    Michel Dänzer <michel@daenzer.net>
